commit faae2ff4d7d124a9672eecc7dd95db74718670fe
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Jan 25 13:04:14 2022 +0000

    Preparing for release v1.7.2

commit 35873999e434bf151d6699e7bc3999fab28f82d2
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Jan 25 10:52:07 2022 +0000

    Set execute bit on version.sh

commit 2513a2710ce9595d791aea4cfbfcd8127bd506c6
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Jan 25 10:24:27 2022 +0000

    Update configuration method
    
    Update configuration method so that releases can be auto-generated.

commit 0d3060c02f2871cb896d7e9f8c59ef1ab2c831dc
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Jan 25 09:17:00 2022 +0000

    Remove redundant web folder

commit ff7c6c7f826948494005a18428c1790bfe359a6a
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Jan 16 14:23:16 2022 +0000

    Release v1.7 files

commit 0996d55ed010d2237d9499c598f76b06a78a0984
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Jan 16 10:58:53 2022 +0000

    Update language translations

commit 49ff53a6f0833e23a9953c106a650d69fd441cbb
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Jan 16 10:28:21 2022 +0000

    Copyright year in man page
    
    Auto generate the current year for the man page

commit a78c8cdaae5e784fd773ff7a53342b139b93d248
Author: Klaus Ethgen <Klaus@Ethgen.ch>
Date:   Sat Jan 15 14:00:03 2022 +0100

    Fix clone description in README
    
    Fixes #907.

commit 7e5f699dc013d3f992c2c665a5b77849526253fa
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Jan 15 12:55:49 2022 +0000

    Addl fix #907: Install script times out at "getting new sources from server"
    
    https://github.com/BestImageViewer/geeqie/issues/907
    
    Use correct URL for the repo.

commit e5e049fade052c74cda291612114a4cbe5267f39
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Jan 11 14:15:59 2022 +0000

    Bug fix: Revise timezone function
    
    - Wrong web address checked for
    - Check for web failure

commit e86e793fc643c6c1b53035862c9aa9caaebe1d68
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Jan 11 10:21:47 2022 +0000

    Revise timezone function
    
    - Download database file from the web, instead of compiling locally
    - Update zonedetect.c

commit 9f4df5c23bd9d93021c0effbf427ad47b3c4ff39
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Jan 9 15:39:38 2022 +0000

    Fix #846: Geeqie Find duplicates segfaults when drag & dropping images
    
    https://github.com/BestImageViewer/geeqie/issues/846
    
    Calls to file_data_ref() needed.

commit 53c20c8166e02b7aa0ec6926b47162138a342ea7
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Jan 9 10:10:50 2022 +0000

    Fix #939: Ctrl-click inside of a block selection results in whole selection being cancelled
    
    https://github.com/BestImageViewer/geeqie/issues/939

commit 7a15c24ac9cc64c1486502509f8e9540d9b23545
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Jan 6 11:09:31 2022 +0000

    Fix 950: Remove -r from geeqie command
    
    https://github.com/BestImageViewer/geeqie/pull/950
    
    Related to commit 84836e
    
    If options with no preceding hyphen are not in the remote_commands[]
    array, they will not be processed.
    Therefore they are again displayed in the --help output.

commit a974a3ad32cd7b3e466fa28ffb15b6e4575e439e
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Jan 4 18:26:28 2022 +0000

    Update Help files - printer
    
    Update Help file printer section to GTK dialog

commit 9012119cc135fc02bb852b31c1ed9708fda41e20
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Jan 4 13:52:45 2022 +0000

    Update for libarchive
    
    - Include libarchive in geeqie-install-debian.sh
    - Include warning message if a compressed file is opened but libarchive
    is not installed

commit f692950aaf0e9dc3cf275b25bfcc0b1df9a96bb6
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Jan 1 16:30:57 2022 +0000

    Bug fix: Seg fault - view menu
    
    If Geeqie is opened with no image displayed, selecting the View menu
    will cause a seg fault

commit e31243440a4bdf89bdac8c5f7dfe447c053a91d9
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Jan 1 15:59:52 2022 +0000

    Use linuxdeploy GTK plugin
    
    - Include the GTK plugin in the linuxdeploy call
    - Update the README with the new requirements
    - Eliminate the problems shown by lint in both files

commit ad454baebd8f09eb8a8b920b6e0c7a033df684e7
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Jan 1 11:27:17 2022 +0000

    Script to update web page Help files

commit 67605fda667dd1b6fcc01c80d6939eed1f8d7c1a
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Jan 1 10:51:56 2022 +0000

    Fix missing dependency
    
    If libraw is used, libomp is required

commit c01ef0f4f0c38f4117d71f5c614f28110dc30069
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Dec 30 11:06:51 2021 +0000

    Bug fix: Update documentation
    
    Folder ./web no longer exists

commit 04a1bff55ff08bd59ad07115f6abc2e3de31cca0
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Dec 29 15:34:11 2021 +0000

    Update documentation - increase Doxygen usage
    
    - Delete redundant files and folders
    - Delete ufraw - not updated for 5 years
    - Include .sh, .pl, .awk, .md files in Doxygen output
    - Update language translations
    - Various documentation updates
    - Include --list option for geeqie-install-debian.sh

commit 1879fc929a9c014aadca3400fae3b7fb1546b124
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Dec 29 13:22:12 2021 +0000

    Show shortcut keys in pop-up menus
    
    Also fixes:
    https://github.com/BestImageViewer/geeqie/issues/935
    
    - Show shortcut keys in right-click pop-up menus
    - Script file to generate the shortcut key documentation in the Help
    files

commit a0598407fa19ab7624200fdd6a3cddca1443445e
Author: Dan Fandrich <dan@coneharvesters.com>
Date:   Tue Dec 14 16:51:01 2021 -0800

    Add image/heic MIME type

commit 7277fda2fa7670c96998f4bf3d05ec60b5452f3c
Author: Andreas Rönnquist <gusnan@debian.org>
Date:   Tue Dec 7 01:58:44 2021 +0100

    Fix building whereami on Hurd

commit f6bc1d2ead059409538e5b79987e3954b4d7b571
Author: Frank Loemker <floemker@gmx.de>
Date:   Fri Nov 26 09:02:08 2021 -0500

    Add content to generic dialog
    
    In case an older GTK version is used the function generic_dialog_setup()
    did not add it's content to the dialog window.

commit 2e2bede6149602033c7216a4e6c15be531f07747
Author: Klaus Ethgen <Klaus@Ethgen.ch>
Date:   Tue Dec 28 20:00:36 2021 +0100

    Github

commit 21fe686a17638f60bacc69e0f35ca893aff0c6a7
Author: Klaus Ethgen <Klaus@Ethgen.ch>
Date:   Tue Dec 28 19:59:52 2021 +0100

    Github

commit e6c603c443152f9949b4344b03600a92043709f5
Author: Colin Clark <cclark@carbon>
Date:   Sat Dec 4 11:16:33 2021 +0000

    Fix typo. in CODING.md

commit 84836e34fe06ff4b8f876cd41ac494c23ae9347e
Author: Colin Clark <cclark@carbon>
Date:   Tue Nov 16 12:35:35 2021 +0000

    Auto-generate the man page
    
    Auto-generate the man page and the Command Line Options section of the
    Help file
    
    Additionally:
    - exclude options not preceded by a hyphen from the --help output (but
    still process the option)
     - --help outputs both main and remote options
     - include only command line options in the man page
     - fix Lua Api Help file problem

commit 31197b3d4f2ee55c84a2ae5c71995e2c5dad91c8
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Nov 7 16:35:13 2021 +0000

    Update coding documentation
    
    Include section on tools which might be used to check sources in
    CODING.md, plus reformatting of file.
    Include check-compiles.sh script.

commit eb37875beef5a1b70b7653277315fdbb3b2bbe4a
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Nov 7 11:28:52 2021 +0000

    Fix minor coding error
    
    Fix typo.

commit 524566f270d9e82e8b60b1493dead91f18c30169
Author: Dusan Gallo  <>
Date:   Sun Nov 7 10:14:54 2021 +0000

    Image loader for .scr (ZX Spectrum) files

commit b19f333267e4811bc0461bee2cbd4b690fca3488
Author: a1346054 <36859588+a1346054@users.noreply.github.com>
Date:   Fri Oct 22 19:44:00 2021 +0000

    Trim trailing whitespace

commit 1af394cb0208ab0d5dec22d49d1c05db839cfe6f
Author: a1346054 <36859588+a1346054@users.noreply.github.com>
Date:   Fri Oct 22 19:25:01 2021 +0000

    Remove redundant semicolon ;

commit a41e707164cb5d6b5a80b44c8d881b189a564fd2
Author: a1346054 <36859588+a1346054@users.noreply.github.com>
Date:   Fri Oct 22 18:58:48 2021 +0000

    Fix running script in path with spaces

commit 1e46ade6cc54d36ceabc1d209becdcbff1bc9beb
Author: a1346054 <36859588+a1346054@users.noreply.github.com>
Date:   Fri Oct 22 18:39:34 2021 +0000

    Fix shellcheck warnings

commit b879f141f45595859cef638ad4d352710097385c
Author: a1346054 <36859588+a1346054@users.noreply.github.com>
Date:   Fri Oct 22 18:22:03 2021 +0000

    Standardize on Unix LF line terminators
    
    * aligns the files with the rest of the repository
    * fixes a few cases of mixed line terminators in the same file

commit b360a159c4c369d79cfcdfece83c4a038d872a70
Author: a1346054 <36859588+a1346054@users.noreply.github.com>
Date:   Fri Oct 22 18:02:51 2021 +0000

    Add missing final newline

commit fa1115469d7aaced8348f2f8a1fe0ae2728a743c
Author: a1346054 <36859588+a1346054@users.noreply.github.com>
Date:   Fri Oct 22 19:39:57 2021 +0000

    Remove superflous $ from path

commit 9bd60a6434c5373beba79e4c9f73bd8b234fc3d7
Author: a1346054 <36859588+a1346054@users.noreply.github.com>
Date:   Fri Oct 22 18:18:47 2021 +0000

    Fix spelling

commit d37d3d18d476a04f135722e778e2224cf49fc516
Author: a1346054 <36859588+a1346054@users.noreply.github.com>
Date:   Fri Oct 22 19:30:36 2021 +0000

    Fixup markdown syntax

commit 291b7621ddb7d1427fe0b39611e58c4d88004568
Author: a1346054 <36859588+a1346054@users.noreply.github.com>
Date:   Fri Oct 22 18:12:13 2021 +0000

    Improve readability of readme
    
    Additionally makes it easier to copy commands to terminal.

commit 717f743a9253d08d17401c3c55cc4733c440c7f3
Author: a1346054 <36859588+a1346054@users.noreply.github.com>
Date:   Fri Oct 22 19:17:49 2021 +0000

    Use same variable name in .h as in .c

commit 0edb0f1265b193ec08ffbde7a1a7871526d29d92
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Oct 16 11:54:48 2021 +0100

    Preferences/files - search and sort
    
    Enable column sorting with the exception of the Filter column.
    Using control-F or pressing any alpha-numeric key when the filter table
    has focus will start a text search of the file extensions in the Filter
    column.

commit 512e083c507540bd350df64ca7b3c344f81c73e3
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Oct 12 10:15:10 2021 +0100

    Bug fix: --cache-maintenance and default theme color
    
    If geeqie --cache-maintenance is run without a custom border color
    selected, there will be a seg. fault.

commit 563f45652a914de2f62e5c098388914cca5a7adf
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Oct 7 10:17:49 2021 +0100

    Tee stderr to the log window

commit 9ac0a0c8411df646eea80444a62da791c1a68405
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Oct 7 10:08:14 2021 +0100

    Fix runtime error
    
    If GPU accel. is selected and images are scrolled through rapidly,
    occasionally there will be a GdkPixbuf error logged.
    This patch first checks if the pixbuf has been created.

commit a62c430abe5d8fecb86d5ec2a339b87207b54950
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon Oct 4 13:32:44 2021 +0100

    Fix #926: Use system background color in window mode
    
    https://github.com/BestImageViewer/geeqie/issues/926
    
    The default background color for both windowed and fullscreen modes is
    the theme background color.
    
    This feature is not available when compiled for GTK2.

commit 6fcf13826649f2447b75445eae5f285e2788ff9e
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Oct 3 13:22:09 2021 +0100

    Adl bug fix: Non-portable fucntions
    
    Include new source files

commit 41f5d7c4a8e9469bdfd1490d3c3f00f0c24500b8
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Oct 3 12:05:00 2021 +0100

    Buf fix #927: Option "Auto rotate proofs using Exif information" doesn't stick
    
    https://github.com/BestImageViewer/geeqie/issues/927
    
    This option is not used and is now deleted.

commit 88fe8ed29e7396372cab9b3fe3182b0f57e3d3e8
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Oct 3 11:58:41 2021 +0100

    Bug fix: Non-portable functions
    
    Using argv[0] does not work with AppImages: it contains the path to
    where the AppImage was called from, and not the path where the
    executable is running.
    
    This solution uses the whereami package from:
    https://github.com/gpakosz/whereami

commit d7d2db8b4cb3be207b14c562b6fc1cf4fc894063
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Oct 2 10:52:48 2021 +0100

    Remove non-portable functions
    
    The functions /proc/cpuinfo and /proc/self/exe are not portable.
    Replace them with other solutions.

commit ea4b4ded984fcbaec1155ad16a81b5f8131b3e7b
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon Sep 27 14:41:52 2021 +0100

    Part fix #711: Deleting image should not scroll file list unnecessarily
    
    https://github.com/BestImageViewer/geeqie/issues/711
    
    This fix still has the following problems:
    1. The refresh scrolls the list so that the first thumbnail is
    completely aligned in the view
    2. Sometimes the first alignment is followed by a second
    3. If a selection list is deleted, the thumb with focus is not brought
    into the view area
    4. If an image in the last row is deleted, sometimes the remaining last
    row is not brought completely into the view

commit 729b21ef8f0e73aec8e87acaa09a2c5e85273631
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon Sep 27 10:02:40 2021 +0100

    Fix #897: Histogram not displayed until a refresh
    
    https://github.com/BestImageViewer/geeqie/issues/897

commit a55e6421bb8260e624ed764674998396b572e3d9
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Sep 24 10:36:50 2021 +0100

    Bug fix #229: File Compression and Archiving
    
    https://github.com/BestImageViewer/geeqie/issues/299
    
    Null fd not checked for.

commit 54480afd01dd67b098ed56e060b99e0f2a9c73d8
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Sep 22 14:15:07 2021 +0100

    errno.h and Ubuntu 20.04
    
    On Ubuntu 20.04 errno.h must be explicitly included.

commit 1d056e1fb062c34b22b4d5f60b7893b128b4fa41
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Sep 22 13:36:09 2021 +0100

    Addl fix #521: zoom increment is not multiplicative
    
    https://github.com/BestImageViewer/geeqie/issues/521
    
    Include user option on Preferences/Image to select geometric or
    arithmetic zoom mode.

commit 6c10b619698d68cfc9ce6c22b0a1366f028187eb
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Sep 22 12:46:10 2021 +0100

    Addl fix #299: File Compression and Archiving
    
    https://github.com/BestImageViewer/geeqie/issues/299
    
    Improve error handling.
    Update list of archive file types.
    Open archive file on right-click.

commit abee14da6391259e359e222fb51c116dc19d554d
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Sep 22 11:39:39 2021 +0100

    Fix compile errors
    
    Fix compile errors in code copied from other image loaders

commit 68c2de35a06094f47d2b9737a0d78362d9cb5e45
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Sep 17 16:37:10 2021 +0100

    Fix libarchive problems
    
    libarchive 3.4.0 is required for Ubuntu 20.04 LTS.
    
    Include ifdefs for when the library is not included.

commit 5cf8ef1414b3fc5a64bf6d40be6528d4221f8a76
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Sep 17 16:05:33 2021 +0100

    Addl fix #299: File Compression and Archiving
    
    https://github.com/BestImageViewer/geeqie/issues/299
    
    Use libarchive to extract the files, instead of a plugin.

commit 972819272e9a70e565dbf711239f039cd77e2e6e
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Sep 15 16:21:18 2021 +0100

    Fix #299: File Compression and Archiving
    
    https://github.com/BestImageViewer/geeqie/issues/299
    
    Create a new file class - Archive.
    
    Direct this files of this class to a new plugin to process these files.
    A folder is created under /tmp and the contents of the archive extracted
    to that folder.
    
    A new Geeqie window is opened, pointing to that folder.

commit bcc4d1dc0d6d78ccebe74fed82b2428e5eb6d207
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon Sep 13 12:01:58 2021 +0100

    Save Exif window size and position

commit ac15f03b0b11ea0b5261818ab210a42f75033359
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Sep 12 15:41:32 2021 +0100

    Fix #923: Wrong orientation in HEIC using EXIF
    
    https://github.com/BestImageViewer/geeqie/issues/923
    
    This is an excerpt from ISO/IEC 23008-12:2017(E):
    
    ---------
    Metadata specified in Annex A or according to the item type and MIME
    type values is descriptive and does not normatively affect the
    presentation.
    In particular, an image item can be rotated by 90°, 180°, or 270° using
    the 'irot' transformative item property.
    Rotation metadata, e.g. according to Annex A, is ignored in the
    displaying process.
    
    8.2 Metadata for image items
    ------------
    
    Therefore libheif is rotating the image in accordance with the irot
    property - and then Geeqie rotates it again using the Exif value.
    
    If the libheif decoding option "ignore_transformations" is used, the
    result is different on two systems I use - one one system the option is
    ignored, and on the other system the option is used, but then no Exif
    data is displayed for the file.
    As the compiled code is the same in both cases, there must be an
    influence from other system library files.
    
    The implemented solution ignores the Exif rotation parameter and
    inhibits writing manually applied rotation metadata for all files
    processed by libheif.

commit 17e1716b05f5ccb3bf8d5715e748e69acd52716d
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Sep 8 10:15:19 2021 +0100

    Info sidebar pane heights
    
    Move the setting of info sidebar pane heights from the Preferences
    dialog to a right-click action on the pane.
    
    Also remove the Add Pane entries from the right-click pop-up - they are
    available from a button at the bottom of the sidebar.

commit 5282945be22b64d2aa897682a09e2038388a36c8
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon Sep 6 12:46:57 2021 +0100

    FIXME: In bar_size_allocate() the width obtained...
    
    Use the setting from the parent GTK_PANED object, instead of the width
    of the bar vbox.

commit 131a42a23ee772a4043b623a45d88f1c1da776a9
Author: Andreas Rönnquist <andreas@ronnquist.net>
Date:   Sat Sep 4 04:53:23 2021 +0200

    Fix spelling error avaialble/available

commit f5f339cefa6a08f28b868fb2aa699bf1a4a496e5
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Sep 3 12:25:03 2021 +0100

    Fix compiler warning in commit 34edf6b6

commit 34edf6b61403c723ac1a7f280425a3254da573fe
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Sep 3 12:03:49 2021 +0100

    Fix #892: stereo side-by-side mode broken by commit 89c559
    
    https://github.com/BestImageViewer/geeqie/issues/892
    
    Stereo modes side-by-side and top-bottom use two pixbuf-renderers. This
    was not taken into account.

commit 8205d63c3fd19d6db15cc0285b10aae63f270802
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Sep 2 12:55:20 2021 +0100

    User option to set tile size
    
    Additional user option in Edit/Preferences/Image to set the tile size.

commit c0ebd3622cf15659fa062b69658177ce72756ea7
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Aug 24 15:46:11 2021 +0100

    Bug fix: GPS map direction markers
    
    If an image has no GPS direction data, when the GPS map marker was
    clicked to show the thumbnail, and then clicked to clear it, the image
    marker was not redisplayed.

commit 4376f090988fb2e79718f9c6c689b46c4252aa7b
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Aug 24 11:26:56 2021 +0100

    Fix minor coding error

commit 9f433590bd7ef64bba8f3513f57df44501729823
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Aug 24 10:28:21 2021 +0100

    Duplicates - option to limit thread use
    
    In Preferences/Advanced there is an option to set the thread limit for
    duplicates searches.

commit 9da9205376a70042af68341386e00de3fbf43828
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Aug 22 14:48:09 2021 +0100

    Cache maintenance - paths with spaces not handled
    
    In the cache maintenance function, put double quotes around the path
    variable.

commit c677470b19ebb8028ad5b6aab371ac2fc1d5b83d
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Aug 22 14:36:28 2021 +0100

    Fix GPS map jitter
    
    When zooming the GPS map, it jittered because the zoom level box text
    was changing size.
    Use gtk_label_set_ellipsize() to avoid that.

commit 451e12690e443bd74a5ce9a597f344e14ef40089
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Aug 22 14:31:03 2021 +0100

    Fix #813: Animated GIF should use faster antialiasing (or none at all)
    
    https://github.com/BestImageViewer/geeqie/issues/813
    
    If the file extension is .gif, 2pass is set to FALSE, and interpolation
    is set to nearest.

commit 6d362d5c63bb24e418751404202698a43bca1cc4
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Aug 21 11:30:39 2021 +0100

    Additional option on cache maintenance page
    
    On the Edit/Cache Maintenance page, include an option to call the cache
    maintenance command line program.

commit e634c67bdfbcb95ec91379f02ef45760c311a655
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Aug 20 15:33:20 2021 +0100

    Fix #652: Automated cache maintenance
    
    https://github.com/BestImageViewer/geeqie/issues/652
    
    If geeqie is called with --cache-maintenance <path>, the GUI is not
    loaded and the program behaves as a command line program.
    
    It runs recursively to clean thumbnail data, and create thumbnails and
    .sim files.

commit 08f2a6ffc22fc60c3f2d21615c1ee64d2dbfba6c
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Aug 19 09:40:14 2021 +0100

    Fix #918: geeqie crash when using JPEG XL images
    
    https://github.com/BestImageViewer/geeqie/issues/918
    
    Call to JxlDecoderDestroy() had been omitted.

commit 6c538f4042c4b9545c2656096f16bc297b081b11
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon Aug 16 16:52:08 2021 +0100

    Fix #917: GTK3 status bar fields can cause the window to unexpectedly change size
    
    https://github.com/BestImageViewer/geeqie/issues/917
    
    Use gtk_label_set_ellipsize() to allow the box size to be reduced.

commit 2544f9ec05fc8c3e2cb507228a49efc9074ab1a6
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Aug 12 11:23:46 2021 +0100

    Include expanders on status bar
    
    Include expander icons for the sort and zoom boxes on the status bar.

commit cd3688ae7c61f9170892ccfec96c3355e4941143
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Aug 12 10:15:55 2021 +0100

    Fix #915: Unable to view JXL code streams
    
    https://github.com/BestImageViewer/geeqie/issues/915
    
    Use FF0A as an additional magic number for JPEG XL files.

commit 02860865e3391bc14114894c7f1df8dbf19dfca0
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon Aug 9 10:45:45 2021 +0100

    Fix #900: Support JPEG XL images
    
    https://github.com/BestImageViewer/geeqie/issues/900
    
    At this time it is necessary for the user to compile libjxl for
    themselves.

commit d545b8de2a78a3a08f9d12be45a00373986245a6
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Aug 6 16:52:07 2021 +0100

    Include popover for layout default button
    
    In Preferences/Windows, for the Set Default Layout button include a
    popover text to indicate to the user that the button has been
    successfully pressed.

commit 40502fa6fc4d253905c8d49da1c22500fce60e8c
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Aug 6 16:37:39 2021 +0100

    Clean up some compile warnings and errors
    
    Also remove the Guidelines overlay feature.

commit 094ce1cf0e62e2faf72e6091d714dbfa304b5f73
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Aug 4 16:11:38 2021 +0100

    Fix #872: Geometry of Icon pane not being saved
    
    https://github.com/BestImageViewer/geeqie/issues/872
    
    Permit the user to save the current window layout as the default for all
    new windows.

commit b25ec056abe5242201282827f12b43c6fcbed6ae
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Aug 4 11:08:50 2021 +0100

    Minor documentation updates
    
    Remove Travis CI from the README (it is no longer supported by GitHub)
    
    Other minor README text changes
    
    Ensure the Lua API html is generated correctly
    
    Improve the text for the exif rotation section of the Help file

commit 2f38a204f61f697a5af8bd4d2010307ccb87f0cb
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Jul 28 11:34:30 2021 +0100

    Fix Lua API documentation link

commit 2b38948d8c334f65441604dab1b2ea1be5a0e03b
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon Jul 26 15:09:08 2021 +0100

    Update checklist document

commit f202e6b337f35486a7af98f68be938eb4b4c35fb
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon Jul 26 13:37:22 2021 +0100

    Fix #912: "overwrite files"-window outside screen
    
    https://github.com/BestImageViewer/geeqie/issues/912
    
    Put the message vbox inside a scrolled window.

commit 9da6b1e3a9b6dbea4af3e8b4ee98077c310b141f
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon Jul 26 10:30:05 2021 +0100

    Fix #911: can't rename or create directories, while file name outside the window
    
    https://github.com/BestImageViewer/geeqie/issues/911
    
    Using gtk_tree_view_get_bin_window() sometimes resulted in a negative x
    value.
    
    Use the window of the parent widget instead.

commit febb790466dd73e75c608c73e6bed5ebd385cbb8
Author: Jose Riha <jose1711@gmail.com>
Date:   Sat Jun 26 22:12:55 2021 +0200

    Update Slovak translation

commit 4c16fee96e84159ad4ca0dedb829a8fdb017e57e
Author: Jose Riha <jose1711@gmail.com>
Date:   Sat Jun 26 22:12:55 2021 +0200

    Update Slovak translation

commit aaf1420aa54c31f2d7f4acb4b38fa018196e2c63
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Jun 25 09:35:10 2021 +0100

    Fix #903, #904: Slideshow settings
    
    https://github.com/BestImageViewer/geeqie/issues/903
    https://github.com/BestImageViewer/geeqie/issues/904
    
    Slideshow delay shown in the status bar.
    
    Faster/slower default keys moved from keypad to main keyboard.

commit 70900e22775f9e0ace79ddf4f8b8c48794447818
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Jun 25 08:29:32 2021 +0100

    Update Help files
    
    Fix broken links

commit d5a53343d427d19f99ab2822b562d4243ac4a47c
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Jun 22 16:31:12 2021 +0100

    Update appdata file
    
    Change appdata file to v1.6

commit 65146fc7a68088eff047d105b83d9191f63b69bb
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Jun 22 16:24:21 2021 +0100

    Replace HACKING document by CHECKLIST
    
    Remove HACKING and replace by CHECKLIST.md

commit 2bb3245787c9caab6b881a1b09cee8b9dcd43269
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Jun 22 11:42:34 2021 +0100

    Ref #559: Geeqie won't start if clutter fails to init
    
    https://github.com/BestImageViewer/geeqie/issues/559
    
    Use Zenity to display a GUI message in addition to the console error.

commit 24e7bb7be54da3d0d2d12c2031f5f4fc1dee739e
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon Jun 14 13:51:08 2021 +0100

    Include a Other Software section in Help file
    
    Include a section in the Help file listing software that might be useful
    to Geeqie users.
    
    Set libraw version back to 0.20 - required to decode .cr3 files.

commit aee1b5a72d210cb16a77a568a8a55a99d534003d
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Jun 13 18:12:59 2021 +0100

    AppImage - update web page
    
    Update web page to include link to AppImages.
    
    Minor text edit in a shell script.

commit c8d2429eb95aa63619e821fbbf80c6b9cde7cfbf
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Jun 13 11:44:42 2021 +0100

    Create AppImages
    
    Change fixed paths to relative paths so that AppImages can be created.
    
    Include documentation of how to create an AppImage, and a sample shell
    script.

commit 9d99426b12f27e576677fe11cf151bf23413e1f6
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon Jun 7 13:19:07 2021 +0100

    Fix #874: Travis CI fails
    
    https://github.com/BestImageViewer/geeqie/issues/874
    
    g_array_binary_search() requires >= glib 2.62
    
    For earlier versions make a linear search.

commit 997590aa0985e3deb1f1018a0986b7ddd07de53f
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Jun 6 15:09:25 2021 +0100

    External preview image extractor/decoder
    
    Include a new tab in Preferences - Advanced.
    This provides the possibility to use an external preview image decoder
    or extractor.
    Usage is described in the Help file.

commit d53e60b5471081f1d071083b71afa73cfd36adf0
Author: Uwe Ohse  <>
Date:   Fri Jun 4 14:29:57 2021 +0100

    Fix #901: add ftypavif magic for AVIF files
    
    https://github.com/BestImageViewer/geeqie/issues/901
    
    AVIF loading depends on the magic numbers, and the current list of known magics in src/image-load.c
    is: ftypheic, ftypmsf1, ftypmif1. This is okay for HEIF, but AVIF is a different beast with a different codec and a different magic ftypavif (which is generated by gimp and darktable), and a different file extension (.avif)

commit 8cbc4289a632b38d52655ee9419192ba376aab1d
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat May 29 09:02:48 2021 +0100

    Fix #818: Latest version Cant' display the DNG files, previous were OK
    
    https://github.com/BestImageViewer/geeqie/issues/818
    
    For the images in the bug report, Exiv2 returns a pointer to a section
    that is not a jpeg.
    
    Include a check that a jpeg has been found.
    
    Libraw >= 0.20 will display these files.

commit 20b30ca95db82a573b9cfd38fbb4f63a7039bf59
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat May 29 08:36:22 2021 +0100

    Documentation update 3
    
    Reinstate deleted lines

commit c1969fab87c86fc51fbefb2b59b1dabaaec6f3f2
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu May 27 09:35:08 2021 +0100

    Documentation update 2
    
    Change CODING.md section header format so that display is correct on
    GitHub.

commit e916d3d6900975003604111b386d958b5632dbac
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu May 27 09:26:24 2021 +0100

    Documentation update
    
    Change CODING file to markdown format.
    Use environment variables to personalize some aspects of Doxygen output.
    Include a sample of how to include a diagram in the Doxygen output.

commit 163d3eeb3918221bdafa706d7669957217801bf1
Author: Luca Orlandi <lrkwz@users.noreply.github.com>
Date:   Wed May 26 15:28:19 2021 +0200

    fixed uvbuntu url

commit 8abb834383bd01db2ff3d68f9b80fcaee45ae312
Author: Luca Orlandi <lrkwz@users.noreply.github.com>
Date:   Wed May 26 15:28:19 2021 +0200

    fixed uvbuntu url

commit f08cdc035951b55335a6088f805f2068fffb8446
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun May 23 10:00:14 2021 +0100

    Fix #777: Slow deduplication
    
    https://github.com/BestImageViewer/geeqie/issues/777
    
    Use FileUtilDoneFunc to update the UI once, when the entire delete
    operation has completed.

commit 16bc703c7b5e44a2aaaf22db2f4649c8f3823c08
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri May 21 13:19:59 2021 +0100

    Bug fix #744: Support Canon cr3 files
    
    https://github.com/BestImageViewer/geeqie/issues/744
    
    Fix incorrect #ifdef in exiv2.cc

commit 0ac32122b2b455fe6056d23870ae150ec9b7a4e5
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu May 20 10:46:56 2021 +0100

    Save Preferences window layout
    
    If the Remember Dialog Window Positions option is on, also save the
    Preferences window position, size, and current page.

commit 7e5efe15da63f84b8d93f804ac1e7233b6ba22f3
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue May 18 09:17:44 2021 +0100

    Bug fix: Lua API docs
    
    Ensure helpdir and sub-directories are deleted when uninstalling.

commit 6202928d32c697443ee47ceee421c6bb0aa99a19
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon May 17 15:19:21 2021 +0100

    Use Doxygen to create a Lua API reference
    
    Generate a Lua API document - the Lua interface is minimal at the
    moment, but may get expanded.
    
    Change lua.c slightly so that the required data is visible.
    Create a script to generate the Doxygen html files.
    Include the API in the main help file.

commit d1f5150657939719b7f5dc8eac99e969eea7e020
Author: Jose Riha <jose1711@gmail.com>
Date:   Sat May 15 23:34:00 2021 +0200

    Update Slovak translation

commit b2044632dfb8ff4d1b99b0603ab9d4378dc86ed1
Author: Jose Riha <jose1711@gmail.com>
Date:   Sat May 15 23:34:00 2021 +0200

    Update Slovak translation

commit f0682f0bf329218535317a82509d139f0c689606
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed May 12 15:03:56 2021 +0100

    Fix #744,891:Support Canon cr3 files
    
    https://github.com/BestImageViewer/geeqie/issues/744
    https://github.com/BestImageViewer/geeqie/issues/891
    
    Enable BMFF support in exiv2 init.
    This permits exif data to be shown.

commit 11ba72c5f1bce20dc8168d1806cc5c3120863487
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue May 11 14:26:43 2021 +0100

    Fix #891: Application crashes while viewing CR3 thumbnails
    
    https://github.com/BestImageViewer/geeqie/issues/891
    
    Change the method of extracting jpegs from a .cr3 file when libraw is
    not installed.
    
    This is not a real solution. The code simply scans for the mdat marker
    to find the start of the jpeg section.

commit 45cf096d873ad0f24e3f42ce6e5f3083970d925f
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon May 10 12:03:22 2021 +0100

    Part fix #891: Application crashes while viewing CR3 thumbnails
    
    https://github.com/BestImageViewer/geeqie/issues/891
    
    Use LibRaw to extract preview images from .cr3 files (or any raw files
    not recognized by exiv2).

commit 84d758f0a1aef90b4890538e952d37b00542aef7
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed May 5 13:06:17 2021 +0100

    Convert TODOs and FIXMEs to Doxygen style
    
    All TODOs and FIXMEs will appear in the Related Pages Todo list.

commit 91c9a54799118d5f70ac78113f98d72417d429b6
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed May 5 11:42:50 2021 +0100

    Use at-sign rather than backslash as the Doxygen command symbol

commit 0ef074033f3f8b6d5c1b08a9162d3129c5deb7e9
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue May 4 15:40:32 2021 +0100

    Ensure all source files are documented by Doxygen
    
    Include PREDEFINED statements to ensure all source files are documented.
    It is not possible to document both sides of an #ifdef #ifndef e.g.
    HAVE_EXIV2

commit b61082158986beb33e9177bb7e05ae3e671f3c6b
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun May 2 10:32:51 2021 +0100

    Fix #890: Option to not save last_path
    
    https://github.com/BestImageViewer/geeqie/issues/890
    
    last_path is saved both in geeqierc.xml and in the [path_list] section
    of the History file.
    
    Unnecessary writes to the configuration file are avoided by using only
    the History file value.

commit d79f9b2974afe9e8630e73951d5c54f8859aeaf1
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat May 1 10:26:27 2021 +0100

    Fix translation errors and update all .po files
    
    Fix missing translations in preferences/general and update all .po
    files.

commit 723405ea08bfe87f1636bfee9b8284858c0189da
Author: ashed <>
Date:   Sat May 1 10:21:58 2021 +0100

    Fix #888: fixed and updated Russian translation
    
    https://github.com/BestImageViewer/geeqie/issues/888

commit 6aa8b3a076febebd646d53757e1e99a2a8348dc6
Author: ashed <>
Date:   Fri Apr 30 15:32:07 2021 +0100

    Fix #887: fixed Russian translation
    
    https://github.com/BestImageViewer/geeqie/issues/887

commit ead28024c2ee4c0c897e81a05f7590f781465eca
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Apr 30 15:01:09 2021 +0100

    Preserve selection order in ViewFileIcon after Reset
    
    The order files are selected is now preserved in ViewFileIcon mode after
    a Reset.
    
    ViewFileList does not preserve the selection order.

commit e3924eeb5cc0a6df2002607a94250d0a3cf1dfa4
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Apr 29 13:26:54 2021 +0100

    Fix #886: Path copying does not work until the user left-clicks a node in the treeview
    
    https://github.com/BestImageViewer/geeqie/issues/886
    
    Change the press callback to select the item on right-click also.
    Other functions such as Rename/Delete are now available on right-click.

commit f6fc25f48f4aa92ca110834d94c4eef4d68f2fc0
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Apr 28 11:17:05 2021 +0100

    Circular selection lists option
    
    An option in Preferences/Behavior to permit image selections to be
    traversed in a circular or non-circular manner.
    
    The default is "on" (circular) which is the method used until now.

commit 32c11d3e3d9e6e9caa3394907fee47821c5aa018
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Apr 27 18:47:04 2021 +0100

    NEWS v1.6 update

commit a37fe17234b584e0e7d1b4bdba57d9b58735c26b
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Apr 27 15:16:46 2021 +0100

    Fix #884: Display APNG files in the thumbnails area
    
    https://github.com/BestImageViewer/geeqie/issues/884
    
    Only the static png image is displayed. There is no animation.

commit 8664cf8957d613a936b9d46c9fca9cba47ca23f4
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Apr 27 13:21:40 2021 +0100

    Option to select thumbnail color management
    
    Include an option on Edit/Preferences/General to select thumbnail color
    management.
    Color management takes additional run-time - some users may not need
    this function.

commit a61388bf6bf81aa824c6c763549d5c612a919899
Author: Daniel Vogelbacher <>
Date:   Tue Apr 27 13:09:38 2021 +0100

    Fix #885: Generate sRGB thumbnails for images with embedded color profile data
    
    Images with color profiles other than sRGB or AdobeRGB may look too bright/dark as thumbnails, because Geeqie ignores color profile information during thumbnail generation.
    
    This patch adds color profile correction for thumbnails if the image contains EXIF data and provides an embedded color profile or EXIF color profile identifiers.
    
    Fixes #608

commit eaf4dcdd76e4e216c50734723a86cb42c7cfae30
Author: Daniel Vogelbacher <daniel@chaospixel.com>
Date:   Mon Apr 26 17:59:04 2021 +0200

    Generate sRGB thumbnails for images with embedded color profile data
    
    Images with color profiles other than sRGB or AdobeRGB may look
    too bright/dark as thumbnails, because Geeqie ignores color profile
    information during thumbnail generation.
    
    This patch adds color profile correction for thumbnails if the image
    contains EXIF data and provides an embedded color profile or EXIF
    color profile identifiers.

commit 0b225970021dc1591126d1f4ca87842c22266cda
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Apr 24 09:56:20 2021 +0100

    Convert general file comments in .c files to Doxygen style comments

commit a6a63670a28ce5ef0a45f73218eeda83e031821d
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Apr 21 10:03:26 2021 +0100

    Convert comments in .h files to Doxygen style comments

commit 0eaf0a5b0aeb22630f7563280c872c4316211ca2
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Apr 20 16:43:03 2021 +0100

    Include DDS as image format in README

commit b3c4ada6e137994f17c208be30fc03f2edac93c1
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Apr 20 13:53:27 2021 +0100

    Include CR3 as image format in README

commit 5a04fdb7aeda13c1b8da7d237684968f2424a129
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Apr 20 12:30:43 2021 +0100

    Include AVIF as image format in README

commit d533f6f86b0c8d3dd9d3076fd1c647d87e5b7a5b
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Apr 20 11:14:33 2021 +0100

    Do not open collection window for --list option and no files
    
    If the command line option --list is given, but there are no files
    listed on the command line, do not open a blank collection window

commit c79f0655b55103f7466d8d9cae662c58d4307127
Author: terrancewong <>
Date:   Tue Apr 20 10:30:35 2021 +0100

    Fix #772: Huge image display issue
    
    https://github.com/BestImageViewer/geeqie/issues/772
    Patch by terrancewong, expanded by CAC.
    There is a problem with the GdkPixbuf library when the image width is > 32767.
    The problem shows in gdk_pixbuf_copy_area() and GDK_INTERP_NEAREST.
    The easiest way to solve the problems is to work around them.

commit 2920df346c290c58ca721884fe64818ecf01cf64
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Apr 18 11:21:02 2021 +0100

    Bug fix: doxygen-help.sh double quotes
    
    Use double quotes to prevent globbing and word splitting

commit 84d6373e98c44bedcd197a6520f12994e6a38985
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Apr 18 10:26:36 2021 +0100

    Keep focus on collection window when --list option is used
    
    When the command line option --list is used, do not select files in the
    files pane. The focus then stays on images in the collection window.

commit bc7652af15882ccd515dab077ce296040117f30b
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Apr 17 12:49:18 2021 +0100

    Fix #615: Find Duplicates use multicore multithread all cores threads
    
    https://github.com/BestImageViewer/geeqie/issues/615
    
    Similarity searches use all available threads.

commit a33d8c40e9e56597f68e83be3336036992996738
Author: Matthew Miller <mattdm@mattdm.org>
Date:   Thu Apr 8 20:21:39 2021 -0400

    Fix doc building with newer yelp
    
    This adds `-i`, because otherwise it will complain about missing files (which
    we copy into place later), and adds a trailing slash to the output directory,
    because `yelp-build` now puts the files into the wrong place otherwise.

commit cfb686d6500515ec18ed2c07f7bb77cb6c0c8fcb
Author: Matthew Miller <mattdm@mattdm.org>
Date:   Thu Apr 8 20:21:39 2021 -0400

    Fix doc building with newer yelp
    
    This adds `-i`, because otherwise it will complain about missing files (which
    we copy into place later), and adds a trailing slash to the output directory,
    because `yelp-build` now puts the files into the wrong place otherwise.

commit 737a3dc19275ac11d8a6225dbd03639e73b22fee
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Apr 4 13:12:11 2021 +0100

    Bug fix #880: Optimize file loading when looking for duplicates
    
    Reversed logic, resulting in items being processed twice

commit 72ef80f637f21a7fe96c82a15c747cd9c703f342
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Apr 2 10:44:17 2021 +0100

    Log window - search text
    
    Include facility to search text in the log window

commit 3530cdd6b361a7542648dc9ac1bece4e3b405f64
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Apr 1 11:00:53 2021 +0100

    Ouput exit status from doxygen-help
    
    Exit status 0 if a match found in the .tag file, otherwise exit status
    1.

commit 88ff92002b60199659be96a1c67006c0fa4c1a9c
Author: Frej Drejhammar <frej.drejhammar@gmail.com>
Date:   Sun Mar 28 12:05:15 2021 +0100

    Fix #880: Optimize file loading when looking for duplicates
    
    https://github.com/BestImageViewer/geeqie/pull/880

commit 75794b0d65929caac0e4d0969ba05bdb00b456e9
Author: Frej Drejhammar <frej.drejhammar@gmail.com>
Date:   Fri Mar 12 21:02:16 2021 +0100

    dupe: Eliminate O(n^2) code in dupe_files_add_queue_cb()
    
    Geeqie is, compared to its ancestor Gqview, embarrassingly slow while
    loading a set of files to look for duplicates (most noticeable when
    looking for duplicate names). Profiling shows that a lot of time is
    spent in dupe_files_add_queue_cb(). The culprit turns out to be two
    loops, which for each newly loaded file, traverses the list of already
    loaded images. As this gives a time complexity of O(n^2) where n is
    the number of images, loading times become very large when the number
    of files increases.
    
    This patch adds a GHashTable-based cache which is created when a
    loading operation starts and destroyed when it completes. The cache is
    initialized with the loaded images on creation (an O(n)
    operation). Using the cache, checking for duplicates in the lists can
    be done in constant time, thus making the loading time linear in the
    number of images loaded. With this change Geeqie now matches the
    performance of Gqview.
    
    As a side effect, this patch also fixes a memory leak when an attempt
    is made to re-add an already added file, as the unmodified version
    never freed the DupeItem allocated for the twice added file.

commit 513bc7148be74632d9c410ffbfaf8c3e21a82aef
Author: Frej Drejhammar <frej.drejhammar@gmail.com>
Date:   Sat Feb 13 16:55:05 2021 +0100

    dupe: Optimize memory handling in dupe_files_add_queue_cb()
    
    Do not traverse the lists returned by filelist_filter() while
    allocating new list links with g_list_prepend(). Instead prepend the
    lists to dw->add_files_queue using g_list_concat(). Although
    g_list_concat() has to traverse the lists containing the new items to
    find their ends, it avoids redundant memory allocation and
    deallocation.

commit 5eab9b5f7815fa579b7c53dd8c1c17e9651ff18b
Author: Frej Drejhammar <frej.drejhammar@gmail.com>
Date:   Sat Feb 13 16:54:24 2021 +0100

    dupe: Avoid O(n) operations in dupe_files_add_queue_cb()
    
    Replace tests that use g_list_length(), which traverses the list with
    simple constant-time NULL checks. That an empty list is NULL is
    documented in the GList documentation.

commit 6fcc1f605927429d306621ed6af31bdaed1036b5
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Mar 24 12:49:48 2021 +0000

    Doxygen helper script
    
    The script may be used to integrate the Doxygen html files into a code
    editor.
    Set a code editor hot key to pass a variable or function name to the
    script. The relevant Doxygen file will be displayed in a browser window.

commit 62d81a876a53100fc2445c8479687ff6c97b0719
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Mar 17 09:34:09 2021 +0000

    Fix #845: Control image rotation in pan view
    
    https://github.com/BestImageViewer/geeqie/issues/845
    
    If Pan View "Show Image" is selected and status bar "Exif Rotate" is
    set, rotate the displayed image.

commit 13aaf78c5fd0af4332ca05c53e2de05342ea883f
Author: Marcel Pol <>
Date:   Thu Mar 11 10:09:25 2021 +0000

    Fix #878: Use binary units for sizes, not decimal values
    
    https://github.com/BestImageViewer/geeqie/pull/878

commit 319f58d9c1d7c35ade90094b2e196e220da7a864
Author: Marcel Pol <marcel@timelord.nl>
Date:   Wed Mar 10 13:47:33 2021 +0100

    Use binary units for sizes, not decimal values.
    
    KiB = 1024 bytes
    MiB = 1024 * 1024 bytes
    GiB = 1024 * 1024 * 1024 bytes
    
    Please be aware, I am no C programmer. I also saw some use of Mb and mb,
    which might indicate Megabit.
    Please double check if my assumptions are correct.
    
    Reference:
    https://en.wikipedia.org/wiki/Byte#Multiple-byte_units
    
    
    If the desire is to use decimal units like KB, MB and GB,
    the code would need to be changed to use 1000 for kilo.
    That is way over my head and not a good task for me.

commit 724caf64b3dd94cb3445f61449fd44d6d885893f
Author: Adrian Siemieniak <>
Date:   Tue Mar 9 10:55:26 2021 +0000

    Fix #877: Add image/webp mime type
    
    https://github.com/BestImageViewer/geeqie/pull/877

commit 0436ed321b880e03434b33857845a869d9f34db6
Author: Adrian Siemieniak <sauron@ordugh.org>
Date:   Tue Mar 9 11:37:08 2021 +0100

    Add image/webp mime type

commit 892a53ebab8f373fc99f9656aabd274e2816626b
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon Mar 8 12:38:42 2021 +0000

    Fix #786: Image in fixed size window smaller than X11 desktop sometimes gets wrong zoom, reproducible.
    
    https://github.com/BestImageViewer/geeqie/issues/786
    
    Undo Temporary Fix #133: switching between images causes window to keep
    shrinking

commit 955709eb5885dd130cc47aee493d193df982a3de
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Mar 6 16:35:30 2021 +0000

    Fix #863: Geeqie handles non-existing files in a user-unfriendly way
    
    https://github.com/BestImageViewer/geeqie/issues/863
    
    Any command line error results in a modal dialogue followed by exit.

commit 89c5590a2ecc3132d34fa5b692d03b96e58ac117
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Mar 6 13:23:46 2021 +0000

    Fix #644: Images fail to render on MacOS
    
    https://github.com/BestImageViewer/geeqie/issues/644
    
    Change the way the "draw" signal is handled.
    
    Overlay guidelines are disabled.

commit 8bff4932aa8c6cbf5d29439176d04b5661589812
Author: Marcel Pol <>
Date:   Fri Mar 5 16:03:25 2021 +0000

    Fix #876:Update Dutch translation (nl_nl)
    
    https://github.com/BestImageViewer/geeqie/pull/876

commit 8eb3ee5d331b1b68936bda04a6493b385144eeae
Author: Marcel Pol <marcel@timelord.nl>
Date:   Fri Mar 5 14:43:20 2021 +0100

    Update Dutch translation (nl_nl)

commit 3f4b611654ca5fe5b3a61c3b5b8d6b81a3b4003b
Author: Marcel Pol <>
Date:   Thu Mar 4 09:58:28 2021 +0000

    Fix #875: Fix spelling mistake
    
    https://github.com/BestImageViewer/geeqie/pull/875

commit 1424f6b6831b6839b8c870c2b400ee720991348d
Author: Marcel Pol <marcel@timelord.nl>
Date:   Wed Mar 3 19:07:45 2021 +0100

    Fix spelling mistake
    emdedded -> embedded

commit 100bd6ae6d964b9072777440ab98fb3187e90d2e
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Feb 27 09:12:40 2021 +0000

    Fix #860, #871: --remote and --slideshow on startup
    
    https://github.com/BestImageViewer/geeqie/issues/860
    https://github.com/BestImageViewer/geeqie/issues/871
    
    Remote slideshow delay is ignored
    
    --remote --File=IMAGE fails: not displaying image, not using running
    instance, not forking

commit 5901ff851b0508ca85080df65b3006d475f8e018
Author: equal-l2 <eng.equall2@gmail.com>
Date:   Mon Feb 8 10:39:59 2021 +0000

    Fix #866: Fix build on macOS
    
    https://github.com/BestImageViewer/geeqie/pull/866
    Use POSIX options for tail and tr
    Cast  properly

commit 7ea866b2aa83005b8a5374f16c1f856e0a53368b
Author: equal-l2 <eng.equall2@gmail.com>
Date:   Mon Feb 8 09:29:39 2021 +0900

    Cast `struct sockaddr_un*` properly
    
    Because of `-Werror`, the difference in pointer types makes the whole
    build fail.

commit f249434e82acad29c2202fe961cb5a071e64b40b
Author: equal-l2 <eng.equall2@gmail.com>
Date:   Mon Feb 8 09:27:11 2021 +0900

    Use POSIX options for tail and tr
    
    Long options like `--delete` and `--lines` are GNU extension, which
    cause trouble on non-GNU toolchains.

commit a223da14d3cf36fdb63d7624ae1c99a9283531f6
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Feb 3 15:23:53 2021 +0000

    Bug fix: Include tilde expansion in slideshow recurse
    
    Tilde expansion was missing in call to --remote
    --slideshow-recurse:<folder>

commit 5e1d32240bb74e6512849fcd3e912aa6f5343271
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Jan 30 14:39:01 2021 +0000

    Find duplicates speed-up for simple comparisons
    
    Speed increase for simple comparisons (i.e. all those except similarity
    checks)
    This is achieved by using quicksorts and binary searches.

commit 5331621295858588891a79a9b1ef939a1dea367b
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Jan 29 10:26:50 2021 +0000

    Include GTK version in output
    
    Include GTK major version in --version output

commit 9a21d9af23fc9affd218c7716b9442686427f873
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Jan 29 10:21:30 2021 +0000

    Fix #857: Mouse locked in column adjusting mode in Exif window
    
    https://github.com/BestImageViewer/geeqie/issues/857
    
    The problem occurs only when compiled with GTK2. The reason is unknown.
    Because the problem can cause Xorg to crash, it is best just to inhibit
    the column adjust function in GTK2.

commit 64d643da4a6079e11e9516ddf9e0ae88b1e57091
Author: Carles Pina Estany <carles@pina.cat>
Date:   Sun Jan 24 15:45:02 2021 +0000

    Fix #856: Catalan translation updated
    
    https://github.com/BestImageViewer/geeqie/pull/856

commit 01db7e784e82b3480ba487881bf4f700036588d2
Author: freddii <>
Date:   Sun Jan 24 15:35:47 2021 +0000

    Fix #854: updated german translation
    
    https://github.com/BestImageViewer/geeqie/pull/854/

commit 865a8ba3888f2c13f007cac582821238d627755e
Author: Carles Pina i Estany <carles@pina.cat>
Date:   Sun Jan 17 21:33:51 2021 +0000

    Updated Catalan translation

commit f4fad426aed99ecf78f775db9871470a55308aab
Author: freddii <freddii@users.noreply.github.com>
Date:   Fri Jan 22 15:50:54 2021 +0100

    updated german translation

commit 23cb77f679fcf36155dc559f50670f7a8186b102
Author: freddii <freddii@users.noreply.github.com>
Date:   Fri Jan 22 15:34:32 2021 +0100

    updated german translation

commit e6c5624096662d294c4725f9635d442459972d15
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Jan 15 12:43:54 2021 +0000

    Fix #822: The image rotation keys ([ and ]) affect the wrong image
    
    https://github.com/BestImageViewer/geeqie/issues/822
    
    If a call is of the format:
    geeqie /<folder1>/*jpg
    Geeqie opens folder1 with the listed files selected.
    
    If a call is of the format:
    geeqie /<folder1>/*jpg /<folder2>/*jpg
    Geeqie opens folder1 and the listed files are displayed in an unnamed
    collection.
    
    The hidden command line collection feature of previous versions is
    deleted.

commit 539271e028373495efea4db14f919588e7003c65
Author: freddii <>
Date:   Thu Jan 14 11:38:32 2021 +0000

    Fix #852: fixed wrong spelled words
    https://github.com/BestImageViewer/geeqie/pull/852

commit 0d981a84c8cbc07de30ff00e9ff7736ce2abb321
Author: freddii <freddii@users.noreply.github.com>
Date:   Thu Jan 14 12:00:00 2021 +0100

    fixed wrong spelled words

commit ecc8a90f864746642fa37f4e384009e97ed3574b
Author: freddii <>
Date:   Thu Jan 14 10:17:32 2021 +0000

    Fix #851: fixed spelling mistakes
    https://github.com/BestImageViewer/geeqie/pull/851

commit 121db0ea48eff51577543816082fafcaef7c85a0
Author: freddii <https://freddii@github.com>
Date:   Thu Jan 14 09:20:26 2021 +0100

    fixed spelling mistakes

commit f34ea0700048c27319a2256408171adda32a7580
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Jan 9 11:35:41 2021 +0000

    Fix #829: segfault with clutter-gtk
    
    https://github.com/BestImageViewer/geeqie/issues/829
    
    This fix might cause other problems which might be cured by calling:
    LIBGL_ALWAYS_INDIRECT=1 geeqie
    
    or, worst case:
    geeqie --disable-clutter

commit efc5347870367e7562c24ede985995c638e738bb
Author: Hrvoje Nikšić  <>
Date:   Tue Dec 29 10:56:27 2020 +0000

    Fix #840: Copy image to clipboard menu action
    
    https://github.com/BestImageViewer/geeqie/pull/840

commit 3c363439f022d352edceb187fd824bc4f2dda65b
Author: Hrvoje Niksic <hniksic@gmail.com>
Date:   Mon Dec 28 23:37:58 2020 +0100

    New pop-up menu action "Copy image to clipboard"

commit 9ddd993a245b76093b6fe90d6c2574b30eca830e
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Dec 20 15:39:10 2020 +0000

    No post-processing for animated gifs (2)
    
    Check for no layout window.

commit c85f1baad3b4aba272f5007019a911bba09394c5
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Dec 20 15:04:17 2020 +0000

    No post-processing for animated gifs
    
    Post-processing takes so much time animated gifs lose frames.
    Inhibit post-processing for animated gifs.

commit d16a7b88639635b5cd3e55cc638fa4b58d951fc3
Author: Andreas Rönnquist  <>
Date:   Thu Dec 17 16:11:38 2020 +0000

    Fix #836: Fix building on GTK2 again, adding #ifdefs for gtk_label_set_[x,y]align
    
    https://github.com/BestImageViewer/geeqie/pull/836

commit 18ad1ee9552a5d15fd47377c03b2ebccf3726292
Author: Andreas Rönnquist <andreas@ronnquist.net>
Date:   Wed Dec 16 15:32:03 2020 +0100

    Fix building on GTK2 again, adding #ifdefs for gtk_label_set_[x,y]align
    
    gtk_label_set_[x,y]align is only available on gtk3, so to still
    build on gtk2 we need the old functions used back.

commit 29ed57be246deb768156257249afc6b059416adc
Author: Andreas Rönnquist <>
Date:   Tue Dec 15 11:43:50 2020 +0000

    Fix #834: Use gtk_label_set_[x,y]align instead of gtk_misc_set_alignment
    
    https://github.com/BestImageViewer/geeqie/pull/834

commit 50ccf27c1a5e0f01ab11c52ac89609cf500cedde
Author: Andreas Rönnquist <andreas@ronnquist.net>
Date:   Mon Dec 14 18:19:17 2020 +0100

    Use gtk_label_set_[x,y]align instead of gtk_misc_set_alignment

commit 9443a0929a6f73010f5f86c3147ada7288a10f8a
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Dec 13 10:54:33 2020 +0000

    Fix #832: Geeqie remembers desktop
    
    https://github.com/BestImageViewer/geeqie/issues/832
    
    An additional option to remember window workspaces in
    Edit/Preferences/Windows.
    The default is "off".

commit 8768ab3d7588019ea07a440a9cfd12679bc07d65
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Dec 10 16:43:33 2020 +0000

    Ref #539: Run time check on GDK display backend (2)
    
    https://github.com/BestImageViewer/geeqie/issues/829
    
    Include a run time check to determine which backend is being used.
    There was a seg. fault when Wayland was being used.

commit fa91a270d420a7fcdb38ebb40332d14c4e2f4492
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Dec 10 16:08:01 2020 +0000

    Ref #539: Run time check on GDK display backend
    
    https://github.com/BestImageViewer/geeqie/issues/539
    
    Include a run time check to determine which backend is being used.
    There was a seg. fault when Wayland was being used.

commit b4032ccbc4d1804dcd93115f7bd5c503e0e17b4c
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Wed Dec 2 22:02:18 2020 +0100

    That doesn't wort currently, so removing it again

commit ba27831352301cc37f7825d87fe70b258990b4db
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Wed Dec 2 21:52:53 2020 +0100

    Own compile

commit ef06b31f276aca3174b72604a4c83dd0b1dc1dc9
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Wed Dec 2 21:01:27 2020 +0100

    Try to setup security scan

commit 23d54a6fa903a9522062e266a139b94e4f4b26d7
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Nov 28 11:18:13 2020 +0000

    Ref #137: Copy to both clipboards
    
    https://github.com/BestImageViewer/geeqie/issues/137
    
    A third option to copy to both clipboards. Default is to copy to both.

commit bc7232713cf4b61103db8b509a7f3f2f310ba60a
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Nov 15 14:25:39 2020 +0000

    Fix #825: Add keymap_template.h to geeqie_SOURCES
    
    https://github.com/BestImageViewer/geeqie/pull/825

commit e108b2e5c089ba79e273c9769dc29fe8311df4b3
Author: Andreas Rönnquist <andreas@ronnquist.net>
Date:   Sun Nov 15 13:47:58 2020 +0100

    Add keymap_template.h to geeqie_SOURCES too

commit fae4de3c647dc77b6a91830de2e3d989d4c70824
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Nov 12 12:37:47 2020 +0000

    Ref #781: Display version numbers
    
    https://github.com/BestImageViewer/geeqie/issues/781
    
    If the tag is at HEAD show the version number only, otherwise show
    version-date-commit

commit 5dc8b46377476e8ce85f93796fc9f8215c2d53b8
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Nov 8 13:45:16 2020 +0000

    Ref #820: Problem with window in the current build
    
    https://github.com/BestImageViewer/geeqie/issues/820
    
    Place automatic scrollbar under menus

commit 581d8ef0912d18e53422d1c4cf884695ca4b7e86
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Nov 7 14:40:47 2020 +0000

    Ref #820: Problem with window in the current build
    
    https://github.com/BestImageViewer/geeqie/issues/820
    
    Remove the requirement for a "main" window.

commit 436785539e762a8dd9dec13e553670d38ca25b27
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Nov 7 10:18:17 2020 +0000

    Bug fix: --disable-clutter can cause crash
    
    If --disable-clutter has been issued, trying to load the map will cause
    a crash.

commit dd25e027a0690fafb20fe867edcae4bdeeac1a3f
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Nov 4 15:38:49 2020 +0000

    Geeqie as a flatpak
    
    Include a reference to the flatpak version of Geeqie in the README and
    web page.

commit ecbbff4ec127459612d7ded49602a46c9bda696e
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon Nov 2 17:06:09 2020 +0000

    Ref #820: Problem with window in the current build
    
    https://github.com/BestImageViewer/geeqie/issues/820
    
    Allow the desktop workspace layout to be saved in the configuration
    files.
    This is X11 and GTK3 only.

commit 804593cfce94eacf75cae6a2b6b792fefee8a16f
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Oct 29 15:31:09 2020 +0000

    Ref #820: Problem with window in the current build
    
    https://github.com/BestImageViewer/geeqie/issues/820
    
    This fixes a problem with the command line geometry parameters being
    ignored.

commit 1e0d4128c17abf22333ee828ec86a83a36827bcf
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Oct 29 10:25:42 2020 +0000

    Fix #821: Un-full-screen doesn't work. Regression
    
    https://github.com/BestImageViewer/geeqie/issues/821
    
    Implement a user-definable option for "Hide window in fullscreen",
    instead of a define.

commit a54864bf069d0d3c7f6dd1ba625416e365124fa1
Author: Andreas Rönnquist  <>
Date:   Wed Oct 14 15:23:55 2020 +0100

    Fix #816: Fix building with --enable-debug-flags
    
    https://github.com/BestImageViewer/geeqie/pull/816

commit f8f558aa337185b19b338d482eedc648d2504f90
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Oct 11 14:14:43 2020 +0100

    Ref #761: Severe stall/hang at start-up
    
    https://github.com/BestImageViewer/geeqie/issues/761
    
    Read star rating in the idle loop.

commit 4d5f032ecf0466198e19f80cad1630614c2bf3d4
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Oct 9 16:50:32 2020 +0100

    Fix #819: Turning off mouseover info
    
    https://github.com/BestImageViewer/geeqie/issues/819
    
    Showing file data as a tooltip in list view seems redundant, as that
    data is visible anyway.
    So the tooltip is removed.

commit 546dbdfa2dd764e50bbcba74983f8b8490f86393
Author: Andreas Rönnquist <andreas@ronnquist.net>
Date:   Sat Oct 3 17:03:35 2020 +0200

    Fix building with --enable-debug-flags
    
    This adds wrappers for callback functions which now takes two inputs
    to fix building with incompatible function types warnings. See
    
    https://gitlab.xfce.org/xfce/xfce4-power-manager/-/issues/63
    
    for a similar issue in Xfce-power-manager.
    It also adds a header keymap_template.h and makes the char *
    keymap_template non-static, and removes some un-used functions
    and variables.

commit f8dcb10b89825eced654065c42ca61eaf6632220
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Oct 1 12:47:04 2020 +0100

    Fix #814: Geeqie slow at startup, even when looking at just a single image
    
    https://github.com/BestImageViewer/geeqie/issues/814
    
    Wrong filedata function call.

commit 10f4a2492c676277df17fd63a21d0fc536698d1d
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Sep 26 13:11:11 2020 +0100

    GDK_INTERP_HYPER is deprecated
    
    GDK_INTERP_HYPER is deprecated as GDK_INTERP_BILINEAR has a better
    quality

commit f2adc39381f3a2e46366f13190001367fa996cb8
Author: Jose Riha  <>
Date:   Mon Sep 21 11:02:50 2020 +0100

    Fix #809: Extra underscore in toolbar.c
    
    https://github.com/BestImageViewer/geeqie/issues/809

commit 266f15fc0b01a46b45011338ffe5492b6cde74b0
Author: Jose Riha  <>
Date:   Mon Sep 21 10:56:57 2020 +0100

    Fix #810: Fix mistakes in Czech translation
    
    https://github.com/BestImageViewer/geeqie/pull/810

commit 8bdbba90033f966fdd70acb1a1324fa9e843ee0d
Author: Jose Riha  <>
Date:   Mon Sep 21 10:47:27 2020 +0100

    Fix #808: Update Slovak translation

commit c113dd9a8a294509664ac2a86a0a6bcc80af8a0e
Author: Jose Riha <jose1711@gmail.com>
Date:   Sun Sep 20 07:14:23 2020 +0200

    Fix mistakes in Czech translation

commit f6e88fcd695563895bbd11bb5ea0040f63c2a271
Author: Jose Riha <jose1711@gmail.com>
Date:   Sat Sep 19 23:17:03 2020 +0200

    Update Slovak translation

commit 87c097550c7a7c372e5e66c840435fb61167aad2
Author: Jose Riha  <jose1711@gmail.com>
Date:   Fri Sep 11 12:22:37 2020 +0100

    Fix #806: Slightly improve plugin template
    
    https://github.com/BestImageViewer/geeqie/pull/806

commit 635569789cf5911f9012e8804a044b6429a379c8
Author: Jose Riha <jose1711@gmail.com>
Date:   Fri Sep 11 11:29:00 2020 +0200

    Slightly improve plugin template

commit 344588e5282dc9e0aba2a405e990d5fff948bd8f
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Sep 5 16:10:28 2020 +0100

    Update gitignore for appdata file
    
    Include org.geeqie.Geeqie.appdata.xml in .gitignore

commit 432e5651675b77af9ae4c066f08c666225bf70b3
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Sep 5 13:58:49 2020 +0100

    Plugins sort order
    
    Use caseless and natural sort order when displaying the plugins menu.

commit 0ff5c85b082fa2b1dc578807fac8dbfd9b93421c
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Sep 4 12:45:21 2020 +0100

    Ref #761: Severe stall/hang at start-up
    
    https://github.com/BestImageViewer/geeqie/issues/761
    
    When file marks have been saved, on next start the entire folder of each
    marked file is reffed, causing a slow startup.
    Wrong filedata function used.

commit 5f2afc4b57f94823105e343a844450fcf175a6db
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon Aug 24 15:43:07 2020 +0100

    Find duplicates - blocking when loading file list
    
    Geeqie blocks when loading a list of files for find duplicates.
    Using recurse can result in thousands of files being loaded, which
    creates a problem.
    This patch loads the file list in the idle loop.

commit 0b0e48bc49ef3fe725cceaa58d725ce9cc6da60f
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon Aug 17 15:33:33 2020 +0100

    Part fix #796: Restored windows all show the same location
    
    https://github.com/BestImageViewer/geeqie/issues/796
    
    If multiple windows are defined in the config. file, command line
    options are used only in the main window.

commit 2a27c9ab551eaac17fb6a4d7032421d600fd0aa7
Author: Andreas Rönnquist  <>
Date:   Sat Aug 8 16:26:38 2020 +0100

    Fix #794: make dist errors out due to a tar filename limit of 99 characters
    
    https://github.com/BestImageViewer/geeqie/issues/794

commit d43baf2c1b499a05cebc171550f3891d0cf53537
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Aug 8 14:23:18 2020 +0100

    Fix #781: Running 'make check' in po folder errors out
    
    https://github.com/BestImageViewer/geeqie/issues/781
    
    Spurious newline removed, and version now also includes last release tag
    and date.

commit 30b97e86518ad71518e2e6394be5fe4e150f21c0
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Aug 5 14:17:22 2020 +0100

    Addl fix #599: Geeqie won't start if clutter fails to init
    
    https://github.com/BestImageViewer/geeqie/issues/559
    
    Missing source file.

commit 69c02017460ab5ac93699f696cf3cc31e7095d03
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Aug 5 12:13:42 2020 +0100

    Fix #559: Geeqie won't start if clutter fails to init
    
    https://github.com/BestImageViewer/geeqie/issues/559
    
    New command line option:
    geeqie --disable-clutter

commit d39c61fdc336da9c5881b14765e8b1987d805e43
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon Jul 27 15:10:55 2020 +0100

    Update help and man files

commit caa1d58523349e61f67acaa5c3ce03fc6e0788cd
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon Jul 27 11:02:05 2020 +0100

    Include Find icon in SaR entry field

commit d6195e586128dcda176951f6874ba33b9a6f2abc
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Jul 24 10:03:17 2020 +0100

    Fix #782: dangerous duplicate finder deletes original, leaves dangling symlink
    
    https://github.com/BestImageViewer/geeqie/issues/782
    
    Ignore symlinks to files

commit 9247c96d3473cbff05c559db2fb0b05067f2a58b
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Jul 23 13:57:22 2020 +0100

    Fix clang compile errors
    
    Fix errors revealed by -Wlogical-op-parentheses

commit 51d3bd17e994988443ecb77b86dbf5177bd9046a
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Jul 8 16:54:03 2020 +0100

    Update dupes documentation

commit 1f9e39201a67d2993e2691fcb19b1113d7fbad74
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Jul 8 11:51:53 2020 +0100

    Addl fix #397: GPU acceleration
    
    https://github.com/BestImageViewer/geeqie/issues/397
    
    Pan view does not display correctly when renderer-clutter is used.
    This patch forces renderer-tiles to be used from pan-view.
    This is a work-around - a correct solution is still required.

commit 1ca8c68ecdcc4a5e9610e67d0189254c01a2b164
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Jul 7 12:04:27 2020 +0100

    Fix minor coding errors

commit 4eb2f5880956c8259d0b5e2084baf61a27ee82ad
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Jul 7 11:46:52 2020 +0100

    Addl fix #397: GPU acceleration
    
    https://github.com/BestImageViewer/geeqie/issues/397
    
    If two windows are open, switching between the two windows may cause a
    crash with the message:
    The error was 'GLXBadDrawable'
    
    The bug happens with Nouveau drivers and Radeon drivers, but not with
    Nvidia drivers.
    
    This patch disables Clutter if the system is liable to this bug. The
    user is given the possibility to override this with an option in
    Preferences/Behavior.

commit 99aa4caeef1f7c2985431e3e15f95563a30fb354
Author: gusr  <>
Date:   Tue Jun 23 10:32:15 2020 +0100

    Fix #779: Add search by path
    
    https://github.com/BestImageViewer/geeqie/pull/779

commit f344d59a1e252de22a52c6395fe440ad3ba1adb6
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Jun 20 10:53:15 2020 +0100

    Fix coding errors detected by clang

commit c3029a4db75fc2e647ef61149e24021db4a5c4ef
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Jun 20 09:26:22 2020 +0100

    Fix #775: GTK3 and the readme.md
    
    https://github.com/BestImageViewer/geeqie/issues/775
    
    Change status of both GTK2 and GTK3 versions to "stable".

commit b95eb68beeac96b5cf774174f578b54d4d0ef9d2
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Jun 19 14:47:34 2020 +0100

    Part fix #396: GTK3 collections
    
    https://github.com/BestImageViewer/geeqie/issues/396
    
    The helper icon marker.xpm was not shown when making drag-and-drop on a
    collection window.
    
    The patch includes a FIXME, but works well enough.

commit 4800e2c1ae84d618c19ab330d53e4c528a2a000f
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Jun 18 10:06:07 2020 +0100

    Fix #770: What's this repo is about
    
    https://github.com/BestImageViewer/geeqie/issues/770
    
    Warning paragraph included at top of README

commit 5ae1d8323249e6e51af351a85b3ea27ad3b9d1bf
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Jun 16 13:43:40 2020 +0100

    Fix #702: Menubar takes too much space
    
    https://github.com/BestImageViewer/geeqie/issues/702
    
    Additional option in Preferences/General

commit 666f14a4f23b64a27a5fa2900a726359aebc1baa
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon Jun 15 16:59:11 2020 +0100

    Fix #397: GPU acceleration
    
    https://github.com/BestImageViewer/geeqie/issues/397
    
    Minor speed improvement.

commit 7eda2f82ee66cec9988338e17da5d6fba42451ed
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Jun 3 16:39:31 2020 +0100

    Tmp fix #397: GPU acceleration
    
    https://github.com/BestImageViewer/geeqie/issues/397
    
    This is a quick-fix just to provide something that works.
    For that reason some code is merely commented out rather than removed.
    
    The code must be re-written to remove deprecated functions and to use
    clutter effects where appropriate.

commit d9ecec6e4cf3f8121aac7efb4aeda0fa2cb5e4c2
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Jun 2 15:37:12 2020 +0100

    Fix #771: properly check return value of mmap
    
    https://github.com/BestImageViewer/geeqie/pull/771
    
    Updates from ZoneDetect project:
    https://github.com/BertoldVdb/ZoneDetect

commit 099b571c1c4f46c465463d8d7ea858e959755147
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed May 20 11:54:33 2020 +0100

    Bug fix #268: Picture diff or picture compare feature
    
    https://github.com/BestImageViewer/geeqie/issues/268
    
    Fix illogical logic
    Fix initialization
    Documentation update

commit f5d36d3ef2a47d90f676e2e95c8b0d1be7e36d9c
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue May 19 14:42:27 2020 +0100

    Fix #268: Picture diff or picture compare feature
    
    https://github.com/BestImageViewer/geeqie/issues/268
    
    Two extra options on Duplicates window:
    Name ≠ Content
    Name case-insensitive ≠ Content
    
    Shows files with the same name but different checksums.

commit d3147eee3072895906f4ed6e2d5a2d2fc5afbcb7
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue May 12 10:41:02 2020 +0100

    Bug fix: Plugins using exiv2
    
    Order of parameters in call to exiv2 was incorrect.

commit bcd783c022944ea2a71e0e710299198d48c6b081
Author: Trey Dempsey  <>
Date:   Sun May 10 12:15:36 2020 +0100

    Hide main window while in fullscreen
    
    Hide the original main window in the list of windows while alt-tabbing in Gnome.

commit c6080e0fd59df9b1fa378c7386f81c81d02e138e
Author: vonasek  <>
Date:   Fri May 8 16:47:06 2020 +0100

    Fix #344: Ignoring alpha channel
    
    https://github.com/BestImageViewer/geeqie/issues/344

commit 015500a02c9e57cb1f59be6b5ae347cf96c49614
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Apr 29 20:02:03 2020 +0100

    Fix #120: Export/Import of Keyword tree
    
    https://github.com/BestImageViewer/geeqie/issues/120
    
    The ./scripts folder contains a script which enables merging the keyword
    tree of two config. files.

commit ab2341d3c3f1af804857cac7c6fd35d09dc4cabd
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon Apr 27 08:06:21 2020 +0100

    Update desktop.template documentation
    
    Also include a script to automatically update the menu "Valid sections"
    of the template.
    This needs to be run only when the menus have changed.

commit 17a7579d275c6fe1a96ee0a350bedf50b1b52a87
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Apr 26 11:19:34 2020 +0100

    Bug fix: Set geometry of additional windows
    
    When an additional was opened from the command line, any --geometry
    parameters were ignored.
    
    There is now also a --remote command to set window geometry.

commit 87aad0c6520f34d1d4cdcdc337cc73a023e58026
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Apr 26 09:52:32 2020 +0100

    Search on collection
    
    Additional option on Search window - search on a Collection

commit 9acee2d02eab2e0ca8b060fc242c9289df8adde2
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Apr 25 08:18:26 2020 +0100

    Web page - mailing list comment
    
    Add warning that there will be no auto response unless subscribed

commit 9c6d21c5ba8d55aa11b70820cd20ec0d5421d3f1
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Apr 24 15:42:40 2020 +0100

    Bug fix #714: find duplicates enhanced selection logic
    
    https://github.com/BestImageViewer/geeqie/issues/714
    
    GTK2/GTK3 difference for gtk_button_box_new

commit 68eec555c787ef354c646fd9f03ec7b86b753644
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Apr 23 10:40:19 2020 +0100

    Fix #714: find duplicates enhanced selection logic
    
    https://github.com/BestImageViewer/geeqie/issues/714
    
    Sort by click on column header
    "Show all" option
    Revised layout
    Key "0" de-select all

commit 447abafbc12ee744e334b41283ea88e1c74f3012
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Apr 18 17:59:01 2020 +0100

    Search for broken images
    
    Additional option on Search/Image Class to search for broken images.
    Broken being defined as of Class Image, Raw Image, Video or Document,
    but Geeqie cannot display an image.
    
    Also additional buttons for Help and Close.

commit 686d9f374689014497aba0c749075db44501b66a
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Apr 12 17:38:46 2020 +0100

    Remember layout of Search and Dupe windows

commit ff3ba3c98e7da2238814037425555b4d63118a5d
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Apr 12 13:09:34 2020 +0100

    Fix #767: twin file-panels with ability to move to next image simultaneously
    
    https://github.com/BestImageViewer/geeqie/issues/767
    
    New menu option: View/Split/Split Pane Sync

commit d3ce705d4e16898d5d7a32ae0056955a7d6982f6
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Apr 10 15:18:15 2020 +0100

    Fix #726: Unsharp print results
    
    https://github.com/BestImageViewer/geeqie/issues/726
    
    Use cairo_scale() instead of gdk_pixbuf_scale()

commit 95877d468a2b9a52d8104ec2698418d7e5e1309e
Author: Zbigniew Jędrzejewski-Szmek  <>
Date:   Mon Apr 6 15:08:27 2020 +0100

    Fix #753: Various cleanups based on gcc warnings
    
    https://github.com/BestImageViewer/geeqie/pull/753

commit f6a613d4c6c947620238dd80c343e6deaaf34c93
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon Apr 6 11:33:09 2020 +0100

    Addl fix #744: Support Canon cr3 files
    
    https://github.com/BestImageViewer/geeqie/issues/744
    
    Add .cr3 to the defaults

commit 55ed33bc10771ae7e2929d643cfcedaa8a7f7a27
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon Apr 6 09:29:18 2020 +0100

    Addl fix #766: Parallel build problem
    
    https://github.com/BestImageViewer/geeqie/issues/766
    
    Depend on .h not on .o

commit 9da9fffbbea96385e1c125261b6bb6afc7e5946b
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Apr 5 15:54:30 2020 +0100

    Cache maintenance - include progress bars
    
    Include progress bars for create thumbnails and create sim. files

commit 881468bec8b73966ce6d3b1c1b9986d9faf1ce22
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Apr 5 12:07:10 2020 +0100

    Fix #766: Parallel build problem
    
    https://github.com/BestImageViewer/geeqie/issues/766

commit d21fff635e34e001d8566b886f2aef52448d79e4
Author: Dan Dascalescu  <>
Date:   Fri Apr 3 19:27:35 2020 +0100

    Fix #720: Add HEIC support per #610
    
    https://github.com/BestImageViewer/geeqie/pull/720

commit 560f960cb844eb90256b7e79a930ee2e06fc2c6b
Author: Andrew Gaul  <>
Date:   Fri Apr 3 19:15:31 2020 +0100

    Fix #758: Fix spelling and grammar errors in issue template
    
    https://github.com/BestImageViewer/geeqie/pull/758

commit f111f23cf9a9413f0389cbfd5749d3446095e05e
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Apr 3 11:44:12 2020 +0100

    Bug fix: decode_sim perl script
    
    Explicitly check for Date=[-1]

commit f9f499a57f69f3b01b003512d4d14278f2f152a8
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Apr 2 15:29:16 2020 +0100

    Create/Update file similarity cache
    
    Additional button on Edit/Cache Maintenance to create/update the file
    similarity cache.

commit e419f4fe662ae1549d08cd8c9e43e4e458e1ff97
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Apr 1 10:13:43 2020 +0100

    Expand ~ for --remote --get-filelist command
    
    Parameter was not expanded for ~ character

commit 74fb12a915d28b503e7a27dd537faf128b67bd6a
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Mar 31 18:31:35 2020 +0100

    Modify decode_sim perl script for date-time
    
    Print Exif Date as readable text as well as Unix time.

commit 19b59255f7682ab3acf0ce9bdb62de592f69617b
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Mar 31 15:14:24 2020 +0100

    Ref #676: Simultaneous runs of geeqie interfere with each other
    
    https://github.com/BestImageViewer/geeqie/issues/676
    
    Fix some bugs relating to the way files and folders are handled in a
    --remote command line.

commit f550f7731640be8092a4b1b546605a109b5b40c6
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon Mar 30 19:23:37 2020 +0100

    Ref #744: Support Canon cr3 files
    
    https://github.com/BestImageViewer/geeqie/issues/744
    
    This is a temporary solution.
    The code is a copy of image_load_jpeg.c, with addresses modified to suit
    .cr3 files.
    Instead of following pointers to the start of the full size jpeg, a
    fixed address is used.
    
    No doubt at some time someone will write a proper decoder.

commit 170f910705e27a9e7b83d2a13cf115be4220553e
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Mar 29 20:50:45 2020 +0100

    Fix context-sensitive help fault
    
    Context-sensitive help for Preferences/Toolbar Status was not correct

commit 4116491d58427c2f48a576f6430adae194e23970
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Mar 25 20:19:36 2020 +0000

    Document --remote open file or URL command
    
    The --remote open file commands can also open a URL

commit cacbfb159317e44c87430fdef0aeb53be15865ab
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon Mar 23 21:58:26 2020 +0000

    Document collection preview limit

commit 7caab58017875e423b291a2aaa7ff27c16251be7
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon Mar 23 21:15:56 2020 +0000

    Fix documentation error - file date type
    
    Documentation of file date types was missing.

commit d992670d230e1c0c6af22e2f818e80d00205dcbf
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Mar 22 10:54:51 2020 +0000

    Fix #751: Allow to make layouts persistent and selectable
    
    https://github.com/BestImageViewer/geeqie/issues/751
    
    New top-level menu item "Windows" to permit saving and recalling window
    layouts.

commit b7a34ebb5ed235575b3dcc9635d9c98d74aa0fd5
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Mar 21 15:09:54 2020 +0000

    Fix #737: Don't create new folder without confirmation
    
    https://github.com/BestImageViewer/geeqie/issues/737

commit f1d7344715f3347466c717e5d52d1a11ed9d3c03
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Mar 20 18:27:30 2020 +0000

    Amend remote --tell option
    
    This option did not give output if the current folder did not contain an
    image.
    The option now returns the current folder full path, terminated by the
    directory separator.

commit 701d7c379bcb90feb7bea07c2355207b21a8f105
Author: Thomas Klausner <>
Date:   Wed Mar 11 14:32:19 2020 +0000

    Fix #759: NetBSD fixes
    
    https://github.com/BestImageViewer/geeqie/pull/759

commit c3bc39aafc618f548e8a8132311f2485ce636549
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Mar 8 15:57:10 2020 +0000

    Fix #756: Set default option for file drag-drop, skipping "Move/Copy/Symlink" popup
    
    https://github.com/BestImageViewer/geeqie/issues/756
    
    Additional option on Preferences/Behavior

commit 14d8ce4568a651939b8ffd12f4ea50b0635b9589
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Mar 8 09:40:45 2020 +0000

    Fix #713: Image preview does not update when pressing shift-up
    
    https://github.com/BestImageViewer/geeqie/issues/713
    
    When multiple images were selected, when the selection was changed GTK
    triggers the selection function on every item selected in turn.
    This resulted in the last item in the list being shown as the selected
    image.
    The code now uses the GtkTree cursor location.

commit a02121d2f10ccefc98af8294462483fd3bb5aa6b
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Feb 23 13:04:52 2020 +0000

    Bug fix: --disable-j2k option
    
    Ensure that sysinfo.h is not referenced when --disable-j2k option is
    used.

commit d1bd7992378a680ac81f9fc151ec6fa60b34eba3
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Feb 18 11:34:05 2020 +0000

    Fix #752: Allow scroll bookmark window horizontally
    
    https://github.com/BestImageViewer/geeqie/pull/752
    
    GTK3 only.

commit 1cd6241f0c5f3ea1ffe65d9ca4777ad7bbf9eaf7
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon Feb 17 16:24:19 2020 +0000

    Ref #676: Simultaneous runs of geeqie interfere with each other
    
    https://github.com/BestImageViewer/geeqie/issues/676
    
    Updated man page and documentation for --new-instance option

commit e0b589e5cdaa96159d37118de347a80cde20ef41
Author: Colin Clark <cclark@carbon>
Date:   Thu Feb 6 14:51:32 2020 +0000

    Sort by name and date in folder list view
    
    Ref: https://github.com/BestImageViewer/geeqie/issues/429

commit 92b4e3e7257ed48a1d3e5389bac8f7e326ef4829
Author: Colin Clark <cclark@carbon>
Date:   Mon Feb 3 15:25:51 2020 +0000

    Ref #676: Simultaneous runs of geeqie interfere with each other
    
    https://github.com/BestImageViewer/geeqie/issues/676
    
    A new command line option:
    geeqie -n
    geeqie --new-instance
    
    This option reverts geeqie to its previous behavior on start-up.
    Note that there is only one geeqierc.xml file.

commit 3bb1d2231c07028039ad7d2589371881e4e9ef66
Author: Colin Clark <cclark@carbon>
Date:   Mon Feb 3 14:45:17 2020 +0000

    Ref #598: Option to set default drag-drop behaviour to local folder as 'move' not 'copy'
    
    https://github.com/BestImageViewer/geeqie/issues/598
    
    With GTK2 shift+drag moved the target, control+drag copied the target,
    and no modifier key caused a pop-up menu to appear.
    With GTK3 the modifier keys are not recognized correctly.
    This patch reinstates the previous functionality.

commit 44ca3574b1f95d8217ca272c254b054914bdf247
Author: Colin Clark <cclark@carbon>
Date:   Sun Feb 2 15:47:30 2020 +0000

    Addl fix #741: Crash when creating new dir with same name as already existing file
    
    https://github.com/BestImageViewer/geeqie/issues/741
    
    Check for files as well as folders

commit ee5cc947e0605932eb141f42e06b2ff1dc3d1b4e
Author: Colin Clark <cclark@carbon>
Date:   Sun Feb 2 12:31:53 2020 +0000

    Fix #741: Crash when creating new dir with same name as already existing file
    
    https://github.com/BestImageViewer/geeqie/issues/741
    
    Check if destination exists before executing command

commit 26c4dadbf4cdbcc52b5ca66c51d9ad19a6a31938
Author: Colin Clark <cclark@carbon>
Date:   Thu Jan 30 14:33:29 2020 +0000

    Width of drop-downs in Preferences
    
    Most drop-downs in Preferences extend the full width of the window. When
    scrolling the window the drop-downs can be inadvertently changed.
    This patch minimizes the width of the drop-downs.

commit a097dd645af222b2177214a36f5cd502565dd221
Author: Colin Clark <cclark@carbon>
Date:   Wed Jan 29 11:37:47 2020 +0000

    Addl. fix #649: Tell Git to ignore .desktop files globally
    
    https://github.com/BestImageViewer/geeqie/pull/649
    
    Remove files from the repo. that are generated during installation

commit 3ea5fa39d37e56443907255fbc81cb1b83dc9978
Author: Sergei Trofimovich <>
Date:   Sun Jan 26 11:05:18 2020 +0000

    Fix #746: src/options: fix build failure against gcc-10
    
    https://github.com/BestImageViewer/geeqie/pull/746

commit 82b897ca7ada468b9100b912d5f04912e1c343de
Author: Colin Clark <cclark@carbon>
Date:   Sat Jan 25 10:44:57 2020 +0000

    Addl Fix #742: Add appdata file
    
    https://github.com/BestImageViewer/geeqie/pull/742
    
    Set installation folder location dependent on $prefix variable.
    (Flatpak installation requires to the location to be not where
    freedesktop.org defines it)

commit bd524214fb1aa6dc55dddac45110e35cf1a7c669
Author: Colin Clark <cclark@carbon>
Date:   Mon Jan 20 12:59:22 2020 +0000

    Addl Fix #742: Add appdata file
    
    https://github.com/BestImageViewer/geeqie/pull/742
    
    Install appdata file to /usr/share/metainfo
    Enable language translations
    Move screenshots to temporary location

commit f0e664368ecc6a2b0065f573592f658c3298f141
Author: Julian Hofer <>
Date:   Sat Jan 18 12:09:20 2020 +0000

    Addl Fix #742: Add appdata file
    
    https://github.com/BestImageViewer/geeqie/pull/742
    Include release version

commit a55c930cdaa5a7d3d3a8ffd836ec5a6b9fecd757
Author: Colin Clark <cclark@carbon>
Date:   Mon Jan 13 16:40:05 2020 +0000

    Bug fix: Dupes export fn. does not compile with clang
    
    Eliminate "self-comparison always evaluates to true" error

commit 0fe09634043fb78aca550f6657923ffb44b761bd
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Jan 8 11:37:42 2020 +0000

    Fix #373,742: Add appdata file
    
    https://github.com/BestImageViewer/geeqie/issues/373
    https://github.com/BestImageViewer/geeqie/pull/742

commit 98a25fdce3f1814b23caef49a9f2cb9c5c633c48
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Jan 7 16:39:17 2020 +0000

    Bug fix: Additional remote command: --get-file-info
    
    Fix seg. fault when no exif present

commit 093a1d1921d95617462a5c3d794cc16c1a88e6e7
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Jan 4 18:08:34 2020 +0000

    Bug fix: SaR does not compile with GTK2

commit 6ee904772d9670c615b3ed803efe7d6de7c82c28
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Jan 3 14:09:55 2020 +0000

    Addl fix 736: Please migrate from gnome-doc-tool to yelp-build
    
    https://github.com/BestImageViewer/geeqie/issues/736
    
    Do not force user to create help files.

commit c9ea0d5b58270f360530ccf70d0a90758fe47490
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon Dec 30 11:59:07 2019 +0000

    Fix #736: Please migrate from gnome-doc-tool to yelp-build
    
    https://github.com/BestImageViewer/geeqie/issues/736

commit b73edfadb0f6666614e2173cef97bf4d8c0e6729
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Sun Dec 29 10:23:35 2019 +0100

    Don't free not allocated and not used variable

commit 5a145e787d4d65690b85b32909a1c01ebe762df9
Author: Colin Clark <cclark@carbon>
Date:   Tue Dec 24 16:35:58 2019 +0000

    Fix #734: Starting with --remote --new-window opens two windows
    
    https://github.com/BestImageViewer/geeqie/issues/734
    
    If Geeqie is not running, remove --new-window from the remote command
    list.

commit 209cdc48164e5fd9a6d1e794fb8a00852051cee4
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Dec 19 12:18:19 2019 +0000

    Ref #714,412: Export duplicates data to file
    
    Right-click option on duplicates window to export to comma- or
    tab-delimited file.

commit cde469eee1a984b0c9745c87117a50c326d6c289
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Dec 13 14:54:29 2019 +0000

    Fix #727: bigger thumbnails for 32" screens
    
    https://github.com/BestImageViewer/geeqie/issues/727
    
    New option on Preferences/General to set custom thumbnail size.

commit 0d08a0228baf88038b224ebd4fd3de75b1a1a8c0
Author: Colin Clark <cclark@carbon>
Date:   Tue Dec 3 11:26:00 2019 +0000

    Bug fix: Download web file
    
    Correct name of cancel callback.
    Additional parameter to start "Downloading..." dialog minimized (for use
    e.g. when running a slide show of web files - [use the --remote
    --File:<file> option] ).

commit 42141463792a3ae8d5da9737ae50c3afcc2c2511
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Mon Dec 2 18:15:00 2019 +0100

    Even more current version eoan

commit bd9c68033f72185d30de5fbb68855be8da87ef34
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Mon Dec 2 18:07:39 2019 +0100

    Corrected link on web page

commit fdb45ac5f99283775d655fa36b23b4be7905951e
Author: Colin Clark <cclark@carbon>
Date:   Fri Nov 29 11:45:10 2019 +0000

    Fix #710: Apply the orientation to image content not working
    
    https://github.com/BestImageViewer/geeqie/issues/710
    
    Typographical error in "Apply orientation" shell script

commit 498f49d9ab687d8eda99ca59d140bc0b74f3d119
Author: Colin Clark <cclark@carbon>
Date:   Mon Nov 25 13:08:12 2019 +0000

    Fix #722: Remote cmd's output: allow separate filenames with a null character
    
    Additional remote command: --print0
    Terminate returned data with a null character instead of a newline

commit 5f79d455049a2c164603a032016d7707bb63448a
Author: Colin Clark <cclark@carbon>
Date:   Mon Nov 25 10:32:03 2019 +0000

    Handle filenames with newlines in Collections
    
    Anything within double quotes is considered as a filename.
    Therefore there may still be problems with filenames containing double
    quotes.

commit cb9200f013fadbfba46d569b4836ec0cf8d34c05
Author: Colin Clark <cclark@carbon>
Date:   Sat Nov 23 15:52:40 2019 +0000

    Do not save in history Collections that have been deleted
    
    When saving the history file, check if a Collection still exists.
    
    It would be better if this was done when the delete key is pressed.

commit 27e185d16561d5ac9ede691a506159116296fa91
Author: Colin Clark <cclark@carbon>
Date:   Fri Nov 8 13:36:47 2019 +0000

    Fix 718: How to handle filenames with newline characters by remote commands
    
    The fix uses a character string to identify the end-of-command.
    A correct implementation would use the null character instead of a
    string.

commit ab4450035432e3ecb5e5b6b94c4917e7a2789a08
Author: Colin Clark <cclark@carbon>
Date:   Wed Nov 6 11:44:00 2019 +0000

    Update HEIC/HEIF decoding
    
    Include filetype .heif
    Inlude brands ftypmif1, ftypmsf1 (image only - libheif does not support
    animations)
    Display multiple images in a single file

commit ced761e4275e3737dca52b8e7a344fe48b015022
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon Oct 21 17:51:45 2019 +0100

    Adl fix #715: / for action search
    
    https://github.com/BestImageViewer/geeqie/issues/715
    
    Wrong function call used to get key label.

commit 20c128644acbf9e2f75a120bd43482bb9f5f5551
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Oct 20 17:00:50 2019 +0100

    Fix #715: / for action search
    
    https://github.com/BestImageViewer/geeqie/issues/715
    
    A search box is opened with the default key "/".
    Characters typed are matched to commands - both menu and plugins.
    The matching commands, with tooltip amd accel key if present , are
    listed in a pop-up box.

commit 57feb4ded3f7608f94fe28bab5df4bb87d8f0774
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Oct 19 15:44:09 2019 +0100

    Update GB English translation
    
    gray -> grey

commit 061c619038d8c3c796fc8702ee2088c1d5cd4c58
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon Oct 14 10:07:53 2019 +0100

    Document the X-Geeqie-Verbose-Multi plugin option

commit 10f07b7868349932aa610db35bf739bef65bb5a5
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Oct 13 11:56:26 2019 +0100

    Fix #716: Sort Manager Feature regression: Copy/move/link selection lost on closing
    
    https://github.com/BestImageViewer/geeqie/issues/716
    
    Save the config parameters in layoutwindow->options to be used later.
    
    Also mouse right-click brings up a message box showing the user how to
    include additional sort manager operations using plugins.

commit 19e15950dc3df7ba27241b594f68e1743f2f2552
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon Oct 7 17:46:37 2019 +0100

    Show lens ID data via a lua script
    
    Lens ID can be shown in the Overlay Screen Display or the Info sidebar
    with the pre-formatted tag lua.lensID.
    
    Requires lua and exiftool.
    
    It is not included in the defaults because it runs rather slowly.

commit 417c2b44b60d99f423bfed1beb7571284bce4574
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Sep 26 11:21:35 2019 +0100

    Fix #712: ability to return to previous image if home/end was pressed occasionally
    
    https://github.com/BestImageViewer/geeqie/issues/712
    
    Additional Go menu items - Image Back, Image Forward
    
    Remove key bindings for multi-page navigation - they conflict with other
    usage. The user can set their own key bindings.
    
    Remove enable/disable multi-page navigation items. The parameter
    fd->page_total is set in another thread which causes problems. It is
    easiest to leave them always enabled.

commit 1dd0cfe424d4993d95b864c8acf0a5759bd8b627
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Sep 22 12:58:10 2019 +0100

    Go menu - enable/disable multi-page navigation items

commit 166d4ce5ce5698b15af0cc3f39f4ca4734ec8cce
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Sep 21 13:10:23 2019 +0100

    Fix #698: Use more descriptive Buttons in preference dialog
    
    https://github.com/BestImageViewer/geeqie/issues/698
    
    There seems to be no real need for the Apply and Save buttons.

commit fd3f5825a386d41a2c8b1afcb8dfccdfdbf32c7b
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Sep 21 12:34:23 2019 +0100

    Fix  #700: Rating -1 is displayed as 65535
    
    https://github.com/BestImageViewer/geeqie/issues/700
    
    Rating is a short.

commit 41e3319781b2fcc0c1516ca4f11cd9557c58f6d9
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Sep 19 12:16:09 2019 +0100

    File pane filter - checkbox for case sensitivity
    
    The default for the filter is for case-insensitive.
    The checkbox permits a case-sensitive filter.

commit 778960cfd387cc852e9e906c9611bc2666995872
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon Sep 16 16:57:30 2019 +0100

    Spelling mistake - keyboard map

commit cbffa0a3450ddc234f35f76a8d94653c1254f767
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Sep 7 11:52:06 2019 +0100

    Update GB English translation
    
    Also show translations in Preferences

commit c5cd997855cbf575dc9b3ad323d7ba5bc7230828
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Sep 7 10:31:54 2019 +0100

    Update rotate menu legends
    
    Include a degree symbol in rotate menu legends

commit c63a3a2bb60ae496f9bd9ea1247435c722b9e6b2
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Sep 6 10:42:51 2019 +0100

    Adl fix #705: Toolbar status class filter
    
    https://github.com/BestImageViewer/geeqie/issues/705
    
    Coding errors.

commit 4d3ebb9afbdf89e9ba0fa896618e679e2c797226
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Sep 3 18:00:09 2019 +0100

    Bug fix: Close search window when search in progress
    
    If the search window is closed when a search is still in progress, there
    is a seg. fault.
    
    sd->search_buffer_list is of type MatchFileData not of type FileData.

commit 2b855ba4be616d4f2d47e6d0c1707dd4decba086
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Sep 3 11:48:37 2019 +0100

    Search window: use control-enter to start/stop search

commit ec6d1d68a42c05bda1aacd017eaa34d9a05eef5b
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Sep 1 12:57:11 2019 +0100

    Re: Release v1.5.1 build warning
    
    https://www.freelists.org/post/geeqie/Release-v151,2
    
    layout_image.c:398:9: error: suggest parentheses around assignment used
    as truth value [-Werror=parentheses]

commit a0140f6594df58adaf1963965df6d3cafcead5eb
Author: Yoteichi <>
Date:   Thu Aug 22 11:09:21 2019 +0100

    Fix #708: Japanese translation update
    
    https://github.com/BestImageViewer/geeqie/pull/708

commit db6861027e2f009283d55e78db731125fde60694
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Tue Aug 20 20:12:01 2019 +0100

    New release

commit 4d6b98ab4e23ff830ddc3ba45bc1e06d9128172b
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Aug 17 11:03:36 2019 +0100

    Fix #188: Support preview of .svgz files
    
    https://github.com/BestImageViewer/geeqie/issues/188

commit 3ce03d7e1bec9477055e9a5adde1eedae79d0d9f
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Aug 17 09:34:49 2019 +0100

    Include favicon

commit dea60db2080bc36be261133448a32166eeeb732f
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Aug 14 19:06:41 2019 +0100

    Additional remote command: --get-file-info
    
    Provides the following information -
    
    Data only available from Geeqie:
    Class:
    Page no: (for multi-page images)
    
    Data not easily obtained from other command-line programs:
    Country name:
    Country code:
    Timezone:
    Local time:

commit 5817af341e4d1d777ad7285ae23ac8c6c540f5da
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Aug 14 15:19:56 2019 +0100

    Show page no. in OSD
    
    If the file is a multi-page file, e.g. .tiff, show page number and page
    total as "[n/m]" using tag: file.page_no

commit 42d345e789158b22e679f76ce6e29570e7e33a9e
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Aug 13 13:46:17 2019 +0100

    Include jpeg2000 loader
    
    Basic .jp2 loader

commit 606a8b064a4335dc5f4bebb818e9a60e083df67f
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Aug 13 13:19:51 2019 +0100

    Bug fix #705: Toolbar status class filter
    
    https://github.com/BestImageViewer/geeqie/issues/705
    
    GTK2 compatibility problem.

commit f2541fd9b5d44388d000633b895a27709ffbf0ce
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon Aug 12 10:25:26 2019 +0100

    Fix ZoneDetect licence bug
    
    ZoneDetect licence was not displayed

commit bad87d9d94e68a3fd53c0810ab51da9bbb4bdcef
Author: Kalin Kozhuharov <>
Date:   Sun Aug 11 10:58:26 2019 +0100

    Fix #704: Updating NEWS in master

commit a716a7e4701a96598f92a962cf647dc22cd84bb6
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Aug 11 10:46:33 2019 +0100

    Remove references to .xcf files
    
    The .xcf loader referenced decodes only up to v002, which is too old to
    be of value.

commit 2f04fa1e6feb30b80cffec89bd484bbd8fa56b00
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Aug 10 12:45:40 2019 +0100

    Include .psd loader
    
    Derived from io-psd.c, which can be found in several places on the
    Internet.
    Probably there are .psd loaders with more comprehensive features.

commit 1cceac2408b3460182e381c562bdc89a34661363
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Aug 9 10:49:54 2019 +0100

    Remove ZoneDetect from installation script
    
    The timezone database can now be loaded from Preferences/General

commit be7fbeeeb2171a254976156e1601e8e89a4e0ca3
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Aug 9 09:50:33 2019 +0100

    Fix #705: Toolbar status class filter
    
    https://github.com/BestImageViewer/geeqie/issues/705
    
    In the file filter box there is a menu to select which classes are to be
    filtered

commit 060a74cfb84c44e2a0f58793ceaea8f19653ab42
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Aug 6 12:49:55 2019 +0100

    Bug fix #626: Animated GIFS lead to high CPU load
    
    https://github.com/BestImageViewer/geeqie/issues/626
    
    Cure a memory leak.
    A less significant memory leak remains.

commit debc22c4c22026f895d4c375868aac6ac4f34ad7
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Aug 6 12:39:28 2019 +0100

    Fix #324: TIFF multipage viewing
    
    https://github.com/BestImageViewer/geeqie/issues/324

commit 3ce665150ae80ac933f416489318f966af007d3c
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Aug 6 12:28:47 2019 +0100

    Additional commands for multi-page files
    
    Control-Home and Control-End for first and last page of a multi-page
    file.

commit f8677ab338c4b3912c4a11e93755910b463d4f2d
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon Aug 5 12:56:48 2019 +0100

    Bug fix: Eliminate runtime error
    
    Eliminate runtime error: "gdk_pixbuf_format_get_name: assertion 'format
    != NULL' failed"

commit 409c912d2fe31adde4f70e8ee1dcbf0104ffc483
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Aug 4 17:08:01 2019 +0100

    Fix #626: Animated GIFS lead to high CPU load
    
    https://github.com/BestImageViewer/geeqie/issues/626
    
    File is read asynchronously, so no longer blocks while the file is read.
    Cpu load is still high, but this is unavoidable.

commit 6733445583a60be474ddfc86e8405ff1ee9ad147
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Aug 3 15:08:27 2019 +0100

    Ref #223: Update website
    
    https://github.com/BestImageViewer/geeqie/issues/226
    
    Change link to Mac Homebrew

commit d09b06c05c61cc675726a440f9cc787807024bb8
Author: Dmitry Marakasov <>
Date:   Sat Aug 3 12:34:42 2019 +0100

    Fix #703: Fix build on non-glibc platforms
    
    https://github.com/BestImageViewer/geeqie/pull/703

commit 7176df818593263a57996c729f933f21b7228afc
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Aug 3 12:25:16 2019 +0100

    Fix #683: Build fails on macOS due to use of _NL_TIME_FIRST_WEEKDAY
    
    https://github.com/BestImageViewer/geeqie/issues/683

commit 6c79f3425bb7f3248ce7a6b81f699b9581152dec
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Fri Aug 2 08:01:44 2019 +0100

    Update from website

commit accfdb5105632968e0616ee07137eea19995b4ca
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Jul 31 16:59:11 2019 +0100

    Addl fix #444: User-definable toolbar
    
    https://github.com/BestImageViewer/geeqie/issues/444
    
    The status bar toolbar is now user-definable.

commit a85944bb97a5274da1abaf70a6966ff24b6af23a
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Sun Jul 28 23:01:16 2019 +0100

    Try

commit 22cfaba9911d704115cd148f4e578a1574b2d9cf
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Sun Jul 28 22:13:21 2019 +0100

    Another sign problem

commit 79a3b8e49b8ffc45d68ca002f2c5adf4b6ff5cfd
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Sun Jul 28 22:06:13 2019 +0100

    Fixing some sign errors pointed to by travis

commit e7eed2ffd574ebe5a5c7bbb48f746950062ffe62
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Sun Jul 28 21:48:21 2019 +0100

    fixup! Using other travis install method

commit 8696ae183a57fe8939b87339078e5d3cfd96d4e1
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Sun Jul 28 21:45:57 2019 +0100

    Using other travis install method

commit 03a5d91416037d309d15e97a02eddc0172163d69
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Sun Jul 28 21:03:30 2019 +0100

    Fix travis idiosyncrasy
    
    That travis stuff docu is just unuseful.

commit 9d91f2e2908dce6a2df85154926a1bc49e4decf8
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Sun Jul 28 20:58:28 2019 +0100

    Limiting to more recent version of glib
    
    g_utf8_make_valid was implemented with glib 2.52. That also causes
    builds on ubuntu trusty fail.

commit d6f7cbc0fb9e0e6ce9efadadc818082c335a6ec3
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Sun Jul 28 20:24:06 2019 +0100

    Make the zoom lable a bit bigger
    
    Thanks Sami Farin for reporting and patch.
    
    Closes #686.

commit d5c71b73b0e58e02f008a322a74489e254010a4e
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Sat Jul 27 09:30:15 2019 +0100

    Compatibility function for lua > 5.1

commit 83ab723ed3ee4fa1a53f1d04c6b68f5962b25a6e
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Jul 26 12:48:48 2019 +0100

    Bug fix: pdf and djvu files
    
    Set default orientation for djvu files (FIXME)
    Remove class Pdf and implement class Document
    Improve error detection of file types

commit 442a4dc44d41ac13e68cfc66aa378f0edfa886b4
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Jul 25 09:50:55 2019 +0100

    Bug fix #322: include pdf-view
    
    https://github.com/BestImageViewer/geeqie/issues/322
    
    Exposure icon unintentionally deleted in last commit

commit c9695688374b707c66fb5c5dffe01cb730ae2d91
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Jul 25 09:25:28 2019 +0100

    Bug fix: Compute TimeZone data
    
    Improved error detection

commit f8c32ee3a703aa6ef48c5644ecff9658d9182c0e
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Jul 24 16:47:06 2019 +0100

    Fix #691: wrong GPS
    
    https://github.com/BestImageViewer/geeqie/issues/691
    
    European locales use a comma as a decimal separator.
    The XMP spec. specifies a dot as a decimal separator.

commit 5e259bb11bfc65b490cd79eccd765a0f05d464b5
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Jul 23 10:22:52 2019 +0100

    Fix #322: include pdf-view
    
    https://github.com/BestImageViewer/geeqie/issues/322
    
    Page Back/Page Forward icons on toolbar
    Mouse buttons 8 and 9 can be defined to Page Back/Page Forward
    Background always set to white

commit 46dba2d14d7c677d1bd7b9c20b983500016d5b76
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon Jul 22 12:40:14 2019 +0100

    Fix #277: DjVu image support for geeqie
    
    https://github.com/BestImageViewer/geeqie/issues/277

commit f2783caa2c1efcaf15023df8a4cb63e76b8b7cfe
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Jul 21 10:58:25 2019 +0100

    Fix #659: Option to change behaviour of mouse back button
    
    https://github.com/BestImageViewer/geeqie/issues/659
    
    Mouse buttons 8, 9 (Back, Forward) can be set to any menu item.
    The defines are set in Edit/Preferences/Behavior

commit e493c997cd0cc75b7fa200b6a3fa1a4447b17a78
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Jul 21 10:14:29 2019 +0100

    Addl fix #590: Do you have plan to support webp format
    
    https://github.com/BestImageViewer/geeqie/issues/590
    
    Include libwebp option in installer

commit 0cd6719233b94778e9e280a9a9568008966b06b9
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Jul 19 16:48:22 2019 +0100

    Bug fix #322: include pdf-view
    
    https://github.com/BestImageViewer/geeqie/issues/322
    
    Seg fault when compiled with GTK2.
    Requires additional ifdefs around pdf calls.

commit 2bbac06ce8e2bc3457123f3bb85bba6c0fb95121
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Jul 19 10:03:42 2019 +0100

    Fix #690: Sometimes Geeqie gets stuck in tree view
    
    https://github.com/BestImageViewer/geeqie/issues/690

commit b51170db7f2410a938867f3e1dcd8dc1dd2e6c27
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Jul 18 18:32:50 2019 +0100

    Addl fix #322: include pdf-view
    
    https://github.com/BestImageViewer/geeqie/issues/322
    
    View multi-page pdfs.
    Use <control>page-up and <control>page-down to scroll through the pages.

commit 9cb3a907f8339f30ef4457da77afa1f34499dce0
Author: Виктор Майстренко <>
Date:   Fri Jul 12 10:43:56 2019 +0100

    Update Russian translation

commit 8125708c4357224611cc57659372122846705f16
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Jul 12 10:34:37 2019 +0100

    Remove references to obsolete desktop files

commit 41bd86c1f95c2ca1811621497f2018c776247d9f
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Jul 11 11:20:49 2019 +0100

    Addl fix #283: add support for loading remote URLs
    
    https://github.com/BestImageViewer/geeqie/issues/283
    
    Drag-and-drop to image pane.
    Use only displayable file types

commit a19ae63158adfa45d9f66e089d1eb8814476f8da
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Jul 10 19:23:36 2019 +0100

    Fix #283: add support for loading remote URLs
    
    https://github.com/BestImageViewer/geeqie/issues/283
    
    Type in or drag-drop a URL to the Path Entry field.
    Remote command --file:<file> also recognizes URLs

commit 7c39c03f7df504dc5803b222c4d85e619341ec60
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Jul 9 19:03:31 2019 +0100

    Fix #601: Show over-/underexposed
    
    https://github.com/BestImageViewer/geeqie/issues/601
    
    Menu View/Over-Under Exposed, or keystroke Shift-E

commit 392945d21c0dcfcabbcc9ab172eed0a5ed34e0c2
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Jul 9 14:01:32 2019 +0100

    Bug fix: Include grayscale as toolbar item
    
    Missing icon

commit 28927a54d448e2bd28e08d700d335800ba66c3c3
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Jul 9 10:52:07 2019 +0100

    Include grayscale as a toolbar item

commit 72355b884bff0309109b423c54b876c038ce324e
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Jul 6 17:28:35 2019 +0100

    Fix #590: Do you have plan to support webp format
    
    https://github.com/BestImageViewer/geeqie/issues/590
    
    The package gdk-pixbuf-loader-webp is not in Debian. The loader can be
    complied from source from:
    https://github.com/aruiz/webp-pixbuf-loader
    
    However at the moment it is easier for the user if it is compiled in to
    Geeqie.

commit 93e6dd0df6308769bc62140110dc0bfa490e060a
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Jul 5 11:18:28 2019 +0100

    Addl fix #610: Support heic image format
    
    https://github.com/BestImageViewer/geeqie/issues/610
    
    Delete HEIF class. Use magic number to make .heic files class Image

commit b3b0e8e6013036ffa768946061121579135912a9
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Jul 3 18:33:03 2019 +0100

    Adl fix #322: Include pdf-view
    
    https://github.com/BestImageViewer/geeqie/issues/322
    
    Use pixel data from memory instead of opening file again.
    Also include Pdf as a class option in the search page.

commit eba578d2255b4373461f6c1253d145f2cb4a5a4c
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Jul 3 13:58:17 2019 +0100

    Addl fix #610: Support heic image format
    
    https://github.com/BestImageViewer/geeqie/issues/610
    
    Include HEIF in  README

commit 115f9840c030daeaaf7a5095b00b874a3c737efb
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Jul 3 13:50:48 2019 +0100

    Fix #610: Support heic image format
    
    https://github.com/BestImageViewer/geeqie/issues/610
    
    Primary image only displayed

commit 20093c4db759a059d6baa217b008ff2c4b29af3b
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Jun 30 12:22:19 2019 +0100

    Enable lua scripts to be called from Info sidebar
    
    A lua script can be called from any of the List Panes in the Info
    sidebar.
    
    Add a new entry and in the Key field use:
    lua.<lua script name>
    
    The output of the script should of course be text.

commit 227d6af1984a19f84951133a8a7570bc3b905ced
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Jun 22 16:37:40 2019 +0100

    Bug fix: Start-up directory setting not preserved
    
    When the Start-up directory radio buttons were initialized, the setting
    always reverted to No change.

commit 5f04e5cffc77a848b78c68babcd36a80db2a6863
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon Jun 17 11:32:22 2019 +0100

    Implement downloadable timezone database
    
    Option in Preferences/General to download timezone database from
    geeqie.org/downloads
    Updated source files from https://github.com/BertoldVdb/ZoneDetect
    Script for generation of timezone database

commit 724b16b42a2b3ece94035906b48e193986c3ea84
Author: Dima Kogan <>
Date:   Sun Jun 9 10:51:57 2019 +0100

    Fix #678: The image overlay should show the full image path, not just the filename
    
    https://github.com/BestImageViewer/geeqie/issues/678
    Additional parameter path in OSD

commit ce96095e37d44d91c99d5f7c76ea3be3e3f193ba
Author: Colin Clark <cclark@carbon>
Date:   Wed Jun 5 10:32:53 2019 +0100

    Camera import - warn of duplicate filenames
    
    Digital cameras can have files of the same name in several sub-folders.
    Detect this and warn the user that some files will not be downloaded.

commit c220ddefb1b6b11b54f7598f0d44dd0723325ed4
Author: Pieter Krul <github@krul.cc>
Date:   Sun May 12 03:23:44 2019 +0200

    Fix build against exiv2-0.27.1+

commit 40c858bd64fc0b832f672cd28b5cb9c64f941094
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Fri May 24 09:04:42 2019 +0100

    Working check for lua
    
    This was not working on gentoo as gento use slotted packages instead of
    versioned package namens.

commit ca78ff6851ef6b61b1ec7aff43a3537188e5340d
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Fri May 24 08:38:54 2019 +0100

    Allow to disable trash completely
    
    The posibilito to not use trash at all was lost with implementation of
    system trash.
    
    However, usually one does not want the system to keep megabytes of trash
    lying around. That option allows to switch trash of completely.
    
    The implementation, however, is a bit dirty, maybe someone else has a
    better Idea to do it.

commit 56493b10ba396341971549ed1f3b11257103b105
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon Apr 8 11:32:12 2019 +0100

    Fix #664: Recursive slideshow does not respect file sorting
    
    https://github.com/BestImageViewer/geeqie/issues/664

commit 73472a2b3952f63272ad21dd41aaab6509631199
Author: Tomasz Goliński <tomaszg@math.uwb.edu.pl>
Date:   Mon Apr 1 11:56:36 2019 +0100

    Fix #663: Use grammatically correct month names in pan view
    
    https://github.com/BestImageViewer/geeqie/issues/663

commit 652337f40ea3ed1afc4007072b20ba87711d2f72
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Mar 31 11:28:34 2019 +0100

    Bug fix: Update documentation, remove obsolete GQview import options
    
    Remove reference to plugins/import folder

commit a6b2ca7156636313a97e7a2925acff0af98715b6
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Mar 27 11:56:16 2019 +0000

    Update documentation, remove obsolete GQview import options
    
    Update plugin and remote commands documentation.
    The last update for GQview was 13 years ago; presumably the import
    options are no longer useful.

commit 0004617a71100553a13e49e7208e401f2493b72c
Author: Andreas Rönnquist <>
Date:   Tue Feb 26 10:07:24 2019 +0000

    Fix #661, #662: String comparison to translated string causes crash
    
    https://github.com/BestImageViewer/geeqie/issues/661

commit 298b3479445527861b2d97cd25e512ee90d6ab58
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Feb 21 15:04:01 2019 +0000

    Bug Fix: DEBUG_NAME() function for use with GTKInspector
    
    gcc shows a "too many arguments" error, but clang does not.

commit 02e52cb91878c38e6e6468fb2b353857a98c1fee
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Feb 14 12:05:04 2019 +0000

    DEBUG_NAME() function for use with GTKInspector
    
    This debug function can be used with GTKInspector to provide a visual
    indication of where a widget is declared.
    
    This is a documentation facility to aid developers new to the project.
    
    Sample call:
    GTK_DEBUG=interactive src/geeqie

commit ae0d7fad7b850f65fa1b53db3aec213930f2fe00
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Feb 13 11:47:38 2019 +0000

    Bug fix: Search page - calls to g_regex_unref)
    
    Eliminate run-time errors caused by unwanted calls to g_regex_unref()

commit 354020e6364e54a00a359aeeb1ef98014eb0e1e2
Author: yasarciv67 <yasarciv67@gmail.com>
Date:   Sat Feb 2 18:18:13 2019 +0200

    tr.po-update

commit 281213ab0368caf6cf4e97a85181f5d0ca1eed7b
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Thu Jan 31 08:25:14 2019 +0100

    Don't include ZoneDetect sources
    
    Reverted Colins commit on request.
    
    This Commit is just to create a conflict. Do *NOT* merge!
    
    `git reset (--hard) origin/master` is the way to go.

commit 431adf320f4ce0ba31fb7a07ea53aca03c21fcbd
Author: Rinat Ibragimov <ibragimovrinat@mail.ru>
Date:   Mon Jan 21 11:54:49 2019 +0000

    Fix #658: Bug fix: reads of uninitialized data
    
    https://github.com/BestImageViewer/geeqie/pull/658

commit f3799ef207799723c6de3b0c8923a2ccf031a4df
Author: Rinat Ibragimov <ibragimovrinat@mail.ru>
Date:   Sun Jan 20 22:56:30 2019 +0300

    Bug fix: reads of uninitialized data

commit f9213c8ad796cf4571b2606435c32753040ec645
Author: Rasmus Thomsen <Rasmus.thomsen@protonmail.com>
Date:   Sun Jan 6 17:40:31 2019 +0000

    Fix #654, 655: fix build against exiv2-0.27.x
    
    https://github.com/BestImageViewer/geeqie/pull/655

commit ebcff68bd49c9f0f40c6c72f5eb4148318f950d0
Author: Andreas Rönnquist <>
Date:   Sun Jan 6 17:17:20 2019 +0000

    Fix #656: make install fails on POTFILES.in (random-image plugin)
    
    https://github.com/BestImageViewer/geeqie/issues/656

commit a4a37be7894dde500b5a9098c39dc45ee30237be
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Jan 6 14:28:19 2019 +0000

    Addl fix #619: Man page disagrees with --remote-help
    
    https://github.com/BestImageViewer/geeqie/issues/619
    
    The remote commands --file: and --view: will now display images in paths
    relative to the folder the remote command is executed from

commit d309cc7c217eeb187ce59b7d5c9145112048182b
Author: Rasmus Thomsen <rasmus.thomsen@protonmail.com>
Date:   Wed Jan 2 01:04:45 2019 +0100

    fix build against exiv2-0.27.x
    
    fixes #654

commit c71b207544af63a94e4d43f53820d7e357605b64
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Jan 5 20:08:50 2019 +0000

    Fix #619: Man page disagrees with --remote-help
    
    https://github.com/BestImageViewer/geeqie/issues/619
    
    Standardize format for remote commands i.e. ensure all options start
    with "--"

commit 567e349fa3405332e7402a04df9a9d26e852c186
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Jan 5 16:22:05 2019 +0000

    Fix #516: Shortcut/Feature: Select random image
    
    https://github.com/BestImageViewer/geeqie/issues/516
    
    Implemented as a plugin.
    
    The random image is selected from all files in all collections plus all
    images in the current folder.

commit 680acc8720314a02fa237c4b624dec65d62a05be
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Jan 4 13:44:58 2019 +0000

    Additional remote commands
    
    --get-filelist:[<FOLDER>]  Get list of files and class
    --get-filelist-recurse:[<FOLDER>]  Get list of files and class recursive
    --get-collection:<COLLECTION>  Get collection content
    --get-collection-list Get list of collections
    
    Changed command:
    --tell Print filename of current image [and Collection, if collection
    being displayed]

commit 57951454e5b8c8e82f7bde44720c8b485382bc06
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Dec 20 11:45:20 2018 +0000

    Bug fix: Extra characters in mailmap

commit 1d8d758e8adc56e1ff9bf0defccaa47bcb08c3b4
Author: Jiří Boháč <>
Date:   Wed Dec 19 10:10:10 2018 +0000

    Fix #650, 651: fullscreen does not work over multiple monitors
    
    https://github.com/BestImageViewer/geeqie/issues/650

commit 5d939d2e2b335abb61c0e9a1a44b95f1a8fb9b60
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Dec 18 16:42:02 2018 +0000

    Preferences tabs orientation
    
    Move preferences tabs to the left side so that all tabs are always in
    view.

commit d66105893b574cadcf3c32267fb4e91f105dc0bf
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Dec 11 11:46:00 2018 +0000

    Bug fix: View in new window from files pane
    
    When View in New Window was called from a right-click in the files pane,
    the image was not shown at the correct size

commit e95fcb791c1f5c70f58b851c1873ed74ad99271d
Author: Jiri Bohac <jbohac@suse.cz>
Date:   Fri Dec 7 00:30:22 2018 +0100

    Fix fullscreen spanning multiple monitors
    
    Commit a16635c ("Fix fullscreen - remove all the garbage
    which breaks things and let Gtk do its job.")
    broke fullscreen spanning multiple monitors.
    
    Fix this for GTK3 by using gdk_window_set_fullscreen_mode().
    Fixes #650.
    
    Unfortunately, GTK2 has no equivalent.

commit 969791e9521aeffd61d67b3c2d17ccbff98f00d6
Author: Dave Lambert <>
Date:   Fri Nov 30 11:05:43 2018 +0000

    Fix #649: Tell Git to ignore .desktop files globally
    
    https://github.com/BestImageViewer/geeqie/pull/649

commit 1ec2236211c3413c091f90aa0e853630fd88ba4b
Author: Dave Lambert <dave@davelambert.org>
Date:   Mon Nov 26 12:11:40 2018 +0000

    Tell Git to ignore .desktop files globally
    
    These files are all generated by the build, with the exception of the
    template.desktop file, so:
    
    * Have Git ignore all *.desktop files.
    * Rename template.desktop to template.desktop.in to
      avoid a clash with this new ignore rule.
    * Remove the checked-in image-crop.desktop file, which is built
      anyway.

commit d3c0882aeed682feebd59946229c55ab02b70ea1
Author: Dave Lambert <>
Date:   Mon Nov 26 17:53:22 2018 +0000

    Fix #648: Correctly size image windows opened from collections
    
    https://github.com/BestImageViewer/geeqie/pull/648

commit 3655791d21c208edb13a71dfd322ea0794d8db08
Author: Dave Lambert <dave@davelambert.org>
Date:   Mon Nov 26 11:52:23 2018 +0000

    Correctly size image windows opened from collections
    
    When opening a view window from a collection, get the the image size
    info from the file so the new window is appropriately sized.

commit 939909993f949d2af5e8bbf9970e5510a5d4742e
Author: grumpytetra <>
Date:   Fri Nov 23 17:11:24 2018 +0000

    Fix #647: rename configure.in to configure.ac
    
    https://github.com/BestImageViewer/geeqie/pull/647

commit 15879423f33d692141608ab67ee1ff718909820f
Author: grumpytetra <grumpytetra@teknik.io>
Date:   Fri Nov 23 13:24:22 2018 +0100

    rename configure.in to configure.ac

commit 40ee2ff3d50b2a9491837a037aea8004f12da4fe
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Nov 22 15:08:54 2018 +0000

    Ref #160: Replace print dialog by standard GTK dialog
    
    https://github.com/BestImageViewer/geeqie/issues/160
    
    Permit exif tags to be included in the image text annotations (as for
    the Overlay screen Display)

commit e335e4d84c69e5b8d5f0d369a200a083e9ee59f7
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Nov 18 17:38:10 2018 +0000

    Ref #631: Compilation script for all distributions
    
    https://github.com/BestImageViewer/geeqie/issues/631
    
    Reference to all-distros script included in README.
    
    Full list of dependencies still not included.

commit 081a4f33e2da17066f8136c73ea7b47b4d6be928
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Nov 17 20:07:33 2018 +0000

    Show timezone data when no date-time
    
    Make available GPS lat/long derived data Timezone, Country Name, Country
    Code even when there is no GPS date and time available.

commit 74e04b2e8d63f558ae678dce744bf83740f03bff
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Nov 17 19:48:35 2018 +0000

    Fix #645: Hide Bars cannot be toggled after Geeqie restart
    
    https://github.com/BestImageViewer/geeqie/issues/645

commit 88791d22692d624755557aa7324617c7ee6418dd
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Nov 14 10:15:23 2018 +0000

    Bug fix #251: Crop simulation
    
    https://github.com/BestImageViewer/geeqie/issues/251
    
    If the drawn rectangle started or ended outside the image area,
    incorrect coordinates were returned.
    
    The coordinates of the enclosed part of the image are now returned.

commit e85e9bf34576dcae313c6ce43d2884ea405fef2d
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Nov 8 12:26:09 2018 +0000

    Info sidebar: Preserve state of Show Hidden flags
    
    In the  Info Sidebar, preserve the state of the Show Hidden flags for
    the Exif and File Info panes

commit eedf0ad8550ad5ed95a48d9770669b80bde66b5d
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Nov 3 17:53:31 2018 +0000

    Fix #437:  Delete to standard Trash directory
    
    https://github.com/BestImageViewer/geeqie/issues/437
    
    The method of file deletion is changed. The Preferences/Behaviour option
    "Safe delete" is removed.
    
    The user has the option to choose Geeqie-defined trash bin or
    system-defined trash bin as the normal mode - set in
    Preferences/Behaviour.
    
    Menus have two entries: Move to trash and Permanent delete.
    
    The Delete key moves to trash; shift-Delete deletes permanently.
    
    Both Move to trash and Permanent delete have user-selectable
    confirmation, set in Preferences/Behaviour.
    
    This means the function of the Delete key is changed from Permanent
    delete to Move to trash, which is a fail-safe change.

commit b53194649eb8bb201ee5543e49b2dc4c7957be91
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Nov 1 13:59:03 2018 +0000

    Eliminate FIXME: enable or disable individual plugins from configure
    
    Additional checkbox in Edit/Configure Plugins to prevent plugins being
    displayed in the menus

commit dffb94e1a77d0b0450f7de44e63c690a15b488b6
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Oct 27 12:40:59 2018 +0100

    Plugin for image crop
    
    Requires ImageMagick and exiftool

commit fb38eb978d52f816dae621cc688df3d30415e2f1
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Oct 25 20:11:22 2018 +0100

    Plugin for camera download
    
    Basic function: download all, skip existing, to current folder.
    Requires gphoto2

commit ec0012d43888dd17d605d167d4e708322e0a1924
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Oct 23 19:44:36 2018 +0100

    Plugin for tethered photography
    
    Basic tethered photography using gphoto2

commit 8ad0d469deb8c143d4a1d3075944ca15c9ca5e04
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Oct 21 11:32:53 2018 +0100

    Fix #642: If a folder is a link, use an icon to indicate it is a link
    
    https://github.com/BestImageViewer/geeqie/issues/642
    
    There is no stock icon for a folder as a link. The icon used is not
    particularly appropriate, but its meaning should be clear.
    
    The target path is shown as a tooltip.

commit d354f618240b2889c9bb895f11f6d439c4994e1b
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Oct 21 10:48:33 2018 +0100

    Do not grab focus when --remote view:<file> is used
    
    Ref:
    https://bugs.launchpad.net/ubuntu/+source/geeqie/+bug/1781858

commit a4988a48a31bce3f21e953b45efdab775a9b3db6
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Oct 19 18:42:55 2018 +0100

    Permit icon field in desktop file to be an absolute path

commit f19c90a4121b53e7aaeedec62765128996684289
Author: Andreas Rönnquist <>
Date:   Fri Oct 19 10:51:27 2018 +0100

    Fix 641: Add export-jpeg to POTFILES.in
    
    https://github.com/BestImageViewer/geeqie/pull/641

commit 6471d138271e080de7165fc70814ee8cf0b63273
Author: Andreas Rönnquist <andreas@ronnquist.net>
Date:   Thu Oct 18 23:20:41 2018 +0200

    Add export-jpg to POTFILES.in

commit 25ba04ba7de3f3355789da509e10417d3be81144
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Oct 18 19:31:24 2018 +0100

    Permit rotate commands to be on toolbar

commit bedad2aeecc6c65ea36dc2ce44cc9d18dca1c605
Author: Wojciech Muła <>
Date:   Thu Oct 18 19:13:07 2018 +0100

    Fix #544: copy symlinks as symlinks instead of dereferencing them
    
    https://github.com/BestImageViewer/geeqie/issues/544
    
    Revert back to previous commit.
    Include new patch to prevent the crash noted in #640

commit 7562336c2d025dfc85e3795034594711379bc0ed
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Oct 16 19:07:11 2018 +0100

    Fix #640: geeqie core dumps (for me) on symlink copy
    
    https://github.com/BestImageViewer/geeqie/issues/640
    
    Revert commits 205a701a and d5521e38
    Something in these patches is causing the seg. fault.
    It is best to revert them until the reason can be found.

commit 1db3c0af21fdd49589187aa8fdfe2db2ca4072e7
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Oct 14 12:40:03 2018 +0100

    Fix #635: Export in JPG
    
    https://github.com/BestImageViewer/geeqie/issues/635
    
    Implemented via plugin

commit c4d04c5a11f0581fa35ebb16667c797fea2ba34c
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Oct 14 10:39:17 2018 +0100

    Bug fix: View in new window wrong size
    
    Opening an image in "View in new window" was displayed in a window of
    minimum size.
    The window was opened before the image was completely loaded, and so the
    window size was not known.

commit 7b4b8cf24decbb95e04a70aa18316df93c2e2cdb
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Sun Oct 7 12:09:17 2018 +0100

    Updating mailmap to map to correct user

commit 73c076b867520bd3e06e6c082f478216c2762f01
Author: Olaf Seibert <>
Date:   Sun Oct 7 11:01:36 2018 +0100

    Fix #638: Avoid non-portable == for the test command
    
    https://github.com/BestImageViewer/geeqie/pull/638

commit 16c210a39c28c836781472a54285d5078ae07b6c
Author: Rhialto The M <Rhialto@users.noreply.github.com>
Date:   Sat Oct 6 18:26:43 2018 +0200

    Avoid non-portable == for the test command
    
    The test command doesn't accept `==` as operator. It should be a single `=` for portable use. The `==` is a gnu extension.
    
    Note that the x-trick hasn't been needed for a long, long time. You can reliably write it with quotes:
    ```
    if test "$gtk3" = yes; then
    ```
    but I left that alone since it doesn't hurt other than being ugly.

commit 61f03cce307e0ef24211d9e15513778d99e4425b
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Oct 6 09:51:37 2018 +0100

    Fix #637: Remove unused function vf_index_is_selected
    
    https://github.com/BestImageViewer/geeqie/pull/637

commit 3c51a37ebb286950dee46a300608b3fa51e18183
Author: Daniel Mueller <deso@posteo.net>
Date:   Fri Oct 5 18:30:47 2018 -0700

    Remove unused function vf_index_is_selected

commit 9341482f94420d22ec510da3f29b198a1ac0c460
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Oct 4 16:16:25 2018 +0100

    Ref #160: Replace print dialog by standard GTK dialog
    
    https://github.com/BestImageViewer/geeqie/issues/160
    
    Rotate to exif orientation

commit 0c805f5ebe57a56c7b5208d319e6485d84a7ae0c
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Oct 2 13:01:06 2018 +0100

    Simplify OSD settings in Preferences
    
    Move Overlay Screen Display settings in Preferences from the Windows tab
    to its own tab.
    Allow preformatted tags to be set by button click or drag-and-drop.

commit 574ccd0bf41689b463716cacda1c061a880656ed
Author: Andreas Rönnquist <>
Date:   Mon Sep 24 11:10:02 2018 +0100

    Fix #632: Add FILES section to manual page
    
    https://github.com/BestImageViewer/geeqie/pull/632

commit 3fb5d538e64955effbfaaf74ec926f9c783ebf70
Author: Andreas Rönnquist <>
Date:   Mon Sep 24 10:23:28 2018 +0100

    Fix #633: Fix typo in GuideReferenceConfig.html
    
    https://github.com/BestImageViewer/geeqie/pull/633

commit 60dd0dfc9d7a5bfb685c7767ecf74b1f3b66fb52
Author: Andreas Rönnquist <andreas@ronnquist.net>
Date:   Sun Sep 23 22:13:09 2018 +0200

    Fix typo geqqie/geeqie

commit 045f1c962533adfe36de7a76b0faf98ad7919bf1
Author: Andreas Rönnquist <andreas@ronnquist.net>
Date:   Sun Sep 23 22:05:03 2018 +0200

    Add FILES section to man

commit 0c352dfb884134ad426a14c854b79b73b7ecabc8
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Sep 23 20:09:30 2018 +0100

    Fix #160: Replace print dialog by standard GTK dialog
    
    https://github.com/BestImageViewer/geeqie/issues/160
    
    Option to place text as header or footer
    Option to show additional text field on each page of a single or
    multi-page print job

commit 71e00c80d57e50072fccf9b92b7cf82778b7315f
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Sep 21 10:59:56 2018 +0100

    Bug fix #160: Replace print dialog by standard GTK dialog
    
    https://github.com/BestImageViewer/geeqie/issues/160
    
    Ensure print dialog has a parent window
    Eliminate run-time error

commit c6dc44268599a322f91c4f0d8b86861526f57797
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Sep 20 19:29:39 2018 +0100

    Fix #160: Replace print dialog by standard GTK dialog
    
    https://github.com/BestImageViewer/geeqie/issues/160
    
    Does not include proof print.

commit 7db73c18492025cbb9eb5ef0a02b583ceefb39e9
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Sep 7 19:09:43 2018 +0100

    Change right-click menu item name
    
    Change Edit to Plugins

commit 42eb85f50f9a8918cd351623b30de66721dbf73b
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Aug 29 17:28:34 2018 +0100

    Script for compiling on Debian systems
    
    Additional dependency required - for Linux Mint, at least

commit 30eb4e18a2cf118d752522d9094f4fd250a911d7
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon Aug 27 11:28:17 2018 +0100

    Bug fix: Option to hide predefined keyword tree
    
    Eliminate run-time error

commit 1983e4064af5735dd81c621dce41da2faa8f9ef9
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Aug 26 19:32:38 2018 +0100

    Option to hide predefined keyword tree
    
    Selected on Preferences/General

commit 1f5de90de5fb632681adc072d68e5b4ddafa40f8
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Aug 26 19:14:39 2018 +0100

    Bug fix #305: Faster Tagging (Keywords)
    
    https://github.com/BestImageViewer/geeqie/issues/305
    
    Make correct context-sensitive help file call

commit bd30e33fcf9412f21a566b288e333252739031c5
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Aug 26 13:32:42 2018 +0100

    Fix #305: Faster Tagging (Keywords)
    
    https://github.com/BestImageViewer/geeqie/issues/305
    
    Keyword autocompletion - see the Info Sidebar section in the Help file
    for details

commit 593356f8f0eb26ab0b0dbf2b08e209e63b4c0d0f
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Aug 21 17:02:20 2018 +0100

    Additional parameters from ZoneDetect
    
    Additional parameters derived from GPS data:
    formatted.countryname - ISO 3166 country name
    formatted.countrycode - ISO 3166 two-letter country code

commit 74ec899812d43a3b2a348d1208404c5ce802849b
Author: oxpa <>
Date:   Tue Aug 21 12:21:17 2018 +0100

    Fix #630: add headline field to the sidebar
    
    https://github.com/BestImageViewer/geeqie/pull/630

commit 7135c76610ebc9d797f68f45795e9debd6ef4e94
Author: Igor Ippolitov <iippolitov@gmail.com>
Date:   Mon Aug 20 18:30:44 2018 +0300

    add headline field

commit ba7980cb1156f182a1d61b447644ad09792c19b4
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon Aug 20 14:34:57 2018 +0100

    Remove ZoneDetect .bin file from repository
    
    A Debian maintainer has pointed out that Debian does not permit .bin
    files in the packages they create.
    The ZoneDetect database file, timezone21.bin has therefore been removed
    from the repository.
    
    New users must download the .bin file themself if they require UTC/DST
    time offset.
    
    This situation exists because the ZoneDetect developer has not yet put
    the source code for the database generator onto GitHub - when that
    happens, the database file will be generated by Geeqie (using the
    ZoneDetect sources) during the installation procedure.

commit 1d7a832154360be4d0a46a911ea72a427cf0df16
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Aug 18 11:00:35 2018 +0100

    Bug fix #251: Crop simulation
    
    https://github.com/BestImageViewer/geeqie/issues/251
    
    If draw rectangle is not selected, return null.

commit 8785b68ec2bafc1758472945f5e0a0ee9522a14e
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Aug 17 18:12:04 2018 +0100

    Fix #629: Keywords are not adding properly to selected files
    
    https://github.com/BestImageViewer/geeqie/issues/629
    
    The right-click menu of the left-hand keywords pane of the info sidebar
    now uses only the selected keywords.
    Any partially selected keywords will be expanded to the full keyword.
    Select none == select all

commit 521629986e62a0aa4b413f5cf255eb72c0db7ebf
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Aug 16 19:48:59 2018 +0100

    Bug fix #624: Filter files by shell or regular expression pattern
    
    https://github.com/BestImageViewer/geeqie/issues/624
    
    Show new entries in the combo box
    Permit entries to be deleted (select the entry, click on the text box,
    press delete, press enter)

commit eb348ad698d5ee1d55218442548aae986552d296
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Aug 15 19:43:06 2018 +0100

    Fix #624: Filter files by shell or regular expression pattern
    
    https://github.com/BestImageViewer/geeqie/issues/624
    
    An option on Select/Show File Filter (or the toolbar) to provide regular
    expression file-filtering of the currently displayed folder.

commit ee13c13af9e8b2353a3ae44f33db6d887d798135
Author: Andreas Rönnquist <andreas@ronnquist.net>
Date:   Tue Aug 14 22:22:49 2018 +0200

    Fix typo unkown/unknown

commit 15637ceb5c85a161f8d102904c554fcfba6dc1ef
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon Aug 13 14:30:01 2018 +0100

    Ref #624: Filter files by shell or regular expression pattern
    
    https://github.com/BestImageViewer/geeqie/issues/624
    
    The File name (when "contains" is selected) and Comment items on the
    Search page use Perl Compatible Regular Expressions.
    
    Basic searches should be no different to current usage.

commit bd11ce89f2e9ea7a8c3ead34887e98e9dbf1202c
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Aug 12 17:29:35 2018 +0100

    Move menu/toolbar to top of window
    
    Moving the menu/toolbar to the top of the window eliminates the problem
    of these items being partially obscured when the tools pane is reduced
    to a small width.

commit 863dbd55eecbae4097340f8a30f4bbd5da7052a3
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Aug 11 19:48:17 2018 +0100

    Additional optional entries for the toolbar

commit 54dc7076619ef1faeb41b274a70bdff52f8e7c16
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Aug 10 10:06:19 2018 +0100

    Bug fix: Crash when GPSInfo contains illegal characters
    
    If Exif.GPSInfo contains unexpected characters, it can cause a seg.
    fault when passed to atof().

commit 9cdcc6cddeb6768c2f51d287009f75983169dc82
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon Aug 6 12:55:46 2018 +0100

    Script for compiling on Debian systems
    
    Several improvements

commit b71ab43ab24aa90289b8a675c5604e77a9f45ae7
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Aug 4 19:57:56 2018 +0100

    Tooltips for bookmarks and shortcuts
    
    The tooltip shows the path for bookmarks and shortcuts

commit 84faf6377c20e4ceaa5b4ec3165ddc2d88e65e95
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Aug 2 20:15:36 2018 +0100

    Tooltip for path entry
    
    The current path entry can be partially obscured if the vertical divider
    is pushed too far to the left.
    This commit shows the current path as the tooltip.

commit 6045bae347977f60e71a6fe3676b16bc829ac891
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Aug 2 14:28:17 2018 +0100

    Revised script for compiling on Debian system
    
    Omitted dependencies
    Command line option to compile commit -n
    Distribution detection

commit a77e33166feabf054d790a54ec874c4ad599145c
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Aug 1 19:17:46 2018 +0100

    Bug Fix: Float file list layout not preserved in GTK3
    
    gtk_vpaned_new() is deprecated and replaced by gtk_paned_new().
    
    But the macro GTK_IS_VPANED does not work with gtk_paned_new().

commit fe1cddea37e9e474416039d565d4fcbec43c5e31
Author: Andreas Rönnquist <>
Date:   Wed Aug 1 10:37:17 2018 +0100

    Fix #627: Add awk shebang to geocode-parameters.awk
    
    https://github.com/BestImageViewer/geeqie/pull/627

commit 56ed7edca097bcddec00a65cf0f061afcc549a05
Author: Andreas Rönnquist <andreas@ronnquist.net>
Date:   Tue Jul 31 18:34:40 2018 +0200

    Add awk shebang to geocode-parameters.awk

commit 0f655fa3ff498d4384c899c324c1a0a79b6e9c8e
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Jul 27 16:49:58 2018 +0100

    Enhanced script for compiling on Debian systems

commit baa6fa89db8ed3811ebe691380db6c2940ed600d
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Jul 21 19:18:08 2018 +0100

    Shell script to aid compiling on Debian systems

commit ef1012f12b032a8620d55ce166cf85c1076192e1
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Jul 21 12:34:02 2018 +0100

    Bug fix: Preserve cache mode
    
    In some circumstances, the selected cache mode was not preserved

commit 0d404f00823046ab56e70006ea1a5f7cc932af58
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Jul 20 17:45:10 2018 +0100

    Fix #251: Crop simulation
    
    Menu option to draw a rectangle.
    Rectangle co-ordinates can be obtained with the remote command:
    --remote --get-rectangle

commit eb896440e1a665f7956da730dac88b35d66d2552
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Jul 19 10:56:46 2018 +0100

    Bug fix: Collection preview
    
    Creating thumbnails takes too long; use only thumbnails in the cache.
    Option in Preferences/General to define the maximum number of thumbnails
    in the montage.

commit 43f7481548feb8b6f3a82af9efe9f522011678d7
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Jul 18 11:09:22 2018 +0100

    Ref #332: include pdf-view
    
    Display an image of the first page of a pdf file.
    GTK3 only.

commit 12ec3e9b4c4d37261175a44669e1a178726008f3
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Jul 18 10:16:41 2018 +0100

    Collection preview
    
    If the folder containing collection files (usually
    $HOME/.local/share/geeqie/collections) is opened, the image pane will
    show a montage of the thumbnails (to a maximum of 20) of the images in
    the selected collection.
    Requires ImageMagick.
    
    This is a simplistic implementation, and should be improved e.g.
    
    Use collect-io.c to parse the collection file
    Use cached thumbnails instead of re-creating
    Use Geeqie to create the montage instead of using ImageMagick

commit d3e4730cfabbc340b94daff61e399dc20b59638e
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Jul 15 11:02:07 2018 +0100

    Pan view warning window
    
    Ensure the pan view warning window is displayed at a sensible width

commit 55055a7bdab93d84298f6b55b0c57763e46d8ee5
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Jul 14 17:26:32 2018 +0100

    British English translation update
    
    dialog -> dialogue

commit 31398ad2129446d03bf17d0a21c7127d956aea22
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Jul 14 16:46:15 2018 +0100

    Additional toolbar icons

commit 35f8ac20f1021c6c0b6613945ec7834fef712cb1
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Jul 14 14:23:55 2018 +0100

    Ref #331: Overimposed custom composition rule lines
    
    "Rule of thirds" guidelines are included as an additional item in the
    overlay screen display feature.

commit da34a2b65ab4d922fbad9a9ef4a51deee17e15a2
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Jul 7 19:50:31 2018 +0100

    Collections changes
    
    Implement a file class for Collections
    Include an icon for collections (temporary icon until someone creates an
    appropriate one)
    Double-click on a .gqv icon in the files pane opens the collection
    window
    Option in Preferences/Behavior to open collection windows on top
    
    N.B. current users have to manually edit the Collections entry in
    Preferences/Files to change the collections class from metadata to
    collection

commit 2b60164fabef30c1dd0402b4d5c1cd79b3eab550
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Jul 6 19:46:54 2018 +0100

    Additional file info parameters (2)
    
    Omitted files

commit d0881f5739d27cf544ca62c85cac2ac381003d49
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Jul 6 19:44:10 2018 +0100

    Additional file info parameters
    
    Additional parameters which can be displayed in the info sidebar or
    overlay screen display:
    
    file owner (file.owner)
    file group (file.group)
    file class (file.class) e.g. RAW image etc.
    file symbolic link (file.link)

commit 8af0e85686db8fdcfc217b10ebfafe2ce4850c60
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Jun 30 22:18:19 2018 +0100

    Drag and drop file onto search window
    
    If a file is dragged and dropped onto either the path or similarity
    entry box in the search window, the full URI (e.g. file:///home/etc_etc)
    is copied.
    
    This commit ensures the correct format is used, and also fills in the
    tooltip.

commit e4fc246261e3973f73fe127a5cc7adbe170c08ec
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Jun 29 12:19:26 2018 +0100

    Adl fix #323: Rating system
    
    https://github.com/BestImageViewer/geeqie/issues/323
    
    Display star rating in collection window

commit 5fc1f74956750e8cafd63b7d11efb2a5b005a842
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Jun 29 11:27:49 2018 +0100

    Addl fix #147: Darktable XMP Sidecar Files not grouped
    
    https://github.com/BestImageViewer/geeqie/issues/147
    
    In some cases remove_level_from_path() returned NULL instead of a
    zero-length string.
    This caused problems when followed by a strcmp()

commit e3e593f4ed00480cefddc1e2bd94db5769310f9f
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Jun 28 19:22:21 2018 +0100

    Tabcomp and hidden files
    
    Make tabcomp follow the "Show hidden files or folders" option

commit b9f4412dfd5b9b015667436fa5d3dc0dcf9db9f2
Author: Andreas Rönnquist <>
Date:   Tue Jun 26 14:50:24 2018 +0100

    Fix #620: Fix build on x32
    
    https://github.com/BestImageViewer/geeqie/pull/620

commit e1cf6b631f06257e435cb7b03dedc586a1a9d87a
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Jun 26 11:59:11 2018 +0100

    Addl fix #323: Rating system
    
    https://github.com/BestImageViewer/geeqie/issues/323
    
    g_ascii_string_to_unsigned() requires glib 2.54.
    The test set-up on Travis requires glib 2.40

commit c84ca102b96fd5021e6ef070f91043fdb5fffb57
Author: Andreas Rönnquist <>
Date:   Mon Jun 25 10:19:46 2018 +0100

    Fix #618: Avoid using PATH_MAX where not available
    
    https://github.com/BestImageViewer/geeqie/pull/618
    
    Geeqie fails to build on Hurd because of not finding PATH_MAX, this fix would avoid using PATH_MAX on systems where it isn't available.

commit 748d0bdf63620e3e4f1b682c59d1cf53a4a5c05f
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Jun 24 20:20:23 2018 +0100

    Change character code in decode_sim
    
    Change character code 0xD7 to 0x78

commit e2488891072a931e2f24d499dd4548a46f15e40f
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Jun 24 16:13:47 2018 +0100

    Update documentation for similarity cache

commit 7455656ea0eb3c4c61a60f1dc1243ec3f1f39cd0
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Jun 24 14:43:35 2018 +0100

    Bug fix: Create thumbnails maintenance option
    
    In the Cache Maintenance dialog, Create Thumbnails is always enable. If
    thumbnail creation is disabled in Preferences/General, thumbnails are
    still created, but sometimes in the wrong folder.
    
    This commit disables Create Thumbnails in the maintenance dialog when
    when thumbnail creation is disabled in Preferences.

commit e5bfd654099bdb37dbeb9ddad48248f46ade8996
Author: micrococo <>
Date:   Sun Jun 24 11:50:22 2018 +0100

    Fix #617: Spanish translation update
    
    https://github.com/BestImageViewer/geeqie/pull/617

commit 6ec17eacae80daf93c63a714ee5304a5362288df
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Jun 24 11:39:19 2018 +0100

    British English translation

commit d1f9dec9fd9749ea40383fba5262f880fa30d492
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Jun 22 19:20:08 2018 +0100

    Addl fix #323: Rating system
    
    https://github.com/BestImageViewer/geeqie/issues/323
    
    Preserve show star rating setting
    User option to select the character for Star and Rejected -
    Preferences/General

commit 087fa744c07cf569b0907d69301712f336a1d109
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Fri Jun 22 10:38:37 2018 +0100

    Little note about comments in bug report

commit a3fdc3edb741d900e12f06793731a7ffc3b83fda
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Jun 21 11:50:49 2018 +0100

    Fix #616: Image Position settings missing in 1.4
    
    https://github.com/BestImageViewer/geeqie/issues/616
    
    Image scroll settings are now on status bar. Update tool-tip and
    documentation.

commit 6d61e1cb6d589e890e9b1288113cb178e1d5671f
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Jun 20 18:16:40 2018 +0100

    Bug fix323: Rating system
    
    Revised Unicode character

commit 5ccd1c0ac4ca079da632f66e2867e7dd43380e3c
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Jun 20 16:06:48 2018 +0100

    Buf fix #323: Rating system
    
    https://github.com/BestImageViewer/geeqie/issues/323
    
    Convert Unicode characters to UTF-8

commit ecdcba77670b2b577cb17ead2e0ff908a5933153
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Jun 20 11:07:08 2018 +0100

    Fix #614: Wrap and/or truncate long file names in file list view
    
    https://github.com/BestImageViewer/geeqie/issues/614
    
    In List view, the tooltip is set to column 1 data.

commit 8be05f77053a404353f6bb3b8f3e11bc02d0d656
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon Jun 18 19:17:19 2018 +0100

    Show star rating in files pane
    
    Accessed via a right-click menu

commit b7985bf6b2bc26e5063acb961e232b4fafa0c5f3
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon Jun 18 18:53:46 2018 +0100

    Read metadata in the idle loop
    
    Selecting sort-by DateOriginal, DateDigitized or Rating caused Geeqie to
    freeze while the metadata was read for the whole folder contents.
    
    This commit reads those data in the idle loop and thus prevents the
    freeze.
    There is an option in Preferences/Metadata to autmatically read the
    metadata in the idle loop whenever a new folder is selected.

commit 65d3bf6e1bec76d884543dfaea547d4ff8575477
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Jun 7 14:13:43 2018 +0100

    Option to change default button for copy/move dialogs
    
    Option on Preferences/Behavior to use With Rename as the default button
    for Copy/Move dialogs.
    The option is off by default.

commit ba59336f031f52cbe319c3c229ad8a3558af6c9a
Author: Tomasz Golinski <tomaszg@math.uwb.edu.pl>
Date:   Thu Jun 7 11:44:36 2018 +0100

    Fix #612: Pan view image class filtering
    
    https://github.com/BestImageViewer/geeqie/issues/612

commit 257cba812e330b30ae74cc52e41c54777ec134df
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Jun 3 11:39:01 2018 +0100

    Show rating as star characters
    
    Additional tag formatted.star_rating to show Xmp.xmp.Rating as a set of
    star characters

commit 75edf4d5591f4d5bf57273caba181d5fbedaa238
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu May 31 19:00:02 2018 +0100

    Bug fix: incorrect initialization check of filedata exifdate_digitized

commit 9d94d0cc9f7becd6d9efb264c800c834abe40108
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu May 31 11:20:22 2018 +0100

    Include file ctime as a formatted tag
    
    Include ctime as the formatted tag: file.ctime

commit 66847a254524f602cd3e18bd917a95dced938c79
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon May 28 10:05:33 2018 +0100

    Pan view - right click menu goto original
    
    Additional item on the right-click menu to go to the source image

commit 7c7cab31a88f99a60cb5c630bbfdd76a31176b10
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon May 28 09:58:42 2018 +0100

    Bug fix: Pan view - implement exif data display
    
    If geeqierc.xml contained no data for the sidebar exif pane, there would
    be a seg fault

commit 7cca0c5c048dd613d561319a2dba8c53be560c85
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun May 27 17:57:58 2018 +0100

    Pan view calendar - show day-of-week legend

commit cefac810f086ac3040e1894e7b2f70e7d60c029d
Author: Michał Pecio <>
Date:   Sun May 27 10:45:10 2018 +0100

    Support for Canon ISO tags
    
    Some pre-2010 Canon cameras didn't write the standard EXIF ISO speed
    tag. The ISO speed of photos taken with such cameras can be found in
    the proprietary Exif.CanonSi.ISOSpeed tag

commit 4105287079ede1af520803ca72148cf0f12a87d7
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat May 26 20:20:01 2018 +0100

    Pan view calendar - use locale to set first day of week

commit c89ac7a42a35c127ed0ed1671d6a4e03434d5062
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu May 24 19:25:45 2018 +0100

    Pan view - implement exif data display
    
    The option to display exif data in pan view was NULLed out.
    
    This commit implements the display of exif data.
    The parameters displayed are the same as in the info sidebar.

commit 5ffa2ccea06cd91a96f6d31457a9c852efbb37e7
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu May 24 10:04:39 2018 +0100

    Pan view - eliminate run-time error
    
    Remove redundant code

commit c4d700edd02aec8f9173acbe9d1ec17e3aa6493b
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri May 18 17:48:12 2018 +0100

    Addl fix #220: marks do not persist
    
    https://github.com/BestImageViewer/geeqie/issues/220
    
    Additional parameter on search page to find files which have marks set.

commit 136cf5086f2fdbffd71c838ffa7ad434958b26b4
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed May 16 19:22:12 2018 +0100

    Fix #597: Help file search
    
    https://github.com/BestImageViewer/geeqie/issues/597
    
    Only on-line help files are searched.
    Search engine defined in Preferences/General.
    Local help files are not searched.

commit cbd97ae43697625b159c553ee7071fa9a6c48803
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed May 16 10:04:01 2018 +0100

    Bug fix: Mnemonic text for marks
    
    Incorrect initialization

commit d619df43dabac3c3bee382579b956da17d329f42
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue May 15 09:37:55 2018 +0100

    Fix #609: Crash on "View in New Window" if no image active
    
    https://github.com/BestImageViewer/geeqie/issues/609

commit 7ce4193d0414a8950342603c3bb4b6dfff223e4e
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun May 6 19:54:36 2018 +0100

    Rename menu item "Thumbnail maintenance" to "Cache maintenance"

commit 14a53516cec9dd58142a591dcd3d874edfd11409
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun May 6 16:55:11 2018 +0100

    Mnemonic text for marks
    
    The marks check boxes at the top of the file pane have tooltips that may
    be used to describe each mark.
    The text can be modified by right-click.

commit 6269b0da259e5032cfa6f0c9d9bec4c5d48288e3
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun May 6 09:40:30 2018 +0100

    Log window - do not show buttons when debug is disabled

commit 850bd5151cb738b3452f999003e988ec74297404
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri May 4 16:16:37 2018 +0100

    Fix #220, 269: marks do not persist
    
    https://github.com/BestImageViewer/geeqie/issues/220
    https://github.com/BestImageViewer/geeqie/issues/269
    
    Marks/image connections can optionally be saved in a text file in the
    same folder as History etc.
    The option is in Preferences/Behavior - set to save by default.
    Also a menu item to clear all marks.

commit 6cfa580550d3e04f80cac0d15b94c8374e0319f4
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu May 3 16:03:26 2018 +0100

    Ensure ChangeLog gets regenerated

commit e8db929f468d1e635899253db6013ea5d35732fa
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed May 2 19:02:13 2018 +0100

    Fix #605: Crash when writing metadata to .svg files
    
    https://github.com/BestImageViewer/geeqie/issues/605
    
    This corrects a coding error, which caused the crash.
    
    Parhaps the defaults in filefilter.c at about line 238 should be changed
    to set these files to no-write:
    pnm, svg, gif, xbm, xpm, bmp, ico, ras
    
    But line 228 sets them to writable anyway.

commit ac40ce3a6c58a05aabb3f162d0f42cb605bc186f
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue May 1 16:46:59 2018 +0100

    Update ffmpegthumbnailer library version
    
    Update required library version to 2.1.0 - required for
    ThumbnailerLogLevel

commit cf43eb55c1491b033ac6773b1dc0571a4b69e47f
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Apr 25 11:46:38 2018 +0100

    Local time - UTC offset and daylight saving correction
    
    Use GPS lat/long to provide local time corrected for UTC offset and DST
    correction.
    
    The corrected time is available in formatted.localtime
    The selected timezone is available in formatted.timezone

commit 57d6435c084e1dccdb13756d39fca3b52951a89e
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Apr 12 11:34:52 2018 +0100

    Fix #600: Window "Edit command results" with GTK3 has disproportionate spacing (OK with GTK2)
    
    https://github.com/BestImageViewer/geeqie/issues/600

commit 93df5158c5a7eeff930e9f7e7fb00c0ee5c41b8f
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Apr 11 16:23:10 2018 +0100

    Modify copy/move dialogs
    
    Revert "Copy" and "Move" button to its previous brief format.
    Additional "With Rename" button to start the on-the-fly renaming dialog.

commit e3f2825f9e2900df758257306541ded9273d36e7
Author: Wolfgang Lieff <>
Date:   Fri Apr 6 17:43:03 2018 +0100

    Additional loader for DDS file format

commit 379823d7b9be9a307f7574f8aa7e79aa030399a1
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Apr 3 13:08:34 2018 +0100

    Bug fix: Option to display window ID
    
    Reinstate line deleted in error.

commit fcf4c37619311c197088f9a113e1a0321e3dfb15
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Apr 3 12:41:35 2018 +0100

    Option to display window ID
    
    Additional Preferences/Windows option to show the window ID in the
    titlebar. Off by default.

commit 01fd562adaacb04e680a655ada55ba983388eece
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Apr 1 11:36:20 2018 +0100

    Additional remote commands for layout windows
    
    Additional remote commands:
    --remote --id:<ID>
    --remote --open-window
    --remote --close-window
    
    The id:<ID> parameter sends subsequent commands to the specified window.
    The window titlebar show the window identifier.

commit 69022467c2db6ad8233114d743423e807cf35ded
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Mar 29 17:10:58 2018 +0100

    Fix #162: Cannot symlink file if two geeqie instances are running
    
    https://github.com/BestImageViewer/geeqie/issues/162
    
    Do not permit a second instance of Geeqie to be started.
    
    There is only one geeqierc.xml file - it is not sensible to allow more
    than one instance to be run.
    
    File/New Window can be used instead.

commit 7f5ac747a5140d2fadb701f0f212a1f06a147299
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Mar 24 10:37:17 2018 +0000

    Collection window - thumbnail focus
    
    If a collection is being shown in an image window, moving through the
    images causes the thumbnail in focus in the collection window to follow

commit f62fd07629fc914aef61d44ff0684a73f180688f
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Mar 21 13:59:50 2018 +0000

    Fix #599: Shift + Direction is not accelerated in image viewer like help file suggests
    
    https://github.com/BestImageViewer/geeqie/issues/599

commit da564ede93a9ab28140c707e2e4f289e822e68a1
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Mar 13 11:16:21 2018 +0000

    Fix #535: Include additional mime types
    
    https://github.com/BestImageViewer/geeqie/issues/535

commit 36ddb9dba4baa02106c309438cb48e725594fa3d
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Mar 7 10:33:53 2018 +0000

    Collections - goto menu option
    
    In a Collections window, an additional right-click menu option to go to
    the source image.

commit dfa9b9617582387d7ac736c0ef92700c86f3eb8a
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Mar 4 12:00:19 2018 +0000

    Fix #592: Directory widget loses focus on tab completion
    
    https://github.com/BestImageViewer/geeqie/issues/592
    
    The call to layout_set_path() was shifting the focus.

commit bb224a9fd6d794525076129c7e123445cb87ef74
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Feb 27 17:12:33 2018 +0000

    Remote command --pixel-info
    
    Additional remote command:
    geeqie --remote --pixel-info
    
    Gives X, Y and RGB of the mouse pointer on the current image. Format is:
    [x,y]: RGB( r, g, b)

commit 294c2edb7c8beebf38af446899acba87880f2f52
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Feb 11 11:12:37 2018 +0000

    Additional documentation for webp format
    
    Include sample script to install webp pixbuf loader
    Other on-line help updates

commit 75c7df8b96592e10f7936dc1a28983be4089578c
Author: Misty De Meo <>
Date:   Sat Feb 10 17:16:52 2018 +0000

    Fix #588,589: Geeqie fails to build on macOS
    
    https://github.com/BestImageViewer/geeqie/issues/588
    https://github.com/BestImageViewer/geeqie/pull/589

commit d44bd7a80723ced9197cc78992586b5dd7959167
Author: Misty De Meo <mistydemeo@gmail.com>
Date:   Wed Feb 7 23:04:01 2018 -0800

    layout_util: fix passing an rvalue to WEXITSTATUS
    
    Fixes #588.

commit 82532814ebca628569c02b6684ba1795e52b131c
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Feb 4 11:43:05 2018 +0000

    Show .icc files when selecting color profiles
    
    Modify tabcomp code to permit filter and filter description to be set.
    Modify preferences to filter on .icc when selecting color profiles.

commit 3d5f9816e4336ef0a8ff97ce8c0b0f092af18518
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Feb 3 11:29:16 2018 +0000

    Use web help files if local files do not exist

commit 4f51c5a4cf567673094dbff721f0e59e6ce9ba2f
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Feb 3 10:51:17 2018 +0000

    Ref #584: There is no way to show the rating of an image
    
    https://github.com/BestImageViewer/geeqie/issues/584
    
    Include rating, keywords, comment, imagecomment in OSD tooltip

commit 2fac47dd838c8361744472ab16875c8e6f107771
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Feb 1 10:07:49 2018 +0000

    Ref. #584: There is no way to show the rating of an image
    
    https://github.com/BestImageViewer/geeqie/issues/584
    
    Additional tag %rating% for image overlay

commit 76838779d5fd1545474b8c320f3df6c0b20a0043
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Wed Jan 24 22:40:02 2018 +0100

    Let the user specify gtk version and more in bug reports

commit 3e268f5991b980e3af51226870bd89af0e44a2df
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Jan 23 19:48:24 2018 +0000

    Bug fix: Bookmark DnD
    
    In some cases dragging-and-dropping something that is not a URI to
    create a bookmark will cause Geeqie to crash.

commit 0a6cb49628602587229c6c88627fa2e1453b1d52
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Tue Jan 23 00:40:57 2018 +0100

    Fixing automake build system

commit a58676634b1432605e3a4330c3395d62a6c90b88
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon Jan 22 13:25:41 2018 +0000

    Fix #523: <Esc> in "Really continue?" copy confirmation dialog leads to crash
    
    https://github.com/BestImageViewer/geeqie/issues/523
    
    Patch by Michael Cross and Andreas Rönnquist

commit f4f5b4d16d060d05d0f75706f5f25e9d64ded083
Author: Michael Cross <mc@xi2.org>
Date:   Mon Jan 22 01:21:49 2018 +0100

    Fix crash after strange behaviour of the "Really Continue" dialog

commit c6a41bb9b1bbdf0992117e685e4c047e207808ef
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Jan 21 17:26:55 2018 +0000

    Fix #577: give user warning/error when it is impossible to update EXIF orientation
    
    https://github.com/BestImageViewer/geeqie/issues/577
    
    Insert [ $? != 0 ] after all calls to exiv2, exiftran and mogrify

commit d37941b2e80c7ec1d0df38533e4e127ebca7684b
Author: Anthony DeRobertis <anthony@derobert.net>
Date:   Sat Jan 20 03:09:08 2018 +0100

    Thumbnail all files if filtering is disabled.
    
    If the user has disabled filtering by file extension, then we should
    also disable that filtering when generating/loading thumbnails. Fixes
    regression from 9be75e3431104d6a3a0c80324a8e3ac60316be13.

commit 4df045ff82a832dc3d21d10833f36f12687db7f8
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Jan 17 16:42:48 2018 +0000

    Fix #578: unable to write orientation to file
    
    https://github.com/BestImageViewer/geeqie/issues/578
    
    Path/filename was not protected with quotes

commit d7a361f47742cdf1c6e8a45abbb2090a80c37a42
Author: Andreas Rönnquist <andreas@ronnquist.net>
Date:   Fri Jan 12 15:24:36 2018 +0100

    Trap build errors
    
    Without this fix the make would fail on missing symbols, and this instead
    makes it fail already when gdk_pixbuf_csource is faulty.

commit 571f58710893c7e20f757ee0faae9ed74ea7479e
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Jan 5 19:07:48 2018 +0000

    Fix #567: unused return value in color-man.c
    
    https://github.com/BestImageViewer/geeqie/issues/567

commit 09fd5e6fc107b897044dbc703ee9ef93038dc35e
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Jan 5 19:06:05 2018 +0000

    Fix #566: submenu items "variable set but not used" errors in 1.4
    
    https://github.com/BestImageViewer/geeqie/issues/566

commit a55c78d28c524c4bcb9827932cf34b31b865cba7
Author: Andreas Rönnquist <>
Date:   Thu Jan 4 17:06:16 2018 +0000

    Fix #574: Spelling errors detected by Lintian
    
    https://github.com/BestImageViewer/geeqie/pull/574

commit 705cf22ee3f4f670146c5e5a2ea66101f8dcb908
Author: Zoltan Ivanfi <>
Date:   Thu Jan 4 16:30:39 2018 +0000

    Partial fix #561: Hi-DPI-aware rendering of images
    
    https://github.com/BestImageViewer/geeqie/issues/561
    
    Image overlays and thumbnails still to be done

commit 43d72f3fb0a1cd95eb4ec24162409e6781ee963d
Author: Andreas Rönnquist <andreas@ronnquist.net>
Date:   Thu Jan 4 14:28:10 2018 +0100

    Fix spelling mistake occured/occurred

commit 0ef10ad0e7864cad4ec6e79029a39369e3c9fa9a
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Jan 3 20:58:28 2018 +0000

    Sort/search on Exif.Photo.DateTimeDigitized
    
    Implement sort and search on Exif.Photo.DateTimeDigitized
    
    Note: pan view not included

commit caabfd977c23c65296e736ad38d1eb5c7e340609
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Jan 3 17:49:15 2018 +0000

    Sort/search on file class
    
    Implement sort and search on file class (raw image, video etc.)
    
    Note that the sort order is set by an enumerated type in typedefs.h, but
    cannot be easily changed because the class is saved in the filter
    section of geeqierc.xml as an integer.

commit d599fbc9761f0aed6be21d1e303c6a72f6307335
Author: Tomasz Golinski <tomaszg@math.uwb.edu.pl>
Date:   Wed Jan 3 16:10:35 2018 +0000

    Fix #571: Huge performance hit when enabling animation
    
    https://github.com/BestImageViewer/geeqie/issues/571
    
    Check for  animation only on gif files.

commit 0a0e941e69f783292ab1c485d8894e1d551a35f1
Author: Zoltan Ivanfi <zivanfi@apache.org>
Date:   Thu Dec 28 19:32:22 2017 +0100

    Partially fix #561: Hi-DPI-aware rendering of images.
    
    Displayed images are no longer blurry on Hi-DPI displays, nor they have a grid
    artifact any more.
    
    Image overlays and thumbnails are not addresset yet and are still blurry.

commit d232acf1c25888480ea9e80956bedd9719e06a21
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon Jan 1 19:12:33 2018 +0000

    Context-sensitve help
    
    Implement context-sensitive help key for the following windows:
    exif
    collection
    duplicates
    image
    pan view
    search
    
    Replace all instances of the constant GDK_KEY_F1 with a call to a
    function which gets the key code set by the user in Preferences/Keyboard
    for Help

commit 76d8576d8f6f7ca02b3e8cbee78773a8df899137
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Mon Jan 1 13:40:30 2018 +0100

    Adding direct subscribe field on the page

commit ebecbdef159b8595c33a37e5d53d0241e3b88cc2
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Mon Jan 1 13:33:53 2018 +0100

    Applying website changes from release

commit dfcc7037b37c110c63d8091148e5479ec6ff7f17
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Mon Dec 25 12:43:28 2017 +0100

    Mailinglist

commit 205a701a508410764f51e47ec4f0dcd283b92d09
Author: Tomasz Golinski <tomaszg@math.uwb.edu.pl>
Date:   Sat Dec 30 13:53:50 2017 +0100

    Fix for some small memory leaks

commit dcceea750cdbef6106132b88b620c7a24753e27c
Author: Tomasz Golinski <tomaszg@math.uwb.edu.pl>
Date:   Sat Dec 30 13:46:51 2017 +0100

    Update polish translations

commit fa8f4638ee9f443cbe4a048f93b585e7fd995f57
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Sat Dec 30 13:40:21 2017 +0100

    Catch build errors
    
    Small node for #563, the case in doc/Makefile.am is no issue. It is a
    complete different syntax.
    
    This fix #563.

commit 826b03479f8bda9fc33f79ce8d333c9a79aef009
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Thu Dec 28 20:11:46 2017 +0100

    Update klingon po

commit a84412ce981e8bfd3a91487186328bf0c5d963cf
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Thu Dec 28 20:11:31 2017 +0100

    Update all po files

commit df16d05b938b0bb672ad39cec1bb8d1e6e3d6c90
Author: Tomasz Golinski <tomaszg@math.uwb.edu.pl>
Date:   Thu Dec 28 19:31:06 2017 +0100

    Update polish translations

commit 668f95b014116040a92e60ea632c6131f600253e
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Mon Dec 18 10:54:40 2017 +0100

    Some dir debuggings

commit 14187c758756e04d5a97f841967377c2a1460c00
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Dec 12 18:51:56 2017 +0000

    Addl fix #543: Size of dialog windows in the GTK3 version is too small
    
    https://github.com/BestImageViewer/geeqie/issues/543
    
    Prevent duplicate entries when multiple Geeqie windows are opened

commit 0577825783c2ac5c4496b4dfe8a31de8e5ba2cf1
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Tue Dec 12 13:22:32 2017 +0100

    Catch build errors in this special case
    
    Unfortunately, Debian decided to just report that to there own
    repository with bug number #883526 but does not report it upstream.
    
    However, that will fix the "bug".

commit 11622a7580777d28ae2505c3e126fdd5129c09c6
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Dec 9 11:13:34 2017 +0000

    Fix #548: Send text output to stdout
    
    https://github.com/BestImageViewer/geeqie/issues/548
    
    Additional parameter to print_term() and printf_term() to send output to
    either stderr or stdout

commit 29d858934684e488667b445ab3b9c82bb645a2f4
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Dec 8 11:58:17 2017 +0000

    Dialogs with thumbnails do not resize correctly
    
    Dialogs with thumbnails do not resize correctly when width is changed

commit 5ebdb58d185412387ce26424dee6981d3cee6f2d
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Dec 8 11:45:30 2017 +0000

    Fix #553:Desktop file without %f or %F crashes Geeqie
    
    https://github.com/BestImageViewer/geeqie/issues/553
    
    A .desktop file without %f or %F and is a filter, will crash Geeqie.
    Check if filedata structure is null.

commit 8e84835371007609b712f86f35752769631fd7bb
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Dec 1 09:28:55 2017 +0000

    Addl fix #254: GIF animation support
    
    https://github.com/BestImageViewer/geeqie/issues/254
    
    Animation enabled by default

commit d5521e38f839a8242bd336db4c397a961df06821
Author: gqpwruser <>
Date:   Sat Nov 25 17:08:34 2017 +0000

    Fix #544: copy symlinks as symlinks instead of dereferencing them
    
    https://github.com/BestImageViewer/geeqie/issues/544
    
    Relative symbolic links and the Move operation are still not handled

commit 978ec2dd45c9c5a2477420e7b4b40c56014f2c7d
Author: Tomasz Golinski <tomaszg@math.uwb.edu.pl>
Date:   Fri Nov 24 10:27:12 2017 +0000

    Fix #541: Showing existing, or maybe generating thumbnails for MP4 and WEBM
    
    https://github.com/BestImageViewer/geeqie/issues/541
    
    Preview and thumbnails of video clips can be displayed. Clips can be run via a defined external program

commit 6acc2d3ec6c50e07aca53750bc9e0e443a4b8e94
Author: Tomasz Golinski <tomaszg@math.uwb.edu.pl>
Date:   Fri Nov 24 10:07:58 2017 +0000

    Additional default video filters

commit d1d5344b003e7794793340dfab4067dffcaf0a4b
Author: Tomasz Golinski <tomaszg@math.uwb.edu.pl>
Date:   Fri Nov 24 10:04:06 2017 +0000

    Code clean-up

commit 1caab19584c603880df0635487fea43f8004e96e
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Nov 23 20:44:03 2017 +0000

    Fix #543: Size of dialog windows in the GTK3 version is too small
    
    https://github.com/BestImageViewer/geeqie/issues/543
    
    Additional option in Preferences/Windows to preserve size and location
    of dialog windows

commit a2504a3a401793d4828557834d1e6aeebc6aea5c
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Nov 17 16:46:18 2017 +0000

    Disconnect all mark keyword connections
    
    Additional keyword menu item to disconnect all marks keywords
    connections

commit ac58f0b2f0b0be8e3e47eccbc8815aa3e80f4d7a
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Nov 16 10:07:31 2017 +0000

    Additional pixbuf loader documentation
    
    Also update web/help files

commit e702a744b48bfe8db7b19ecdd62e171005a401b9
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon Nov 13 10:41:19 2017 +0000

    Fix #542: About window shows old commit
    
    https://github.com/BestImageViewer/geeqie/issues/542
    
    The old commit ID was being kept in autom4te.cache. This is not being
    cleared by "make distclean", and so the old ID continues to be used.
    
    Revised user docs show to use:
    
    sudo make uninstall; sudo make maintainer-clean; ./autogen.sh
    make -j<no. of cpu cores>; sudo make install

commit 0d8825dac65184ad2d6a8bec5c7954d3046935ee
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon Nov 13 09:58:48 2017 +0000

    Addl Fix #137: "Copy path" problem (or may be feature)
    
    https://github.com/BestImageViewer/geeqie/issues/137
    
    Fix error which shows up with clang

commit b0ea0793d43cb296e12c99a583b860269adc4b37
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Nov 11 14:53:53 2017 +0000

    Update documentation for Fit image to window options

commit 0ede96cf1d4606ad3c45f0f282cf084fbb445c18
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Nov 10 16:24:59 2017 +0000

    Fix #538: Sort Configure Plugins by default
    
    https://github.com/BestImageViewer/geeqie/issues/538

commit b0cb5d8712bb8183429a63a9de46c2b475db368c
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Nov 9 15:52:54 2017 +0000

    Fix #520: copy path inserts quotes around path
    
    https://github.com/BestImageViewer/geeqie/issues/520
    
    Additional menu item:
    Copy path unquoted
    
    DnD still uses quotes

commit 051b52178e91ceb59900fc8baf1c94231f90ef35
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Nov 8 17:06:50 2017 +0000

    Fix #137: "Copy path" problem (or may be feature)
    
    https://github.com/BestImageViewer/geeqie/issues/137
    
    Additional option on Preferences/Behavior to select either PRIMARY or
    CLIPBOARD for the copy path menu item

commit 5a6cd2026437ed5a432a430ce4cdde87f6ac8db7
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Sun Nov 5 19:53:36 2017 +0100

    Include note about original author

commit 5786d77c2db17e798a39fa3fb32bb72b3401e991
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Sat Nov 4 21:22:59 2017 +0100

    Revert Copy path breakage patch
    
    This reverts commit ea5503b10067779c9055b1211b7e91553a6a93c6.

commit ea5503b10067779c9055b1211b7e91553a6a93c6
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Nov 4 18:47:50 2017 +0000

    Fix #137: "Copy path" problem (or may be feature)
    
    https://github.com/BestImageViewer/geeqie/issues/137
    
    Use CLIPBOARD instead of PRIMARY for copy path commands

commit f882d3ca038abe557b81172bb5c2c6208af4803a
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Nov 4 11:29:31 2017 +0000

    Update web help file and other docs
    
    Update on-line help files
    Update man page
    Update README, HACKING, CODING docs
    Remove BUGS file - it does not seem to be useful

commit 16e72d195e734d87b44dad51e4f24ac460b02776
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Nov 4 10:46:22 2017 +0000

    Slideshow --remote delay in hrs-mins-secs

commit 37da806508e8a5adfa1aef64636fc05416367ca5
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Nov 3 12:04:17 2017 +0000

    Addl: Update man page
    
    Quit missing from --remote options

commit 11d37937157c066e963e5719f7bd727c488ed4f0
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Nov 3 11:16:58 2017 +0000

    Addl fix #532: Remove Changelog.html and Readme.html from Makefile.am
    
    https://github.com/BestImageViewer/geeqie/issues/532
    
    Fix Makefile.am

commit c6237058012fd6feac3187f9da55116f86d4a89d
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Nov 3 11:06:15 2017 +0000

    Addl fix #532: Remove Changelog.html and Readme.html from Makefile.am
    
    https://github.com/BestImageViewer/geeqie/issues/532
    
    Remove ChangeLog file from repository; replace by ChangeLog.gqview which
    contains only the early changes

commit fd3645791cc7ae3b77901387fced58f37ce26e43
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Nov 2 19:58:40 2017 +0000

    Update man page

commit f44b98b36aa0198a3d3219833ae1fd9f6c27e286
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Nov 2 11:37:53 2017 +0000

    Addl fix #444: User-definable toolbar
    
    https://github.com/BestImageViewer/geeqie/issues/444
    
    .desktop file icons are displayed.
    Still problems with other icons.

commit 605297a690d74b293e1d3ae800d95ffcc6b2ea2e
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Nov 2 11:04:25 2017 +0000

    Fix #533: fails to make install if markdown not install
    
    https://github.com/BestImageViewer/geeqie/issues/533

commit 258cd76c4f1c2c6c4e08f842ae024b2398010197
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon Oct 30 13:57:16 2017 +0000

    Fix #163: Remove redundant file types
    
    https://github.com/BestImageViewer/geeqie/issues/163
    
    gdk-pixbuf no longer supports RAS, PCX and WBMP
    https://bugzilla.gnome.org/show_bug.cgi?id=721372
    
    JPEG-2000 - libpixbufloader-jasper has been removed from debian:
    https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=812630
    Some other distributions may still have it
    
    DCR, X3F, K25 don't display

commit cbe2074d6b330b9077444448a788b1ab1f309dfe
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Sun Oct 29 13:39:18 2017 +0100

    Fixing changelog generation

commit 4064414bb4ea9281dc1174669fe3f2cc15e06a2d
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Oct 28 18:17:06 2017 +0100

    Fix #532: Remove Changelog.html and Readme.html from Makefile.am
    
    https://github.com/BestImageViewer/geeqie/issues/532
    
    Wrong exit codes

commit f0e544253ce5b2ea85eb4465c14e06761aa135b8
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Oct 28 16:24:43 2017 +0100

    Addl fix 269: Image marks "save" feature
    
    https://github.com/BestImageViewer/geeqie/issues/269
    
    ifdef out --remote --lua if lua not installed

commit fe137c119524dd46c4cfd3e78e0e7d004ab4dd7d
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Oct 28 12:07:11 2017 +0100

    Auto-generate README and ChangeLog html user docs
    
    Change Makefile.am to:
    Run markdown to create README.html from README.md
    Run git to create new ChangeLog file and ChangeLog.html from that
    Revise format of ChangeLog.html
    If markdown or git executables are not present, do nothing

commit f9be9d3969edd77546b8c82f44806be160427d6c
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Oct 28 11:23:18 2017 +0100

    Temp fix #531: Segfault when changing width of Collection window (GTK3)
    
    https://github.com/BestImageViewer/geeqie/issues/531
    
    Temporary fix to stop the crash

commit 64e5525badc57763dbd83c1b7b7985ce2b466ec6
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Oct 26 10:56:11 2017 +0100

    Document additional pixbuf loaders

commit 5abf83749b29fc935c03c5fed8230f179d7a9de4
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Wed Oct 25 20:45:15 2017 +0100

    Adding issue template

commit 9caaac8fe283f59eecdd6caedc7cffb1817728e8
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Wed Oct 25 20:27:42 2017 +0100

    Remove more links to sourceforge

commit b181983ee33f8e04a19c9233791cfcc9165ff9cb
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Wed Oct 25 20:14:33 2017 +0100

    Remove sourceforge mailinglist from website

commit bc543c3082d6b6bdd48fc9c0b7774be33fbfbd67
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Oct 25 19:11:40 2017 +0100

    Fix #196: Geeqie crashes when renaming some images inside a collection
    
    https://github.com/BestImageViewer/geeqie/issues/196

commit 0890884d2e46ecf63cc7ff1912d1e49b4bd794a2
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Oct 22 19:39:44 2017 +0100

    Fix #269: External image marks - (--remote --lua)
    
    https://github.com/BestImageViewer/geeqie/issues/269
    
    Additional lua fn: Image:get_marks()
    Additional command line option: --remote --lua:<file>,<lua_script>

commit 43c2479a78b18832d882b8f3ea93d0ed7c9713f5
Author: Yuri Kozlov <>
Date:   Wed Oct 18 17:49:46 2017 +0100

    Fix #134: Incorrect russian translation
    
    https://github.com/BestImageViewer/geeqie/issues/134

commit 7831e6372af01c47abda3dea82db1d022e3e2623
Author: unqwist <>
Date:   Wed Oct 18 17:04:54 2017 +0100

    Fix #356: Select dirlist when entering a directory
    
    https://github.com/BestImageViewer/geeqie/issues/356

commit f46058baf808dcd4b3239f2dad03663ad1c27d0c
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Oct 17 17:43:49 2017 +0100

    Fix #313, #521: zoom increment is not multiplicative
    
    https://github.com/BestImageViewer/geeqie/issues/313
    https://github.com/BestImageViewer/geeqie/issues/521

commit a737324b724befe470d72b0c9361e68f9a2d2320
Author: Tomasz Golinski <tomaszg@math.uwb.edu.pl>
Date:   Mon Oct 16 10:15:19 2017 +0100

    Addl fix 510: Rudimentary video support
    
    https://github.com/BestImageViewer/geeqie/issues/510
    Segfaults when you click on the image area in an empty directory

commit 74096520939903d9a070378d5d40c32a5d44b6c2
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Oct 15 19:46:31 2017 +0100

    Fix #527: source directory is not writable
    
    https://github.com/BestImageViewer/geeqie/issues/527
    
    The case of a file being in the root ( / ) folder not taken into account

commit 2d5611e5e1f37f8906e0d63cdaed28fbe3cde67b
Author: mandree <>
Date:   Sun Oct 15 11:50:37 2017 +0100

    Fix #514: Permit reinstallation of symlink
    
    https://github.com/BestImageViewer/geeqie/pull/514

commit 37a571ceb204dd6bd3f62e1b4ad17399b0ca6afc
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Sat Oct 14 09:07:13 2017 +0100

    Fixing missing field initializer

commit 414e01d4ab6d5da1d64dd2268b9c5018496312a5
Author: Tomasz Golinski <tomaszg@math.uwb.edu.pl>
Date:   Fri Oct 13 16:55:27 2017 +0100

    Addl fix #510: Rudimentary video support
    
    https://github.com/BestImageViewer/geeqie/issues/510
    
    Additional option to start video playback via left-click.

commit ac74cef5f4d0ee0461404d201594edaf7228f9c0
Author: Tomasz Golinski <tomaszg@math.uwb.edu.pl>
Date:   Fri Oct 13 14:19:22 2017 +0100

    Addl fix #147: Darktable XMP Sidecar Files not grouped
    
    https://github.com/BestImageViewer/geeqie/issues/147

commit 96a1fc7a86f199045e708f44918aff945bc762e9
Author: Tomasz Golinski <tomaszg@math.uwb.edu.pl>
Date:   Fri Oct 13 13:21:11 2017 +0100

    Multi-button mouse support
    
    Initial support for multi-button mouse.
    When image pane has focus, mouse buttons 8 and 9 are mapped to Forward and Back.

commit 4290e6e1a1c39a11050ac4def87c1e0df7bd6527
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Oct 12 10:39:25 2017 +0100

    Fix documentation errors

commit 9c00154f193cdd64c845e3d08e2569c690d2356f
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Oct 11 19:24:57 2017 +0100

    Rename External Editors to Plugins

commit 2a38ef5636280c31a48488632577a7ff16b297bd
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Oct 11 12:27:00 2017 +0100

    Set template.desktop to have a default icon

commit 045924fb51f3e741162f868b1a19319d88531e17
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Oct 10 19:02:41 2017 +0100

    Addl #444: Change format for Add button menu
    
    https://github.com/BestImageViewer/geeqie/issues/444
    
    For Add button show the action icon instead of a Plus sign.

commit d27eaf4f62012d8be82fbe64637f73928af9616e
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Oct 10 17:02:01 2017 +0100

    Update template.desktop documentation

commit 5ff96301d23188402fc33bdd9b9eedc72e4ad26c
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Oct 10 10:53:31 2017 +0100

    Fix #444: User-definable toolbar
    
    https://github.com/BestImageViewer/geeqie/issues/444
    
    Set via an additional tab on the Preferences dialogue

commit c23342c815e6e5b9ac0a8342235e96c167e96864
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Oct 8 13:30:05 2017 +0100

    Remove GQView legacy items from menu; update docs

commit 990299b272252f27c09cefc4cb44487755371e70
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Oct 3 10:35:14 2017 +0100

    Revert: Do not send debug data to terminal

commit 3d8820a4874f9ededac023bdcae0e0668913a289
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Sat Sep 30 18:07:35 2017 +0100

    Fix regression
    
    Fix #519.

commit 81dc6bbc7195b04542df8719c35a9a9bf45afdb2
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Sep 30 10:25:33 2017 +0100

    Fix #207: Symlink doesn't show in Sort Manager
    
    https://github.com/BestImageViewer/geeqie/issues/207

commit 13f5f8fd9231da367f5eab5ae83cdad8460825d2
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Sep 27 17:43:52 2017 +0100

    Update installation instructions

commit 39cbcfb55eb391a008c0571e8ad67fc703bac759
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Sep 26 18:42:37 2017 +0100

    Do not send debug data to terminal
    
    When running Geeqie from the terminal, a user sees irrelevant messages
    and when debugging the window gets clogged with unnecessary data.
    The log window - or log file - contains all debug output anyway.

commit e014563ac8cf2dc36950e1893cf63ab83bb56883
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Sep 26 11:27:32 2017 +0100

    Bug fix: Initialise map coordinates to gdouble

commit 8fc4a35a59fe001fa33fa9c09283fd44f29320d9
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Sep 23 11:35:02 2017 +0100

    Addl Fix #508: Copy and Move windows scale incorrectly
    
    https://github.com/BestImageViewer/geeqie/issues/508

commit 86405b9df271184c9feb49e2e9a73b0205d0d87d
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Sep 23 11:01:45 2017 +0100

    Bug fix: Failed editor call blocks further actions
    
    When a call to an external editor fails, cancel the action so that
    further editors can be called

commit b517279681b4da40a17cf63278585c90c483f9e1
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Sep 23 10:53:10 2017 +0100

    Fix #518: [raw file] -> External Editor -> RawTerapee can't be started
    
    https://github.com/BestImageViewer/geeqie/issues/518
    
    Additional mime types

commit b801467db508b8708d98a27a810d0c266f62b076
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Sep 22 17:43:07 2017 +0100

    Slideshow delay in hrs-mins-secs

commit 44b347085e7fa40d0d6d8facb6adf9a0519ffb4d
Author: ilexiris <>
Date:   Thu Sep 21 11:30:39 2017 +0100

    Fix #517: Fix checkbox falling out of sync
    
    https://github.com/BestImageViewer/geeqie/pull/517

commit 79917d0d883e50e77960f016a1f9816137c4c0de
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Sep 19 09:51:20 2017 +0100

    Bug fix: Segfault in pan view
    
    If an image is double-clicked in pan view, Geeqie crashes

commit 776d9f6b72bcca6de52a53b33285b38b5e75ec85
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon Sep 18 12:00:54 2017 +0100

    Fix #512: The "Back" button does not operate correctly
    
    https://github.com/BestImageViewer/geeqie/issues/512
    
    Include a Forward button also

commit a685bfbc38ddf9b08b9213ab09dcc5130368422f
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Sun Sep 17 15:53:47 2017 +0100

    Fix the implicit-fallthrough stuff in code
    
    First, this flag was not supported by older gcc.
    
    And second and more important, there _was_ a bug with a lost break in
    9643a2546bcc. Combined with a unreachable code segment.

commit f6566dd20a51228bb293a303a9298c0e495828b2
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Sun Sep 17 15:12:21 2017 +0100

    Fix writing to meta files
    
    Some time ago, this seemed to break. It should never have worked as it
    took the image extension and compare it to "...meta".

commit 1f007a8cf9b8d48bffac59d6b87e3917ab95a15e
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Sun Sep 17 13:45:42 2017 +0100

    Remove some stuff that is throwing errors in gcc-7
    
    New gcc warns (and errors with -Werror) if there are unused functions or
    variables.
    
    - Remove two leftover functions from ae34634113b2
    - Remove definition made to much in 035c3253ded5
    - Remove two variable definitions made in b0b11291d2c9
    - Remove not really used function in 15917d4063ce
    - Remove two variable definitions made in 5ed2574fb8cc
    - Remove variable definition made in efe0e6a38273
    - Remove variable definition made in c95bd6996583 and since then removed
      usage
    - Remove unused variable definition made in bc02fd0eb0d9
    - Remove unused variable definition made in 324129463b17
    - Remove two variables left over from fe69cac65ad4 (Pretty old code from
      John Ellis)
    - Remove some functions not used anymore with one obsolete variable
    - Remove Variables introduced in 8746b22d3ed1 and 51a9455bd33f
    - Fix missed change in definition in 6e3b2edff8cf
    - Remove unused function from 63a96f8504a2
    - Remove unused function from c6bdbaa559c7 (Pretty old code)

commit 286b68b24417f9290353189c4795dc381318f1c3
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Sun Sep 17 13:37:10 2017 +0100

    Fix configure error with gcc-7

commit 2a4c92c70bbf16fb4de1e0d105ac8b0f12f31d06
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Sep 17 10:33:08 2017 +0100

    Revise DEBUG_0() usage
    
    Replace all DEBUG_0() calls with log_printf() or another debug level.
    This will stop the user seeing irrelevant debug output
    when the debug level is set to the default of 0.

commit 05b71bc25f0b232d2d95594a111c7f70e4237342
Author: Matthias Andree <matthias.andree@gmx.de>
Date:   Sat Sep 16 18:23:08 2017 +0200

    Fix out-of-path (VPATH) builds.

commit 989a7a609ac3cf6584324cc6d1319457b186003d
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Sep 16 20:30:53 2017 +0100

    Update log window output
    
    Implement message text colors in GTK3
    
    For log_printf(), if the first word of the message is "error" or
    "warning" (case insensitive), display the message with the appropriate
    color-coding

commit f6831eee50823092bfbc63d45d90286371623300
Author: Tomasz Golinski <tomaszg@math.uwb.edu.pl>
Date:   Sat Sep 16 20:18:35 2017 +0100

    Bug fix #509: Increase number of marks to 10
    
    https://github.com/BestImageViewer/geeqie/issues/509

commit db9a2d6055de1f5203ee899a83dbd2c9b40c2d91
Author: Tomasz Golinski <tomaszg@math.uwb.edu.pl>
Date:   Sat Sep 16 20:12:22 2017 +0100

    Bug fix: Marks checkboxes in iconview
    
    The width of the marks checkboxes was not taken into account in icon view mode

commit 9be75e3431104d6a3a0c80324a8e3ac60316be13
Author: Tomasz Golinski <tomaszg@math.uwb.edu.pl>
Date:   Thu Sep 14 10:38:09 2017 +0100

    Addl #510: Rudimentary video support
    
    https://github.com/BestImageViewer/geeqie/issues/510
    
    Add video files extension to default file filter (disabled by default).
    Use recorded format_class in fd in metadata.c
    Do not try to generate/read thumb for files which are not images.

commit d33e0f6aaf3be452f96a68c7424fe05a433d3144
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Sep 13 11:21:58 2017 +0100

    Ref #510: Rudimentary video support
    
    https://github.com/BestImageViewer/geeqie/issues/510
    
    Implement icons for FORMAT_CLASS

commit bc02fd0eb0d94c078621c59ae23ce8b70da0efd6
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon Sep 11 18:19:46 2017 +0100

    Optional timer data in log window

commit babefee67961a4c6c9dd8e66c5bca4a6fd979e07
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Sep 10 19:24:20 2017 +0100

    Save Collection window geometry
    
    Previously collection window geometry was preserved only when an
    explicit save was made.
    This patch ensures the window position is always saved, unless the
    window has unsaved data.

commit a7c22f9fa47e177876dc13318f9f5142421e24da
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Sep 10 11:11:00 2017 +0100

    Update documentation for autogen.sh options

commit 876de3dbfdc0f72d3ac245cb35837118b7af6c2d
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Sep 10 10:57:20 2017 +0100

    Add Collections to Shortcuts bar

commit 435f7c0f0b85c97cb25c50ef4e842692e08210f3
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Sep 10 10:10:47 2017 +0100

    Addl Fix #508: Copy and Move windows scale incorrectly
    
    https://github.com/BestImageViewer/geeqie/issues/508
    
    Collections dialog

commit ba8b5dd931b939dda5becc944b36a399966906fe
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Sep 9 17:40:37 2017 +0100

    Reverse autogen.sh default map option
    
    Default is to enable libclutter and libchamplain

commit 5ed2574fb8ccf6974597e804ca7b6b3d2b46c84f
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Sep 8 17:11:02 2017 +0100

    Fix #278: Shortcut to change time between images in slideshow
    
    https://github.com/BestImageViewer/geeqie/issues/278
    
    Keypad plus and minus to change the interval in 0.5 sec units.

commit 1ceb6bcd100d9dca49481dfc0797551fa2f07d70
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Sep 8 11:25:06 2017 +0100

    Bug fix: Info sidebar width in GTK3
    
    In bar_size_allocate() the width obained is the allocated width. In GTK2
    this is the actual width. In GTK3 it is the *minimum* width. This
    results in the info sidebar being able to increase, but not decrease.
    There does not seem to be a way in GTK3 to get the actual width of a
    widget. For GTK3 the only way is to disable it. The width of the sidebar
    is therefore not preserved across restarts.

commit 317f0e8a8be59e44829e97836ba6fc7cd63f23c5
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Sep 6 19:56:58 2017 +0100

    Show destination in Copy/Move dialog
    
    Expand the information message to include the destination folder for
    Copy and Move operations.

commit 6d3a29560c9c642b44ed17bc5703366c9a47259c
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Sep 6 11:59:47 2017 +0100

    Fix #508: Copy and Move windows scale incorrectly
    
    https://github.com/BestImageViewer/geeqie/issues/508

commit 8702dec86a4061ede0449a6fd4a913bbe13e83fe
Author: Tomasz Golinski <tomaszg@math.uwb.edu.pl>
Date:   Thu Aug 31 11:38:26 2017 +0100

    Fix #507: Slightly rearrange keywords context menu
    
    https://github.com/BestImageViewer/geeqie/issues/507

commit 535b244d88286645889ce237c633818359557654
Author: Alberto Griggio <>
Date:   Tue Aug 29 10:13:17 2017 +0100

    Fix #506: ignore chmod errors for filesystems not supporting the operation
    
    https://github.com/BestImageViewer/geeqie/issues/506

commit 33386eb25cd29261952579c4a13abb7ffc12854b
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Aug 22 10:12:34 2017 +0100

    Update doxygen.conf

commit 3087f7ae361ad30a1040c13a6608eb4866000833
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Aug 20 11:20:48 2017 +0100

    Change recent code comments to Doxygen style

commit ae34634113b2cb77e530f576bd1b85b3d02e7a4d
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Aug 18 14:25:36 2017 +0100

    Right-click menus - collections
    
    On all relevent right-click menus include a sub-menu to store an image
    selection to either a new or existing collection.
    
    On Collection window right-click menu, remove "Append from file list" -
    that can be achieved with "Append from file selection"

commit 01715c038710d26a857d046560a1be91aefa7577
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Aug 16 09:42:42 2017 +0100

    Bug fix: Collection in multiple windows
    
    The same collection can be opened in multiple windows, causing problems
    when different files are appended to different windows.
    
    This commit permits only one window per collection.

commit 19dca3c8e345df917cfdee91d394a7bd51504b6e
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Aug 15 20:07:40 2017 +0100

    Append file selection to collection
    
    Additional right-click menu item to append file selection to a
    collection window

commit a3abc18833df49b29f75297f3aac907cf88a8083
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon Aug 14 16:46:55 2017 +0100

    Update website

commit 5e0b8494accda8c26b67d31fc3c446489e54693b
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Aug 11 20:53:32 2017 +0100

    Ref #226: Update website
    
    https://github.com/BestImageViewer/geeqie/issues/226
    
    Sourceforge email address wrong

commit 123f83373211726cc8ee1911f2a1c4f1c3807df9
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Aug 11 19:41:01 2017 +0100

    Ref #226: Update website
    
    https://github.com/BestImageViewer/geeqie/issues/226
    
    Update README.md to give a more complete list of features.
    Update https://en.wikipedia.org/wiki/Geeqie to include a link to
    README.md on the github site - anyone accessing it will see it in html
    format.
    Include a "Preview release" date on above website - to show current
    source status.
    
    Update Licence text to v2.

commit 8ddd74a18d4addbf9f134e36cbefaa066a15b07c
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Aug 10 20:03:50 2017 +0100

    Bug fix: Improve debug output
    
    Fix commit 271aa1833d31

commit 89575fd7b1e7f96aca6e29fa1433cf26de332a87
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Aug 9 15:14:27 2017 +0100

    Addl fix #436: Add 'Losslessly rotate image' keyboard shortcuts
    
    https://github.com/BestImageViewer/geeqie/issues/436
    
    Send stderr to /dev/null

commit 271aa1833d31876835e93aa7c5610914e916a89c
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Aug 8 22:10:21 2017 +0100

    Improve debug output
    
    Use __func__ compiler identifier

commit b2c2c8ceb6545921387556e2f29620824574242c
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Aug 8 19:30:01 2017 +0100

    Update secondary user documentation
    
    Use standard gtk_about_dialog for Help About
    Move contributers to AUTHORS file so that they appear in the Credits
    dialog
    Change gen_changelog.sh to create ChangeLog.html
    Include ChangeLog on Help menu
    Make presence of README.html and ChangeLog.html mandatory
    
    It would be better to generate above html files from automake.
    gtk_about_dialog uses msgid _("translator-credits"), but the translators
    do not use it.

commit 07b95e443e9e9dc1de1bd2486f719d29f78e28d4
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Aug 6 20:17:44 2017 +0100

    Fix #505: ‘Copy path’ and ‘Delete’ are too close in the drop down menu
    
    https://github.com/BestImageViewer/geeqie/issues/505
    
    This commit attempts to ameliorate this issue by moving the Delete
    action to the end of a section and ensuring a divider is immedialtely
    below it.

commit 2d94b0ad40241b9fb072ee59a53b798058cbd711
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Aug 6 19:25:07 2017 +0100

    Prelim: display README in html format
    
    If README.html exists, it is displayed in the default browser in
    preference to README.md in text format.
    
    Still requires the automake files to be modified for markdown (or some
    other command) to generate the README.html file.

commit 980fd785b70072bd6f8a1ae27513b50baec3a90b
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Aug 5 17:36:05 2017 +0100

    Bug fix: GPS map expander
    
    When the expander for the GPS map was closed, the map continued to be
    displayed.
    The reason is unknown.
    
    This commit uses the expander signal to explicitly show or hide the
    child of the expander.

commit 4a896417f21ff1f95852d410bc8d3f71104c145c
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Aug 5 10:57:44 2017 +0100

    Fix geonames coding error

commit 35f0119cee536bf21cf041791e7a9a3b16b06059
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Aug 4 21:04:45 2017 +0100

    Partial fix #504: Increase limit on Decoded Image Cache Size
    
    https://github.com/BestImageViewer/geeqie/issues/504

commit a920f59f969459edcd5081cf3fdc16401fbf0d40
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Aug 4 17:04:07 2017 +0100

    Fix #192: tiff files (and others) appear blurry when 1:1 view
    
    https://github.com/BestImageViewer/geeqie/issues/192
    
    Up to commit 808d8558b3d5 alpha-channel files at scale 1:1 always had
    GdkInterpType set to GDK_INTERP_NEAREST - the lowest quality. As there
    was no scaling, this was ok.
    Thereafter scaling was set to that selected by the user, resulting in
    problems when GDK_INTERP_HYPER was selected.
    This commit reverts to the previous method.

commit 559f0843a8b29057b08e2f1655d0c8eca87a4e22
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon Jul 31 14:36:29 2017 +0100

    Fix #500: Geeqie doesn’t use shared thumbnail folder
    
    https://github.com/BestImageViewer/geeqie/issues/500

commit c7cb4da3c29fbb8583c1bafd923b0d2eea285400
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon Jul 24 11:08:35 2017 +0100

    Fix #499: Unable to move zoomed image
    
    https://github.com/BestImageViewer/geeqie/issues/499

commit 4c3854b536f28258de7dbd69d427790961aba454
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Jul 23 12:05:26 2017 +0100

    Bug fix: Zoom mode overwritten
    
    Zoom mode was overwritten whenever Preferences were saved.

commit 46539884d6e1f6a4b7284aa7aa5e62da8ad885fb
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Jul 20 11:11:50 2017 +0100

    Image Search - Ignore rotation
    
    In the Image Search window, include a checkbox for Ignore Rotation on
    the Image Content line.

commit dd8ee57219b0c474a312e408816df85f6f2128a0
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Jul 20 09:57:57 2017 +0100

    Collections on command line
    
    In the current implementation, the complete path must be used when
    opening a collection from the command line.
    This commit permits just the collection name, with or without extension,
    to be used.

commit 16a51da065d8eb1fb997e11ec2fe4ab99e7b1df7
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Jul 18 19:39:58 2017 +0100

    Move install folder for geocode-parameters
    
    Install geocode-parameters.awk in GQ_BIN_DIR.
    
    User can put their own version in ~/.config/geeqie/applications/

commit 21700f642591d30ee5b64764aef1552a3ec18a32
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Jul 16 16:32:31 2017 +0100

    Fix compatibility problems with log window

commit 035c3253ded5b1bdf4de7bdd233b7ae6a5851066
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Jul 14 17:02:29 2017 +0100

    Fix #302: possibility to copy exif field values from the info sidebar
    
    Copy info sidebar exif values to the clipboard.

commit bfa5abb9b5c01308782e8417aed8c201c90bfc9f
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Jul 13 12:00:17 2017 +0100

    Copy exif data to clipboard
    
    Click on any cell in the Exif Window, and the data is copied into the
    clipboard.

commit c4cfa5f5a15fcb253c6df13a5bbbd8da26a027e1
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Mon Jul 10 12:23:19 2017 +0100

    Adding more Entries to mailmap

commit 9ab6445b56c431f6d1c8766b2f7a418be1412b4b
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Mon Jul 10 10:27:47 2017 +0100

    Update mailmap

commit 366ee2bf05dde1d48e40394a1a79e7271164be38
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Mon Jul 10 09:23:52 2017 +0100

    Adding mailmap file to unify commiter
    
    If one wants to have different entry in the git `git shortlog`, just
    give me a hint or just update it.

commit 4bb7c12ddbf99f2290d916008948bd8c3c234991
Author: Omari Stephens <xsdg@xsdg.org>
Date:   Mon Jul 10 07:53:04 2017 +0000

    Update translation files after more source file shuffling.

commit d2350bb41d28ae996584339c0e355224ef372430
Author: Omari Stephens <xsdg@xsdg.org>
Date:   Sun Jul 9 06:20:35 2017 +0000

    update POTFILES.in

commit 3bbefe2103e73e10631ee2188227a1a7b12f3918
Author: Omari Stephens <xsdg@xsdg.org>
Date:   Fri Jul 7 13:57:17 2017 +0000

    deduplicate shared code in view_file_icon and view_file_list
    
    Also, moves view_file.c into the view_file subdir.

commit 1bc4a19f66e15c4867c31d39a62623ba80e7924a
Author: Omari Stephens <xsdg@xsdg.org>
Date:   Mon Jul 10 07:51:30 2017 +0000

    Update translation files after source file move.

commit d1306df61ff3147617c45d0f08c00b830e9cffe2
Author: Omari Stephens <xsdg@xsdg.org>
Date:   Sun Jul 9 21:40:05 2017 +0000

    Enable C99 mode
    
    Also, make AC_INIT macro independent of available branch names.

commit c90b60633ba526a4ea40ea4ecb239348ed0982ec
Author: Omari Stephens <xsdg@xsdg.org>
Date:   Sun Jul 9 05:54:05 2017 +0000

    Ran regen_potfiles.sh to add missing files and correct the location of view_file files in POTFILES.in

commit 95dd7b3505a4ff1fcd2720b51803c1b6fb4fd884
Author: Omari Stephens <xsdg@xsdg.org>
Date:   Fri Jul 7 13:48:00 2017 +0000

    Avoid c99 feature

commit c4e6fc621119b126df7a49a03147f957a1b2c185
Author: Omari Stephens <xsdg@xsdg.org>
Date:   Fri Jul 7 13:21:15 2017 +0000

    *phew* commented and simplified.

commit 70751490caa160fb865f95e7d5e594d5094e5424
Author: Omari Stephens <xsdg@xsdg.org>
Date:   Fri Jul 7 13:03:25 2017 +0000

    Hopefully make it not crash

commit eb082bd92226e209b3a08a6d3c6683da2a5229a2
Author: Omari Stephens <xsdg@xsdg.org>
Date:   Fri Jul 7 12:32:25 2017 +0000

    It compiles!

commit 9828bbe6d27398f12c9a0b72504d9efebb87a945
Author: Omari Stephens <xsdg@xsdg.org>
Date:   Thu Jul 6 19:33:31 2017 +0000

    Remove all references to "IconData"

commit 6c65564fcd9c0814f215e232fe9cd80f1b6b3bf3
Author: Omari Stephens <xsdg@xsdg.org>
Date:   Fri Jul 7 16:37:12 2017 +0000

    update .gitignore

commit 2aef83cae376bd7307462e0cdd9b7d4490a9b9c5
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Jul 7 12:11:56 2017 +0100

    Ensure .sim files are cleared from cache
    
    If file filtering was enabled, the .sim files were not cleared from the
    geeqie cache

commit 65f3e7f0710f685f77ee3a92ff96ff3b5303cb0a
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Jul 6 14:47:45 2017 +0100

    Fix clang compile errors

commit 1891113571d9e39bd29b8b6abc661e178ffbcefd
Author: Omari Stephens <xsdg@xsdg.org>
Date:   Wed Jul 5 21:41:18 2017 +0000

    Refactor: move view_file implementations to their own subdirectory.

commit 4606ea7a30474f45cb61009ecaeb2a45e32366d4
Author: Omari Stephens <xsdg@xsdg.org>
Date:   Fri Dec 30 04:24:46 2016 +0000

    Add the ability to use regular expressions for Pan View keyword filtering.

commit 6ea6f44e35fd34e912d387557d386690b623b64d
Author: Omari Stephens <xsdg@xsdg.org>
Date:   Thu Dec 29 09:58:59 2016 +0000

    Add pan filtering to all of the pan view modes

commit e67dcc4f4a53d0f583ea07066aa0b65f4a339007
Author: Omari Stephens <xsdg@xsdg.org>
Date:   Tue Dec 27 20:35:59 2016 +0000

    Revamp pan view filtering to support different modes and grouping.
    
    Conceptually, the filter is a sequence of filter elements, which are considered
    in order for each image in the pan view.  The end result is that each image is
    either rejected or displayed as normal.

commit 91062845074df3de5e02fb3ffb630a008b4ad1fd
Author: Omari Stephens <xsdg@xsdg.org>
Date:   Tue Dec 27 19:26:45 2016 +0000

    Move filter code into pan-fiew-filter.{c,h}

commit fddcfa7fd51deac6ad83e49bdc8ed3e810416591
Author: Omari Stephens <xsdg@xsdg.org>
Date:   Sun Dec 25 08:25:13 2016 +0000

    Adds a keyword filtering feature to Timeline PanView.
    
    UI needs some work, and currently only supports intersection between multiple
    keywords.  Would be easy to support keyword unions, if the UI supported it.
    
    Should probably hide the button in modes that don't yet support it.

commit f640a7a5eddf0f46a2d1fa366fe6173d600a503e
Author: Omari Stephens <xsdg@xsdg.org>
Date:   Sat Dec 24 22:37:21 2016 +0000

    Pull the search UI construction code out into a distinct function.
    
    Also, it looks like the existing code would just leak the search UI widgets.
    Having the construction code in a distinct function makes it much easier to
    ensure the appropriate cleanup happens as well.

commit b2335bb939212a413caac77d0ef02bdebb4d7ece
Author: Omari Stephens <xsdg@xsdg.org>
Date:   Sat Dec 24 05:23:02 2016 +0000

    Start moving pan view search code to its own module
    
    Next step is to pull the construction of the Search UI into the module
    as well.  Ideally, pan-view.c should just instantiate a Search thing,
    without having to worry about exactly how it's constructed or destructed.

commit 1ee18ab92d897eca90f5bb35e41c08b4b20ab82b
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Jul 2 19:46:19 2017 +0100

    Minor doc update - config file locations

commit f6a87c016ecead37f8232bea58de4f0b0d3e3680
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Jun 29 11:05:59 2017 +0100

    Addl fix #488: Issues using Geeqie to compare pictures
    
    https://github.com/BestImageViewer/geeqie/issues/488
    
    Implement Alt-Up and Alt-Down keys

commit d058419bfa4d5793fe1390613eaaa010f7029c43
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Jun 28 16:57:11 2017 +0100

    Fix #282: no support for multi-file actions in the sort bar
    
    https://github.com/BestImageViewer/geeqie/issues/282
    
    Sort manager actions operate on file selections
    
    Original patch by Glenn Rolland

commit 35721aae8675431b27b93c2e2cad95103328965d
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Sun Jun 25 22:54:21 2017 +0100

    Better Markdown

commit 148d4dddc9638740b393e0f527c083e777a9a93e
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Sun Jun 25 22:31:31 2017 +0100

    Using foreign to allow README file called README.md

commit 7f0d622ec3884890b592f082159a0c9f8fc3513f
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Sun Jun 25 22:21:09 2017 +0100

    Convert README to markdown
    
    This allows to display images and links a better way.

commit 3557bcbb7c1bfe9c7be8d6d3f9400f90e1b6da33
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Sun Jun 25 21:57:35 2017 +0100

    Fix int<->uint problem

commit 6eebdfd3f310e2823e45cda00b57b5e4f6839692
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Jun 25 13:23:51 2017 +0100

    Bug fix: Additional debug features
    
    Ensure grep works on entire message line
    guint/gint compile problem
    compile with --disable-debug-log (patch by Guillaume Castagnino)

commit 732210aa829e2c0cb9e74fe8fbab8f0dd4056454
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Sat Jun 24 20:47:50 2017 +0100

    Change travis to use trusty
    
    Precise is to old to build geeqie.

commit d229ec4d1219531cf11426c88f9ec5abf7d3170a
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Sat Jun 24 20:17:51 2017 +0100

    Adding travis yaml

commit 324129463b17052472ce473df3e253bee6476837
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Jun 22 13:17:00 2017 +0100

    Additional debug features
    
    -g:<regexp>, --grep:<regexp> filter debug output by regular expression
    +w, --show-log-window        show log window
    -o:<file>, --log-file:<file> save log data to file
    
    Save geomtery and position of log window
    Various buttons on log window

commit 9c47109d3aa65663b0c95d454dadca43ce0ba7f4
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Jun 21 13:15:32 2017 +0100

    Fix #262: double click and fullscreen
    
    https://github.com/BestImageViewer/geeqie/issues/262

commit 3229f865ea34e2a168c8c9b86dc044947fc47b20
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Jun 20 11:11:55 2017 +0100

    Fix #492: Shortcut to Hide all sidebars simultaneously
    
    https://github.com/BestImageViewer/geeqie/issues/492
    
    Menu item to toggle hiding info, sort, and files panes.
    Default key is backtick.

commit 12a4fe18405a9132efc3ef19570bf0c59dd6b427
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Jun 18 11:03:09 2017 +0100

    Eliminate FIXME: Log window line limit
    
    Set log window line limit in Preferences/Behavior

commit 0dd6923f3b5f44fdaed2a1d1060f7b8df5e7014c
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Jun 17 09:14:58 2017 +0100

    Fix #280: Set defaults for Auto Rename
    
    https://github.com/BestImageViewer/geeqie/issues/280
    
    Remember last used settings

commit 68c4796e434bae49815d667264a780c8b63fc551
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Jun 16 09:45:57 2017 +0100

    Addl fix #436: Add 'Losslessly rotate image' keyboard shortcuts
    
    https://github.com/BestImageViewer/geeqie/issues/436

commit 63a96f8504a2773d03bd8956c17eb6bb09a706c7
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Jun 14 19:26:03 2017 +0100

    Fix #314: Remote commands for thumbnail maintenance
    
    https://github.com/BestImageViewer/geeqie/issues/314
    
    Additional remote commands so that thumbnail maintenance may be executed
    from cron.

commit 9313974a67d3e0f2e78757d5ca979bb9de41aa03
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon Jun 12 19:15:29 2017 +0100

    Fix #264, 274, 285, 436: Add 'Losslessly rotate image' keyboard shortcuts
    
    https://github.com/BestImageViewer/geeqie/issues/264
    https://github.com/BestImageViewer/geeqie/issues/274
    https://github.com/BestImageViewer/geeqie/issues/285
    https://github.com/BestImageViewer/geeqie/issues/436
    
    Additional entries on Edit/Orientation menu:
    Write orientation to file
    Write orientation to file (preserve timestamp)
    
    Preferences/Metadata option "Write altered image orientation to the
    metadata" must be off.
    Exiftran and mogrify must be installed.

commit cb2fa6ae065ec32015e46be3bcf5e7024918fe49
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Jun 8 20:46:52 2017 +0100

    Fix #323: Rating system
    
    https://github.com/BestImageViewer/geeqie/issues/323
    
    Initial implementation.
    Set values either by Edit menu, or Alt+Keypad+n: n is 0 to 5
    Alt+keypad+minus sets the value to -1.

commit ca8f5cee69edb5183705eef28cf5f0f82b852f73
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Jun 8 11:46:20 2017 +0100

    Ref #202: "Set as wallpaper" doesn't work with GNOME Shell
    
    https://github.com/BestImageViewer/geeqie/issues/202
    
    Remove menu items for GTK3.

commit 22010917d07dc67b51e6c24dfb633fc4a5eed408
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Jun 8 11:29:16 2017 +0100

    Fix #490: Creating info sidebar panes
    
    https://github.com/BestImageViewer/geeqie/issues/490
    
    Additional icon in the sidebar panel to create new panes.

commit cdd3c3a4887dae87d8e61e2f1d53313dbf532d0e
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Jun 7 17:53:16 2017 +0100

    Document XMP, Exif and IPTC tag usage

commit 8a3549d0dafcb9e23e3543741084fe9006500183
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon Jun 5 16:55:14 2017 +0100

    Additional keyword menu entries
    
    1. Revert all hidden
    2. Collapse all
    3. Revert (see Help file)

commit af063456f10b9c818c91e86d3efeb2a1152f99d7
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Jun 3 10:04:14 2017 +0100

    Fix #446: Minor text updates
    
    https://github.com/BestImageViewer/geeqie/issues/446
    
    Plus warning with info sidebar heights

commit 2e7f616a730ccaa640663023fc4602cf7c2b6c9a
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed May 31 18:45:01 2017 +0100

    Addl fix #488: Hide menus when not in split mode
    
    https://github.com/BestImageViewer/geeqie/issues/488

commit d901af03035620e2c958f4d7a6eededfa0bce8af
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed May 31 11:56:38 2017 +0100

    Fix #488: Issues using Geeqie to compare pictures
    
    https://github.com/BestImageViewer/geeqie/issues/488
    
    Part 3: Use alt+left/right arrow keys to move between split window panes

commit 4b6aa2ade43072a4daab30b81b4900972fec7083
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed May 31 09:01:35 2017 +0100

    Fix #357: Save mark-and-keyword connections
    
    https://github.com/BestImageViewer/geeqie/issues/357
    
    Patch by unqwist and dragon-sh

commit 521f209ec73efaa8488de1774560c460b577a659
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue May 30 15:51:00 2017 +0100

    Partial fix #488: Split view with sidecars
    
    https://github.com/BestImageViewer/geeqie/issues/488
    
    Bug 2: fix split view when images with sidecars are involved

commit 50f5ef3cedbeaa251a1e838bf5045a9dc7dda1ee
Author: Alexander Antimonov <>
Date:   Mon May 29 12:06:13 2017 +0100

    Fix #381: Feature-Request: Make JPEG comment available for overlays
    
    https://github.com/BestImageViewer/geeqie/issues/381
    
    Additional tag "imagecomment" for JPEG comments

commit 64b3e53dd4f9a9779478831f2449306f4ac927b8
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun May 28 19:30:41 2017 +0100

    Fix #477: similarity duplicate search
    
    https://github.com/BestImageViewer/geeqie/issues/477
    
    Additional find dupes option: sort groups with the lowest number of
    matches to the top of the results list

commit 3fff57c8a02ef253c417c36ef137e21abcfca15a
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat May 27 15:58:00 2017 +0100

    Minor dupe documentation
    
    Ctrl+shift+right-click to show debug info.

commit 67d93b5d662ac97d6dd2c421387cd28330e404a1
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri May 26 20:00:22 2017 +0100

    Temporary Fix #133: switching between images causes window to keep shrinking
    
    https://github.com/BestImageViewer/geeqie/issues/133
    
    Temporary fix to hide problem. You may need to set Preferences/Windows
    "Limit size when auto-sizing window" to 94% or less.

commit b1dd4301ed1f70051af83fa02965070be39d312d
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu May 25 21:17:08 2017 +0100

    Fix #486: Build error
    
    https://github.com/BestImageViewer/geeqie/issues/486
    
    Bug solution from Guillaume Castagnino

commit 36d2e8e15cf7e6e230664cea85a6ddf492f766fe
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu May 25 12:53:54 2017 +0100

    Remember keywords layout
    
    Save and restore expanded keywords rows

commit 4293c4534ca8c0c8d21ce65fe892ebead8d93d86
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Thu May 25 09:07:32 2017 +0100

    Enable silent build as default
    
    Mimic Linux kernel builds.

commit 23625715308e7e87ca3ea299a83a152c59b34ebe
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Thu May 25 07:56:03 2017 +0100

    Fix assignment in dupe keypress function
    
    Thanks clang for detecting this typo.

commit 2ed5e0e3bd63a51decd876ea9f2143a0dc977846
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon May 22 13:35:40 2017 +0100

    Fix #445: Info sidebar section heights
    
    https://github.com/BestImageViewer/geeqie/issues/445
    
    Options in preferences/general to set heights of:
    Title
    Comment
    Keywords
    
    Restart of Geeqie required for changes to take effect.

commit 06b80ed3f417c8e1c5a53b0169179794e79f5567
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri May 19 19:49:47 2017 +0100

    Documentation update
    
    Desktop files and the sort mnager.

commit 30a7a60d8149a42effe57c5a57e5fe844ae647ce
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri May 19 19:22:55 2017 +0100

    Temporary Fix #207:Symlink doesn't show in Sort Manager
    
    https://github.com/BestImageViewer/geeqie/issues/207
    
    This fix simply delays showing the sort manager until the user opens it,
    by which time setup has been completed.

commit d0224edc8344bedbb90c38e730f719eb1402d263
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue May 16 19:56:54 2017 +0100

    Speed up re-read of exif date
    
    Remove unnecessary resets of exif date which cause re-reads of exif date
    to be slow.
    The initial read of exif date is unfortunately still slow.

commit 7d42ca045284da44b249b42564421163c5969aab
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun May 14 21:57:53 2017 +0100

    Geocode image by drag-drop
    
    If an image is not geocoded, drag-and-drop on the map to write latitude
    and longitude to metadata

commit ab4c998d4835a809e10f25e3aaa3acff8b8b6538
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu May 11 19:06:13 2017 +0100

    Search on geo-position
    
    Additional search option to locate images within a distance of a
    location. The search origin can be specified in a number of ways - see
    the Help file.

commit 2d3cd230c26931eec9fc02f2f76d72f7bfe5e1c4
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat May 6 11:10:57 2017 +0100

    Temporary Fix #467: Refresh doesn't preserve thumbnail viewpoint
    
    https://github.com/BestImageViewer/geeqie/issues/467
    
    The reason for the reset of the view is unknown. This patch hides the
    problem for the moment.

commit 101f1babf7d1381d8249d2f474e9408e89da533b
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu May 4 19:06:48 2017 +0100

    Bug fix: Re-size images in GTK3
    
    When compiled with GTK3 if an image is opened with "View in new window"
    the minimum window size is determined by the image size and screen size
    etc. If a file selection is opened, the minimum window size is set by
    the first image displayed.
    This feature is determined by a call to gtk_widget_set_size_request().
    
    When compiled with GTK2, the call to gtk_widget_set_size_request() seems
    to be ignored, and the window can be resized at will.
    
    The GTK2 style is much more practical, so the call to
    gtk_widget_set_size_request() is ignored in GTK3.

commit d72088e0b2e958a9dc6a05cc9d29207e4d280c6b
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed May 3 11:30:12 2017 +0100

    Fix #123: Limit image expansion in Fit To Window
    
    https://github.com/BestImageViewer/geeqie/issues/123
    
    Additional option in Preferences/Image to limit the expansion of an
    image in Fit To Window mode. Stops small images being over-magnified.

commit b8995ea496ae6d027962c106762b5f3b2c736250
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue May 2 09:54:59 2017 +0100

    Fix #442: Path filter combobox not initialised

commit a596e7633553158df293c0638fb32720358b3410
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon May 1 19:05:08 2017 +0100

    Eliminate a FIXME: Collection window position

commit 66fa2e11722e9d538da90e90593defc74c14660f
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Apr 29 19:24:33 2017 +0100

    Bug Fix: Marks checkboxes in GTK 3.14
    
    Make marks checkboxes visible in icon mode in GTK 3.14 and later

commit 852582b45f831208e9d22333053bfa6c3cffa53c
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Apr 27 21:36:46 2017 +0100

    Minor documentation update

commit 55a7ed0185e8adb8f30276952b981eb2c5a90714
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Apr 27 10:57:36 2017 +0100

    Additional Fix #245: Eliminate run-time error

commit e5f56d798fbeb235694e58f8741dbbd619225c46
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Apr 14 16:03:13 2017 +0100

    Fix #290: Mouse-only image viewing
    
    https://github.com/BestImageViewer/geeqie/issues/290
    
    The mouse can now be used to change image, and zoom and pan image.
    
    Single middle-click toggles the mouse wheel function between "change
    image" and "change zoom".
    In split-view quad mode each pane can be clicked, allowing Connected
    Zoom to made on any combination of panes.
    
    This function cannot be used with "Mouse wheel scrolls image" or
    "Navigation by left or middle click on image" options.

commit 529b863a529dda3c909878df3265d3246bcf2f3c
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Mar 28 19:27:16 2017 +0100

    Bug fix: Remote --tell output
    
    Make the output go where it is supposed to go

commit ecbdd1d662bea569244d6822e594ff6cfb185ed8
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon Mar 27 13:22:58 2017 +0100

    Fix #201: Geeqie to pop to top of current windows when open up with -r
    
    https://github.com/BestImageViewer/geeqie/issues/201
    
    Additional remote option to bring Geeqie widow to the top when opening
    image:
    
    file:<file>  open <file>, bring Geeqie window to the top
    File:<file>  open <file>, do not bring Geeqie window to the top

commit acb881988e884319771e27a608fbde93f0a8194b
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Mar 26 11:42:10 2017 +0100

    Fix #130: Doubled path in thumbnail preferences
    
    https://github.com/BestImageViewer/geeqie/issues/130

commit e44198de08c121b3d32775e0353b5e326fecc307
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Mar 24 19:45:44 2017 +0000

    Fix #245: Zoom settings on status bar
    
    https://github.com/BestImageViewer/geeqie/issues/245
    
    Move commonly used zoom settings from Preferences to a button on the
    status bar

commit 1b57b82a571609d28aa5d4120c2a36e892bcd6f5
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Mar 23 10:06:59 2017 +0000

    Fix #85: can not switch to list view in folder pane with keyboard
    
    https://github.com/BestImageViewer/geeqie/issues/85
    
    Ctrl-T is now a toggle to switch between list view and tree view in the
    folder pane

commit 5428ae8e0b4147cf01b0d2ebcaf8f7edf03b989b
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Mar 22 15:58:25 2017 +0000

    Fix #56: "Create folder" under "copy/move" should select new folder
    
    https://github.com/BestImageViewer/geeqie/issues/56

commit e08195b8e7b501010fbed20bb45363d38bb7e338
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Mar 22 14:33:48 2017 +0000

    Bug fix: Seg fault in copy/move dialog
    
    If a non-existant folder is entered as the destination in a copy/move
    operation, Geeqie will crash.
    
    Check for NULL returned from registered_extension_from_path()

commit e498f547a95eda6d860c75ec058e145521af045e
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Mar 22 10:13:03 2017 +0000

    Minor code amendments
    
    Ensure the shortcuts (bookmarks) pane is visible on first run
    Remove unused defines
    Document search on Exif date

commit 869cbf2643ab945b0f8a6e8e9f413dd762cd637b
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Mar 21 17:28:55 2017 +0000

    Fix #219: Ability to set solid colour for transparency layer
    
    https://github.com/BestImageViewer/geeqie/issues/219
    
    The checkerboard colours can be set on the Preferences/Image tab

commit f470e79e48365dcc07fe7714543e7421b8cdfdba
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Mar 17 11:07:16 2017 +0000

    Bug fix: Remote view:filename command
    
    The command:
    geeqie -r view:filename
    crashes Geeqie if the filename is not preceeded by a path.
    
    Use a string function that handles nulls.

commit f12204d3929649abef802f7dcdc172dd7b2b57a9
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Mar 16 10:45:28 2017 +0000

    Ref #242: Documentation update for collections
    
    https://github.com/BestImageViewer/geeqie/issues/242
    
    Clarify some Collection window functions

commit 2be9b24c7fc96636a690e989200bb32c98409201
Author: Tomasz Golinski <tomaszg@math.uwb.edu.pl>
Date:   Wed Mar 15 11:06:10 2017 +0000

    Fix #147: Alternative format for sidecar extension
    
    https://github.com/BestImageViewer/geeqie/issues/147
    
    Add option to store sidecar extension with a format e.g. filename.jpg.xmp rather than filename.xmp

commit 09258d881beb8119e5ab61ab880f707971c0a4b5
Author: J. R. Schmid <jrs+git@weitnahbei.de>
Date:   Mon Mar 6 18:41:00 2017 +0100

    Update README.md
    
    Making unordered lists into parsable Markdown.

commit a427009441f87cac3d722fade36c6fffe6030328
Author: J. R. Schmid <jrs+git@weitnahbei.de>
Date:   Mon Mar 6 18:41:00 2017 +0100

    Update README.md
    
    Making unordered lists into parsable Markdown.

commit 4fe23213ade9d19ce382855b59706e3392dc093e
Author: J. R. Schmid <jrs+git@weitnahbei.de>
Date:   Mon Mar 6 18:38:52 2017 +0100

    Rename README to README.md
    
    So that GitHub picks up the Markdown headings...

commit 33b23c8236fd60559c87e62d4c7312b4ac05d048
Author: J. R. Schmid <jrs+git@weitnahbei.de>
Date:   Mon Mar 6 18:38:52 2017 +0100

    Rename README to README.md
    
    So that GitHub picks up the Markdown headings...

commit d8c800519440afcea5391392b20e2ebe3d8dd5b4
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Feb 26 19:58:21 2017 +0000

    Documentation update for new options
    
    Options are:
    * Whether to use saved window positions also for new windows
    * Whether to enable navigation by left or middle click on image
    * Ability to set keyboard scrolling step multiplier
    * Whether list directory view uses single click to enter a directory or
    GTK+ activation default (which is currently a double click)

commit 08f1031b6e33ba8794f0d047314845101216fe35
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Feb 25 11:11:45 2017 +0000

    Fix #473: Parameter type fix for "motion-notify-event" signal handlers
    
    The "motion-notify-event" signal "event" parameter is a GdkEventMotion
    structure, not GdkEventButton.
    Patch created by Maciej S. Szmigiero

commit 8eca5b305a68d173b53c55260d8e713d8905d27c
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Feb 24 20:09:35 2017 +0000

    Fix #326: Save position of float file list
    
    Save the position of the floated file list/tools window during a
    session.

commit e45c365df0ed9df46be56fb96b25b6022db64939
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Feb 24 16:25:33 2017 +0000

    Fix #431: Bookmarks (shortcuts) to folders
    
    Additional section in the folders pane to permit shortcuts (bookmarks)
    to commonly used folders or images.

commit dcc7108bdf8f2bbc51368ba33c531447a957fdff
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Feb 22 10:46:07 2017 +0000

    Bug fix: Crash using drag/drop in copy/move dialog
    
    In the copy/move dialog, if a folder is dragged onto the bookmarks pane
    to create a new bookmark, Geeqie will crash.
    A filedata list was returned instead of a path list.

commit ba6b685566ba3de52a4e802ebde8faf2d2ea25f7
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Thu Feb 16 00:20:26 2017 +0100

    Update german translation

commit fa4df0897c42bf74bfc280ee6bbf8c306ed8fd23
Author: cclark <colin.clark@cclark.uk>
Date:   Tue Feb 14 13:07:07 2017 +0000

    Orientation commands and file selections
    
    In the current implementation, the orientation commands (rotate, mirror
    etc.) affect only the single image that has focus.
    
    With this commit, the right-click menu orientation commands affect only
    the single image the right-click is made upon.
    The orientation commands from the main menu Edit/Orientation will affect
    all selected files.

commit 3c2b3ad636bc100cbdafc18b680b4adebfaa3f2d
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Feb 3 09:52:26 2017 +0000

    Fix progress bar text
    
    Ensure progress bar text is shown in GTK3

commit 93ff6360bf0d80618e0282a8a58e5eabb5964f47
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Jan 28 19:58:06 2017 +0000

    Move exif auto-rotate option to a menu
    
    Move the exif auto-rotate option from preferences to the
    edit/orientation menu. The shortcut key is Alt-X. There is also a button
    on the status bar.
    The intention is to make it easy for the user to make a comparison
    beteen the actual and auto-rotated view as an aid to detecting
    orientations made erroneously e.g. scanned images which have been
    mirrored by mistake.
    
    Expanded documentation on rotation commands.
    
    Preserve the setting of the rectangular select option.

commit 36c47f754a41f0e91731dedd02861bac67e6f5f4
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Jan 26 10:28:21 2017 +0000

    Fix #469: Exif rotation problems
    
    https://github.com/BestImageViewer/geeqie/issues/469

commit fcc67f90de4b38e97e0031764491cd861b38cfa2
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Jan 24 20:24:58 2017 +0000

    Save position of tools window
    
    Correctly save position of tools window when floated

commit 24c93fa48d2f0db94d33103291d0ab1cbb2b2cc4
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon Jan 23 20:17:13 2017 +0000

    Update documentation for orientation commands
    
    Clarify some sections and remove a TBD

commit 3799ee6f41a99fe88e92937daab3d2aa2381c648
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon Jan 23 17:40:40 2017 +0000

    Search on exif date
    
    Additional search parameter to search using exif date.
    The implementation is rather crude. It would be better to have a
    drop-down box so that other date formats could be also used - e.g.
    DateTimeDigitized
    
    Note: if a file does not have an exif date, it will default to 01
    January 1970

commit 78193941124b3d1842f3455c44205bc22099bcb3
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Jan 18 13:57:37 2017 +0000

    GIF animation settings
    
    Preserve GIF animation setting between sessions
    Include GIF animation on View menu. Shortcut key is "A"

commit 769316dd90a70d9d5b89b509748afb1e6e15d64c
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Jan 11 22:00:49 2017 +0000

    Eliminate some deprecations

commit 2bb1e27e4f1acd0d3c73958b97d31318fe6a07f4
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Jan 11 13:21:10 2017 +0000

    Fix compile warnings
    
    Fix compile warnings introduced in commit 2afb371

commit a51e5cfb5a34ad2e996dfe8ea7f974a8c78c225a
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Jan 11 10:48:30 2017 +0000

    Fix compile warning
    
    Fix compile warning introduced in commit 2afb371

commit dac946af6f2fb81bbea56bd625954f79a97a61cb
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Jan 10 11:39:44 2017 +0000

    Move duplicates options
    
    Move duplicates options Custom Similarity Threshold and Rotation
    Invariant Duplicate Check to the duplicates window.
    It makes more sense to place them where the user can easily access them.

commit ea0dc6c59bb8bfae6a8e690890b4413245919dbd
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Jan 8 18:10:03 2017 +0000

    Right-click menu separators
    
    Right-click menu separators are not displayed with GTK 3.20.
    Replace gtk_menu_item_new() with gtk_separator_menu_item_new().

commit d0d5ee607b43c3706b70b382179d5a349abd6158
Author: Tomasz Golinski <tomaszg@math.uwb.edu.pl>
Date:   Sun Jan 8 17:41:56 2017 +0100

    Update Polish translation

commit 6385be22a0be36111311269418c23405d4407401
Author: Tomasz Golinski <tomaszg@math.uwb.edu.pl>
Date:   Sun Jan 8 16:43:39 2017 +0100

    Correct the location of pan-view files in POTFILES.in
    
    Commit 58d397efc9e99104d21ea686837396673939ccde didn't update corresponding entries in POTFILES.in

commit 843ba935a260e1aef22e85e4029cc5d53ef095ed
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Jan 8 14:04:44 2017 +0000

    Temporary fix #459: GTK 3.20 drop-down
    
    https://github.com/BestImageViewer/geeqie/issues/459
    
    This is just a quick fix to make life easier for the users. The whole
    GTK 3.0/3.20 problem requires significant effort.

commit 1238348598ca19e1cc0bc1deb9cc726f2cef4180
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Jan 7 11:47:30 2017 +0000

    Fix #435: Remember duplicates settings
    
    https://github.com/BestImageViewer/geeqie/issues/435
    
    Preserve duplicates window settings - Compare By, Thumbnails and Group
    Selected - between sessions

commit 336bfce88f7f8adea8835287ec048a3816bd8b72
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Jan 6 13:20:26 2017 +0000

    Fix #460: Multiple duplicates
    
    https://github.com/BestImageViewer/geeqie/issues/460
    
    Ensure the duplicates lists do not contain more than one entry for each
    physical file

commit b2e963230cacc474952653ef68578dcf60e117f8
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Jan 5 13:53:31 2017 +0000

    Preferences: Open recent list maximum size
    
    Implement this function, and change the name to "Recent folder list
    maximum size"

commit b0b11291d2c9371dddbe42c232e6469f252b524c
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Jan 4 20:01:47 2017 +0000

    Rectangular selection
    
    Add toggle Rectangular Selection to Select menu. Shortcut key is Alt-R.
    Also on Collection widow.
    Removed option from Preferences page as it is redundant

commit 5b98d3244780f0652324559f778e19c05d39749d
Author: Omari Stephens <xsdg@xsdg.org>
Date:   Sun Dec 25 01:47:15 2016 +0000

    Add "-Werror -Wno-error=" to the default CFLAGS.

commit 549edfd10186b7e993dd57e03b2a924ccc82499c
Author: Omari Stephens <xsdg@xsdg.org>
Date:   Sun Dec 25 01:47:15 2016 +0000

    Fix GCC and Clang compile warnings.

commit d4f41aeb17f23eb0851e9a80b7771ccc76327699
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon Jan 2 19:37:33 2017 +0000

    Revised Help documentation
    
    Revised documentation for keyboard shortcuts.
    Context-sensitive F1 help for Collections, Duplicates, Search and Pan
    View windows

commit 113b1fe27c03671aa1e8ef8727fc3d64e682eaca
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon Jan 2 10:13:57 2017 +0000

    F10 in Search window
    
    If F10 is pressed when the search window is empty, Geeqie will crash.
    Bug fix.

commit 0a8ad0640f118a2846c6768c11486c1b74bc4e0f
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Jan 1 16:57:42 2017 +0000

    Fix #447: Preferences Enable Delete key
    
    https://github.com/BestImageViewer/geeqie/issues/447
    
    The preference "Enable Delete key" is now used in the main window

commit 2c776698b3aa749294ea455483f68eefd0da3105
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Fri Dec 30 11:51:15 2016 +0000

    Status bar tooltips
    
    Ensure all status bar items have tooltips

commit 4297e8ce80734506cbc2ba69ba7edd499448a08e
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Dec 29 16:33:08 2016 +0000

    Command line option to print current filename
    
    Command line remote option to print the filename of the currently
    displayed image.
    
    geeqie --remote --tell
    
    Originator:
    https://sourceforge.net/p/geeqie/mailman/geeqie-
    devel/thread/20161227192724.GC1622%40hodi/#msg35573019

commit 58d397efc9e99104d21ea686837396673939ccde
Author: Omari Stephens <xsdg@xsdg.org>
Date:   Sat Dec 24 05:38:38 2016 +0000

    Move pan-view components to their own subdir.
    
    This makes it easier to modularize pan-view without cluttering the src dir
    with extra files, and without worrying as much about exposing pan-view-internal
    APIs to the rest of Geeqie.

commit 28f8352a52078dd9726b609f434886a459bd3f86
Author: Omari Stephens <xsdg@xsdg.org>
Date:   Sat Dec 24 05:28:00 2016 +0000

    Update the automake file with new headers

commit f66088a4389d7d4fc19d9e0b0fdf3faeeed637a8
Author: Omari Stephens <xsdg@xsdg.org>
Date:   Fri Dec 23 22:23:02 2016 +0000

    Refactor pan-types.h into discrete header files for each pan-view code module

commit a43d40845dcc2fb63c1ad6cae31b8b1ff5527701
Author: Omari Stephens <xsdg@xsdg.org>
Date:   Fri Dec 23 21:36:24 2016 +0000

    Fix errors in -Werror (except GdkPixbuf deprecation warnings)
    
    With these changes, Geeqie compiles with
    ./configure CFLAGS="-Werror -Wno-error=deprecated-declarations"

commit 2afb371e7841b31ec1ecd57fd64de6dd5b12a207
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Dec 20 21:36:52 2016 +0000

    Fix #434: Part 2.0
    
    https://github.com/BestImageViewer/geeqie/issues/434
    
    Remove data duplicated in the README and Help files
    Include context-sensitive help in all preferences windows
    Minor addition to README file

commit 5b6d0c2cbbeb691cc7a8e05f9acfb912360b4841
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Dec 20 19:41:36 2016 +0000

    Fix #434: Remove duplicate data, context-sensitive help
    
    https://github.com/BestImageViewer/geeqie/issues/434
    
    Remove data duplicated in the README and Help files
    Include context-sensitive help in all preferences windows
    Minor addition to README file

commit 43da3985b6333437072f986381f2e181618b38d7
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Dec 17 21:27:37 2016 +0000

    Partial fix #395: File selection collection
    
    https://github.com/BestImageViewer/geeqie/issues/395
    
    Right-click on a file selection has a menu option to append the
    selection to a new Collection

commit 22b4f6c1486c07bcde031e185927275325e1560e
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sat Dec 17 20:07:11 2016 +0000

    Partial fix 435: Duplicates in file selection
    
    https://github.com/BestImageViewer/geeqie/issues/435
    
    Right-click on a file selection has a menu option to open the Find
    Duplicates window

commit aa6a20a43d66ab75cd6fbd59168982e259f0ede3
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Dec 15 19:05:51 2016 +0000

    Fix #401: Find duplicates status bar text
    
    https://github.com/BestImageViewer/geeqie/issues/401
    
    Ensure display of informative text such as "Reading dimensions.."

commit 5bd5a4021e6dc61a9529d230804edf1e6d2b66b9
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Thu Dec 15 13:23:12 2016 +0000

    Fix #411: Use locale for date format
    
    https://github.com/BestImageViewer/geeqie/issues/411
    
    Use system locale for date format on the search page

commit 8b7e0e011020dc327a138230496c6b5dfa919af0
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Dec 13 20:12:06 2016 +0000

    Fix #417: Natural sort order
    
    https://github.com/BestImageViewer/geeqie/issues/417
    Refer also to commit bd34c324c92456f5182579d6922d7aba664f93c3
    
    Include an option on the Files tab of Preferences to permit the
    selection of either g_utf8_collate_key() or
    g_utf8_collate_key_for_filename() for the sort order of files and
    folders

commit 39fc45ba4007a1f6199221b457b9ab4f208b29f3
Author: Christian Heckendorf <heckendorfc@gmail.com>
Date:   Sat Dec 3 11:24:36 2016 -0500

    Set animation NULL after free on static images.

commit bcdc68813612fc72a7a548ee8bf3aa495af05e0f
Author: Martin Pelikán <mpel@google.com>
Date:   Sat Dec 3 22:53:50 2016 +1100

    Open BigTIFF (64-bit) files using the custom TIFF loader.
    
    In the worst case, old libtiff versions will return a different error.
    See http://www.awaresystems.be/imaging/tiff/bigtiff.html for more info.

commit 13ba566371c98def2eed463f5cd9570729a77743
Author: Christian Heckendorf <heckendorfc@gmail.com>
Date:   Sat Aug 27 20:34:00 2016 -0400

    Silence g_object_unref failed assertions.

commit 50318899fbfa59dea58e08e53574c05f5ecf956c
Author: Christian Heckendorf <heckendorfc@gmail.com>
Date:   Sat Aug 27 20:32:46 2016 -0400

    Make animation functions static.

commit a27623d3f7fc118568e89c7c7eea179f3f0c3713
Author: Christian Heckendorf <heckendorfc@gmail.com>
Date:   Sat Aug 27 14:32:33 2016 -0400

    Stop animation if no file is showing.

commit 15917d4063cec9994ab7c48055f2c10aff7d2b1c
Author: Christian Heckendorf <heckendorfc@gmail.com>
Date:   Fri Aug 26 18:38:51 2016 -0400

    Animated images.

commit b484a282824c87553d7e216245279e2f5257a80e
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Aug 24 17:28:23 2016 +0100

    Fix #414 Render Intents
    
    https://github.com/BestImageViewer/geeqie/issues/414
    
    Permit the user to select the rendering intent.

commit d3fe27a9eccd12d4d16cca61e0d485d19dc39a6b
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Aug 24 17:19:04 2016 +0100

    Map image direction
    
    If an image has a valid Exif.GPSInfo.GPSImgDirection tag, and the icon
    on the map is clicked, a line showing camera direction is displayed
    also.

commit ba79fd472145e92b54cb13485867c5818a6f0779
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Aug 24 17:01:32 2016 +0100

    Bug Fix #426: geeqie -r file:FILE crashes if FILE does not exist
    
    If the file does not exist, default to the home directory

commit d2bda657c12cf2b873b7e0ec8ff37b08f2f36e55
Author: Michael Cross <mc@xi2.org>
Date:   Fri Aug 19 12:33:01 2016 +0100

    Wrap cairo_destroy call with appropriate CPP macro

commit e665261ca89196591aae48b98356aad5640a2136
Author: Michael Cross <mc@xi2.org>
Date:   Fri Aug 19 11:28:22 2016 +0100

    Fix memory leak

commit 03283a34699c8b88f08b39dee90ae13ee1d63e58
Author: Michael Cross <mc@xi2.org>
Date:   Fri Aug 19 07:03:41 2016 +0100

    Fixing Memory leak
    
    I also suffer from what I believe is this bug. It was not present in
    geeqie 1.0 and was simple for me to reproduce in 1.2+. I open a
    directory containing a few thousand jpg files of around 100k each and
    just keep hitting the key for "Next Image". After around a minute my
    computer will freeze.
    
    Given this reproducibility, I ran git bisect and found the commit that
    introduced the behaviour for me was the following
    
        commit b4c4a924121c3aa6b2f1eb7570dd3f419d2f4d83
        Author: Vladimir Nadvornik <nadvornik@suse.cz>
        Date:   Thu Aug 2 00:15:16 2012 +0200
    
            use cairo for drawing
    
    I then noticed what I think is a missing cairo_destroy call in
    cellrenderericon.c. The following patch solves the problem completely
    for me as far as I can tell.

commit 46fb8433a276270bea054c09a8a80a097e10ffc5
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon Aug 8 20:22:40 2016 +0100

    Revised Help files

commit ddcb9e4da33e058996bade6e79a539e1364607ab
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Sun Jul 24 21:27:14 2016 +0100

    Bug Fix #233 Custom Border
    
    https://github.com/BestImageViewer/geeqie/issues/233
    
    In the change from v1.1 to v1.2 (GTK3 and cairo were part of this), the
    custom border was ignored and simply set to black.
    Perhaps it was not possible to get a "good" solution with the current
    design.
    Possibly this change is not the best solution, but nevertheless it
    should be sufficient until a better version is produced.

commit 2dd2516887b1a09e81bdd35a989f79e21f4c2562
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Jul 20 13:20:24 2016 +0100

    CopyMoveRename
    
    In Copy, Move and Rename operations, show a thumbnail of the source file
    and, if the destination already exists, show a thumbnail for that also.
    Use the Rename dialogue for Copy and Move operations also.

commit eb8db3e169228914cddab3cfb06c773711883619
Author: Wayne A. Ptaff <wayne@ptaff.ca>
Date:   Fri Jul 15 11:51:42 2016 -0400

    Force focus to geeqie after leaving fullscreen
    
    On some multi-monitor setups / window manager
    combinations, the geeqie main window does not
    claim focus back after leaving fullscreen mode.
    
    This fixes https://github.com/BestImageViewer/geeqie/issues/418

commit 9d98d221ea57f57ad52967184b19013ce0e5eeda
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Jul 13 20:14:46 2016 +0100

    Bug fix: Crashes with drag-drop in bookmarks
    
    Also ameliorates https://github.com/BestImageViewer/geeqie/issues/377
    
    bookmark_drag_begin:
    eliminate a run-time error message
    
    bookmark_dnd_get_data:
    uri_filelist_from_uris returns a list of type FileData. What is required
    is text.
    
    bookmark_drag_set_data:
    uris_from_filelist expects a list of type FileData, but was given a list
    of type text
    
    The code: "gdk_drag_context_get_dest_window(context) ==
    gtk_widget_get_window(bm->widget)"
    does not function as expected. The reason is unknown.
    In order to avoid crashes, drags from bookmarks are disabled for the
    moment.
    There is no significant loss of functionality.

commit 3135c2345d7aab6915495768fff88fff7b2759e7
Author: Maciej S. Szmigiero <mail@maciej.szmigiero.name>
Date:   Sat Jul 9 19:25:08 2016 +0200

    Add four new preferences
    
    This commit adds four new preferences:
    * Whether to use saved window positions also for new windows (in case saved
    window positions are enabled),
    * Whether to enable navigation by left or middle click on image,
    * Ability to set keyboard scrolling step multiplier,
    * Whether list directory view uses single click to enter a directory or
    GTK+ activation default (which is currently a double click).
    
    Default values of all these preferences have been set in a such way to not
    cause any changes in behavior for existing users.
    
    Signed-off-by: Maciej S. Szmigiero <mail@maciej.szmigiero.name>

commit 56b0d4189f43a8a15ee7f34b8575a5889a1f6926
Author: Maciej S. Szmigiero <mail@maciej.szmigiero.name>
Date:   Sat Jul 9 18:57:08 2016 +0200

    Fix hidden directories not showing in a tree view
    
    Directory tree view contains code that when "Show hidden files or folders"
    option is not enabled but the user enters a path containing hidden
    directories the missing tree entries are added automatically.
    
    This didn't work (at least) in case when the first hidden directory in
    newly selected path was in a current directory because the tree populating
    function exited early when directory contents did not change since last
    run, before checking for this special case.
    
    Fix this by skipping this check when we have to add such hidden directory
    entry.
    
    This check must also be skipped when 'force' flag is passed to this
    function, otherwise when enabling "Show hidden files or folders" option
    the missing directories are not added to the tree until Geeqie is
    restarted.
    
    Signed-off-by: Maciej S. Szmigiero <mail@maciej.szmigiero.name>

commit 3e8045cddca9265cd7d430d4b10fe510d05c0187
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Tue Jul 5 19:47:40 2016 +0100

    Fix deprecated - gdk_window_get_pointer
    
    Also fixes https://github.com/BestImageViewer/geeqie/issues/399

commit efe0e6a38273eb8e43f5109915b9b81f843cc6eb
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Wed Jun 29 20:24:54 2016 +0100

    Keyboard Map
    
    Add keyboard map option to Help menu.
    
    qwerty keyboard only.

commit 8564d94d35f1b5bc6739ecfdf23c095a85fb2986
Author: nikoss <niko@nava.de>
Date:   Wed Jun 29 21:17:19 2016 +0300

    1 fuzzy (0%), 11 untranslated (0%)

commit f67d58132ac88543fd9ac06636571c6ba5fb4263
Author: nikoss <niko@nava.de>
Date:   Sun Jun 26 21:26:21 2016 +0300

    fuzzy 0% [8], untranslates 4% [60]

commit 40ff1303b6fa9c9b150fc964c1e460f779728685
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon Jun 20 17:03:37 2016 +0100

    Keyword right-click menu
    
    https://github.com/BestImageViewer/geeqie/issues/404
    
    Change confusing menu prompt from Add to New

commit ceadba598d71c70eefb5f4f95d1e02bcc7f98fe6
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon Jun 20 14:31:32 2016 +0100

    Check if GPS data is reasonable
    
    https://github.com/BestImageViewer/geeqie/issues/406
    
    Fix incorrect logic.

commit 650aa8ea3a5e0bfafc70d60dce16267969d37b36
Author: Colin Clark <colin.clark@cclark.uk>
Date:   Mon Jun 20 12:25:27 2016 +0100

    Check if GPS data is reasonable
    
    https://github.com/BestImageViewer/geeqie/issues/406
    
    Change lat/long fallback values to 0 rather than 1000

commit 7d6343aef24cdee5784719a8f856032f33e3b4ed
Author: Rezső Páder <rezso@rezso.net>
Date:   Mon Jun 20 01:25:10 2016 +0200

    Use correct thumbnail dirs
    
    Since glib 2.34, the thumbnails are in .cache/thumbnails, not in .thumbnails.

commit 9a24b29d4e30fc7bfafc90195d3b0bce6615b04d
Author: Martin Pelikán <mpel@google.com>
Date:   Mon Jun 20 01:32:00 2016 +1000

    Properly open and work with large TIFF files.
    
    Any file between 2^31 and 2^32 bytes shouldn't have its size displayed
    as a negative number. Viewing more than 32768 pixels in each dimension
    is only a matter of using 64bit arithmetic when calculating allocation
    sizes and pointers into that memory. Multiplying is always suspicious.
    
    While there, make the error messages clearer about what went wrong.
    
    Signed-off-by: Klaus Ethgen <Klaus@Ethgen.de>

commit f05b104afd2437e9e1040c921b75cb09db76010b
Author: nikoss <niko@nava.de>
Date:   Fri Jun 17 12:01:39 2016 +0300

    fuzzy 3%, unstranslated 10%

commit b34ce94bffbacfa191466342cea33d642d1249c6
Author: nikoss <niko@nava.de>
Date:   Tue Jun 14 23:02:06 2016 +0300

    fuzzy 3%, untranslated down to 15%

commit 461a5b54b56c5014502c913e990cb55b3ba912f8
Author: nikoss <niko@nava.de>
Date:   Sat Jun 11 20:56:53 2016 +0300

    fuzzy strings down to 3%

commit 970562d09001c6ef893550bbab2ec83016b1235e
Author: nikoss <niko@nava.de>
Date:   Fri Jun 3 22:46:24 2016 +0300

    some more changes

commit a0b1c7322ca28e550f48c3654e97adde2c65eb6c
Author: nikoss <niko@nava.de>
Date:   Fri Jun 3 00:00:00 2016 +0300

    even more changes

commit 65ef9d0700c84e3f0a2cd7c34a3ed8a5d9a334b5
Author: nikoss <niko@nava.de>
Date:   Wed Jun 1 21:54:27 2016 +0300

    more changes

commit 4f19e0606a4a9eb997c0b97e65cacc50bfb1a248
Author: nikoss <niko@nava.de>
Date:   Wed Jun 1 21:23:35 2016 +0300

    1st change

commit 0b044d1d685307e5755917e31d56a1a3104cd505
Author: David Kalnischkies <david@kalnischkies.de>
Date:   Fri May 27 12:04:40 2016 +0100

    Work around changed c++11 std::string implementation
    
    Bug was already partly fixed by 96db62d but there was even more
    positions that was unseen by Solomon.
    
    The patch is originally from Debian bug report #800350.
    
    Signed-off-by: Klaus Ethgen <Klaus@Ethgen.de>

commit 3b0fff2af120bddbe2af64761e52b66a12041415
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Fri May 27 11:15:08 2016 +0100

    Update web page

commit 4b953fe8ba3d6b12876817dd282d5e8ee2bfe87d
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Fri May 27 10:46:11 2016 +0100

    Backported stuff from release and web

commit eff44ead88b83c2b10db7308cda41bb09ddb21c3
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Thu May 26 20:58:35 2016 +0100

    Reformat and reword README

commit aafc9ecdbb6d97a8eeb47e85b7e00324ffc0fd8f
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Thu May 26 20:52:20 2016 +0100

    Better Changelog
    
    - Don't show merges
